2011-08-26 14:17  zmoelnig

	* .: 0.93 release

2011-08-26 14:07  zmoelnig

	* don't link core Gem against QuickTime4W32

2011-08-26 13:40  zmoelnig

	* no more warning on imageQT vs imageMAGICK

2011-08-26 09:54  zmoelnig

	* use "SVN" rather than "CVS"

2011-08-26 09:54  zmoelnig

	* disable installer by default

2011-08-26 09:47  zmoelnig

	* catch ALL for exceptions

2011-08-26 09:47  zmoelnig

	* only show used id's as available

2011-08-26 09:45  zmoelnig

	* try to not break the incoming "const" filename

2011-08-26 08:43  zmoelnig

	* fixed compilation on msvc

2011-08-25 16:04  zmoelnig

	* initialize QuickTime in the plugins

2011-08-25 16:04  zmoelnig

	* removed uncommented lines of code

2011-08-25 15:21  zmoelnig

	* quicktime is initialized in the plugins; no need to do it here

2011-08-25 14:59  zmoelnig

	* don't install *Base.h headers

2011-08-25 14:47  zmoelnig

	* no more src/plugins/image.h

2011-08-22 10:29  zmoelnig

	* clean up of GemSettings
	  
	  no more PIMPL since we don't expose the class itself

2011-08-22 10:28  zmoelnig

	* removed output of STRIP from configure

2011-08-19 08:19  zmoelnig

	* pixBlock is really a "struct" and not a "class"
	  
	  this fixes some weirdo bugs on w32

2011-08-19 08:16  zmoelnig

	* ()->(void)

2011-08-16 20:42  zmoelnig

	* use CLAMP_TO_EDGE if available

2011-08-16 16:28  zmoelnig

	* fixed typos

2011-08-16 16:11  zmoelnig

	* added on/off messages to light-help

2011-08-16 16:06  zmoelnig

	* fixed typo

2011-08-16 15:43  zmoelnig

	* made testure.{quality,repeat} settable via gem.conf

2011-08-16 12:37  zmoelnig

	* normalized behaviour of [pix_movement] in all colorspaces

2011-08-16 10:17  zmoelnig

	* include Gem/Properties if we want to use them

2011-08-16 07:41  zmoelnig

	* removed configureflags hacks; added LIBTOOL_W32_DLL

2011-08-16 07:40  zmoelnig

	* removed /debian directory
	  
	  it's maintained somewhere else

2011-08-15 14:12  zmoelnig

	* updated M$VC build project

2011-08-15 14:10  zmoelnig

	* made it compile on w32 again

2011-08-15 13:59  zmoelnig

	* fixed w32 build

2011-08-15 13:06  zmoelnig

	* implement isThreadable

2011-08-15 13:06  zmoelnig

	* implement gem::plugins::imagesaver::getInstance()

2011-08-15 13:05  zmoelnig

	* moved meta imageloader class implementation to imageloader.cpp
	  
	  imageloader::getInstance() now returns a valid instance that
	  wraps all classes

2011-08-15 13:05  zmoelnig

	* removed INIT_fooFACTORY() macro
	  
	  it's only used once, so we can simply use it directly

2011-08-15 13:04  zmoelnig

	* removed unneeded imageStruct

2011-08-15 13:03  zmoelnig

	* normalized copyright headers
	  
	  fixed dates (....-2011) and made everything UTF-8

2011-08-15 12:36  zmoelnig

	* fixed dates in copyrights

2011-08-15 12:33  zmoelnig

	* when including a plugin-file, the includer has to make sure that
	  the needed headers are available

2011-08-15 12:33  zmoelnig

	* adjust to new API of film-plugins

2011-08-15 12:32  zmoelnig

	* try to not use gensym() for factory
	  
	  and thus remove inclusion of RTE.h

2011-08-15 12:32  zmoelnig

	* no need to include stdlib.h

2011-08-15 12:31  zmoelnig

	* adjusted to new simplified API (and manually include RTE)

2011-08-15 12:30  zmoelnig

	* adjust to new simplified API

2011-08-15 12:29  zmoelnig

	* simplified API by using properties

2011-08-15 12:29  zmoelnig

	* no more macro for PluginFactory<film> creation

2011-08-14 13:12  zmoelnig

	* more gracefully fail when removing symlinks

2011-08-12 13:48  zmoelnig

	* replaced () by (void)

2011-08-12 13:47  zmoelnig

	* implement atomlist->Symbol

2011-08-12 13:10  zmoelnig

	* inclusion magic for TemplateImplementation

2011-08-12 12:58  zmoelnig

	* normalized INCLUDE protection defines

2011-08-12 12:55  zmoelnig

	* normalized define for inclusion protection

2011-08-11 08:30  zmoelnig

	* added argument support for [pix_video]: use as device name

2011-08-11 08:30  zmoelnig

	* made gem::RTE::Symbol work (at least on linux)

2011-08-11 08:30  zmoelnig

	* added Symbol wrapper

2011-08-11 08:29  zmoelnig

	* added runningState UNKNOWN
	  
	  so the device won't start automatically whenever you send a
	  device message
	  (even if rendering has not been turned on)

2011-08-10 07:19  zmoelnig

	* fix 'enumProps' message

2011-08-08 15:27  zmoelnig

	* fixed video::releaseFrame() -> videoBase::releaseFrame()

2011-08-08 14:33  zmoelnig

	* added videoTEST to build system (but don't build it by default)

2011-08-08 14:33  zmoelnig

	* videoTEST plugin for test images

2011-08-08 14:32  zmoelnig

	* add virtual dtors; reorder methods

2011-08-08 14:32  zmoelnig

	* adjust to imageloader/imagesaver split into
	  interface/implementation

2011-08-08 14:29  zmoelnig

	* split imageloader/imagesaver into interface/baseclass

2011-08-08 14:28  zmoelnig

	* adapted to "film" -> "film"|"filmBase" split

2011-08-08 14:27  zmoelnig

	* use gem::film::ERRCODE rather than FILM_ERR_ERRCODE

2011-08-08 14:26  zmoelnig

	* split pluginclass "film" into "film" (interface) and "filmBase"
	  (impl)

2011-08-08 14:26  zmoelnig

	* include "Gem/RTE.h" as REGISTER_*FACTORY currently depend on
	  "gensym()"

2011-08-08 14:25  zmoelnig

	* adapt to video -> video|videoBase split

2011-08-08 14:24  zmoelnig

	* split 'video' pluginclass into 'video' interface and 'videoBase'
	  implementation

2011-08-08 14:23  zmoelnig

	* use (void) rather than ()

2011-08-08 14:23  zmoelnig

	* adapted to record -> record/recordBase split

2011-08-08 14:22  zmoelnig

	* 'plugins/record.h' no longer provides std::map and PluginFactory

2011-08-08 14:21  zmoelnig

	* split 'record' class into interface and baseclass

2011-08-08 14:21  zmoelnig

	* removed unneeded scritps

2011-08-08 14:20  zmoelnig

	* removed #if clause for testing

2011-08-05 17:36  zmoelnig

	* more comments in installer

2011-08-05 17:17  zmoelnig

	* make imageQT only optional

2011-08-05 16:06  zmoelnig

	* prefix PATH when loadingplugins, as on w32 it disappears...

2011-08-05 15:15  zmoelnig

	* updated project

2011-08-05 15:07  zmoelnig

	* remove Gem/dev

2011-08-05 14:56  zmoelnig

	* made it compile on M$VC

2011-08-05 14:51  zmoelnig

	* made the ReleaseDummy compile on MSVC

2011-08-05 14:51  zmoelnig

	* removed PYLON from installer (it's currently not built on w32)

2011-08-05 14:44  zmoelnig

	* removed AVTec plugin (it's currently not build on w32)

2011-08-05 14:38  zmoelnig

	* fix path to extra/ builds

2011-08-05 14:37  zmoelnig

	* made it work correctly on w32

2011-08-05 14:05  zmoelnig

	* fixes for M$VC

2011-08-05 14:01  zmoelnig

	* made it compile on w32

2011-08-05 13:52  zmoelnig

	* reduce compiler warnings

2011-08-05 13:44  zmoelnig

	* removed last dynamically assigned arrays (now it compiles on
	  msvc)

2011-08-05 12:38  zmoelnig

	* use SHCTX rather than HCKU, so later we can install to HKLM

2011-08-05 12:37  zmoelnig

	* added Dev section

2011-08-04 11:03  zmoelnig

	* adjust install layout to match that of automake

2011-08-04 11:03  zmoelnig

	* renamed tri2fan.geo to tri2fan.geom

2011-08-04 11:03  zmoelnig

	* uninstall now uninstalls everything

2011-08-04 11:02  zmoelnig

	* renamed geometry shader to .geom

2011-08-04 11:02  zmoelnig

	* update w32-installer adding extra/

2011-08-02 07:42  zmoelnig

	* always succeed when creating convenience links

2011-07-30 15:31  zmoelnig

	* include GLEW flags

2011-07-30 15:31  zmoelnig

	* more m4 escaping

2011-07-30 15:30  zmoelnig

	* documentation of GEM_CHECK_LIB

2011-07-27 12:28  zmoelnig

	* made it compile on OSX again

2011-07-27 12:06  zmoelnig

	* code cleanup; implement copy constructors; initialize members,...

2011-07-27 12:05  zmoelnig

	* code cleanup; implement copy constructors; initialize members,...

2011-07-27 12:04  zmoelnig

	* code cleanup; implement copy constructors; initialize members,...

2011-07-27 11:58  zmoelnig

	* code cleanup; implement copy constructors; initialize members,...

2011-07-27 11:54  zmoelnig

	* fixing MinGW troubles with max()

2011-07-27 11:34  zmoelnig

	* 'string' type is really only 'char'

2011-07-27 11:25  zmoelnig

	* updated to newer frei0r specs

2011-07-26 19:01  zmoelnig

	* made it compile on mingw

2011-07-26 18:50  zmoelnig

	* shuffled includes

2011-07-26 18:29  zmoelnig

	* remove videoAVT dupe

2011-07-26 18:28  zmoelnig

	* some initialization

2011-07-26 17:28  zmoelnig

	* properly initialize variables

2011-07-26 16:35  zmoelnig

	* NULL pointer check

2011-07-26 15:58  zmoelnig

	* numeric device selection

2011-07-26 15:37  zmoelnig

	* less error decoration

2011-07-26 15:33  zmoelnig

	* minor fixes (out-of-range error)

2011-07-26 15:03  zmoelnig

	* made it compile again

2011-07-26 14:51  zmoelnig

	* added more plugins

2011-07-26 14:09  zmoelnig

	* renamed MSVC-projects gem->Gem

2011-07-26 13:42  zmoelnig

	* install deprecated headers

2011-07-26 13:25  zmoelnig

	* more Dylib stuff
	  
	  maybe at somepoint i'll have it fixed

2011-07-26 08:33  zmoelnig

	* pkg-config support

2011-07-26 07:47  zmoelnig

	* more Dylib fixes

2011-07-26 07:47  zmoelnig

	* some more mimetypes for apple specific image formats

2011-07-25 15:29  zmoelnig

	* proper initialization

2011-07-25 15:28  zmoelnig

	* made it compile on OSX again

2011-07-25 15:20  zmoelnig

	* code cleanup - preparing for w32 comaptibility

2011-07-25 13:38  zmoelnig

	* moved stack-allocated arrays onto heap
	  
	  this should allow pix_mano to compile on MSVC
	  and it should reduce the number of allocations drastically
	  (speed)

2011-07-25 11:31  zmoelnig

	* no more inclusion of m_pd.h in GemWinCreate.h

2011-07-25 11:28  zmoelnig

	* use linux||GLX rather than unix for GLX specific code

2011-07-25 11:14  zmoelnig

	* made runproc() compile on w32
	  
	  
	  CHECK on other platforms

2011-07-25 11:13  zmoelnig

	* allow glx on non-linux

2011-07-25 11:10  zmoelnig

	* GemGlewXContext=void fallback for all but w32 and linux/glx

2011-07-25 10:53  zmoelnig

	* replaced AX_LANG_COMPILER_MS by AX_COMPILER_VENDOR
	  
	  and provide the latter

2011-07-24 13:31  zmoelnig

	* simplified Dylib's function_t typename

2011-07-23 13:52  zmoelnig

	* added M$VC stub for imageSGI

2011-07-23 13:51  zmoelnig

	* added M$VC project files to DIST

2011-07-23 13:48  zmoelnig

	* dylib fixes
	  
	  mingw complains about not being able to cast (void*) to a
	  function pointer
	  .
	  also we might want to support both DL_OPEN and w32's LoadLibrary
	  mechanisms
	  at the same time...there is really no reason not to

2011-07-22 14:46  zmoelnig

	* include imageMAGICK

2011-07-22 14:45  zmoelnig

	* using stdlibraries, imageMAGICK now works!

2011-07-22 14:40  zmoelnig

	* almost working project
	  
	  hmm, unresolved symbols "__timezone" and "__daylight", wtf...

2011-07-22 13:55  zmoelnig

	* imageMAGICK M$VC stub

2011-07-22 13:02  zmoelnig

	* renamed 'gem' to 'Gem'

2011-07-22 12:53  zmoelnig

	* got rid of one ifdef clause

2011-07-22 12:52  zmoelnig

	* added image-plugins to master project

2011-07-22 12:51  zmoelnig

	* imageTIFF vc project

2011-07-22 12:48  zmoelnig

	* ignore default libraries

2011-07-22 12:46  zmoelnig

	* fixed linebreak

2011-07-22 12:41  zmoelnig

	* stub projects for MSVC

2011-07-22 12:29  zmoelnig

	* code cleanup

2011-07-22 11:57  zmoelnig

	* removed unneccessary code

2011-07-22 11:56  zmoelnig

	* removed unneccessary code

2011-07-22 11:56  zmoelnig

	* added libfidtrack files

2011-07-22 11:49  zmoelnig

	* M$VC stubs for pix_fiducialtrack

2011-07-22 11:48  zmoelnig

	* M$VC projects for pix_mano

2011-07-22 11:46  zmoelnig

	* export class

2011-07-22 11:45  zmoelnig

	* made it compile on w32

2011-07-22 11:33  zmoelnig

	* pix_drum M$VC project

2011-07-22 11:24  zmoelnig

	* no more "debug" targets for the plugins

2011-07-22 11:23  zmoelnig

	* made plugins compile on w32

2011-07-22 10:51  zmoelnig

	* reset include/library paths
	  
	  in a semi-automated way...

2011-07-22 10:07  zmoelnig

	* removed Debug configuration from M$VC projects

2011-07-22 09:53  zmoelnig

	* simplified and fixed some more M$VC warnings

2011-07-22 09:02  zmoelnig

	* fix or suppress warnings in M$VC

2011-07-22 09:01  zmoelnig

	* typo where a function would not return a value in all cases

2011-07-22 09:00  zmoelnig

	* suppress warnings on M$VC when including m_pd.h

2011-07-22 08:58  zmoelnig

	* added warning about auto_ptr<PIMPL>

2011-07-22 08:47  zmoelnig

	* use "unsigned int" when comparing to "unsigned int"

2011-07-22 08:46  zmoelnig

	* disable more warnings on M$VC
	  
	  M$VC complains if a class specifies which exceptions can be
	  expected to be thrown;
	  this means that it tells you that the compiler is not standards
	  compliant whenever you are writing standard compliant code,
	  basically telling you it's all your fault

2011-07-22 08:43  zmoelnig

	* turn off warnings in M$VC
	  
	  we are deriving an exported class from a non-exportet class,
	  which gives a warning!
	  according to M$DN, this warning can be ignored if the
	  parent-class is from the STL (but why do they warn then...)

2011-07-22 08:28  zmoelnig

	* made it compile on M$VC after all the restructuring of code

2011-07-22 07:58  zmoelnig

	* moved plugins/ and extra/ out of src/

2011-07-21 16:11  zmoelnig

	* b/w results for YUV images

2011-07-21 15:42  zmoelnig

	* NULL-pointer protection

2011-07-21 15:41  zmoelnig

	* re-indentation

2011-07-21 15:40  zmoelnig

	* info outlet of [pix_image]

2011-07-21 14:49  zmoelnig

	* wrapper around Pd's t_outlet

2011-07-21 10:33  zmoelnig

	* added more getprops

2011-07-21 10:27  zmoelnig

	* trying to simply PropGet

2011-07-21 10:18  zmoelnig

	* disabled complicated properties

2011-07-21 10:13  zmoelnig

	* added lots of properties (this time with maxval)

2011-07-21 10:12  zmoelnig

	* added lots of properties

2011-07-21 09:58  zmoelnig

	* fixed unsigned short -> double conversion

2011-07-21 09:51  zmoelnig

	* fixed double->unsigned short overflow

2011-07-21 09:48  zmoelnig

	* fixed stringification in macro
	  
	  cpp on OSX yields weird results

2011-07-21 09:31  zmoelnig

	* fixed typos

2011-07-21 09:23  zmoelnig

	* simplified setProperty code

2011-07-21 08:55  zmoelnig

	* close SeqGrabber when open failed

2011-07-21 08:15  zmoelnig

	* (void) rather than ()

2011-07-21 08:14  zmoelnig

	* updated pix_video help-patch

2011-07-20 20:41  zmoelnig

	* removed deleted methods

2011-07-20 20:24  zmoelnig

	* helper method: applyProperties()

2011-07-20 20:07  zmoelnig

	* made it compile on OSX

2011-07-20 20:01  zmoelnig

	* more cleanup of videoDarwin

2011-07-20 15:43  zmoelnig

	* simplified some properties

2011-07-20 13:29  zmoelnig

	* made it compile (and somewhat work)

2011-07-20 12:50  zmoelnig

	* rudimentary property and device selection support

2011-07-20 12:10  zmoelnig

	* implemented (dummy) dialogs() method

2011-07-20 12:08  zmoelnig

	* implemented dialogs() method

2011-07-20 11:39  zmoelnig

	* removed videoGrabber sources

2011-07-20 11:37  zmoelnig

	* ignore version_current.h when checking for unused sources

2011-07-20 11:36  zmoelnig

	* remove OS-specific objects from build

2011-07-20 11:36  zmoelnig

	* added CHECKUNUSED_IGNORE variable
	  
	  in order to not check certain files

2011-07-20 11:24  zmoelnig

	* removed DirectShow grabber code

2011-07-20 10:57  zmoelnig

	* fixed manual autoreconf

2011-07-20 10:05  zmoelnig

	* moved record implementations into gem::plugins namespace

2011-07-20 10:05  zmoelnig

	* moved record into gem::plugins namespace

2011-07-20 10:02  zmoelnig

	* visibility fixes

2011-07-20 10:01  zmoelnig

	* fixed typo

2011-07-20 09:59  zmoelnig

	* video has moved into gem::plugins namespace

2011-07-20 09:41  zmoelnig

	* moved video implementation classes into gem::plugins namespace

2011-07-20 09:40  zmoelnig

	* moved video base class into gem::plugins namespace

2011-07-20 09:33  zmoelnig

	* moved video base class into gem::plugins namespace

2011-07-20 09:31  zmoelnig

	* made crucial functions pure-virtual and avoid calling virtual
	  functions in dtor

2011-07-20 09:30  zmoelnig

	* close() in dtor

2011-07-20 09:12  zmoelnig

	* reordered API to get most important things to the beginning

2011-07-20 09:11  zmoelnig

	* cleanup of plugins::video api

2011-07-20 07:55  zmoelnig

	* let Gem handle the selection of Altivec enabled process()

2011-07-20 07:35  zmoelnig

	* removed TexFont.h
	  
	  it's not used anywhere these days

2011-07-20 07:32  zmoelnig

	* pix_fiducialtrack documentation is now in extra/

2011-07-19 20:21  zmoelnig

	* fixed path to all.trees file

2011-07-19 20:17  zmoelnig

	* moved pix_fiducialtrack into extra/

2011-07-19 20:15  zmoelnig

	* make snippet for convenience-links in extra/

2011-07-19 19:56  zmoelnig

	* fixed convenience links (fixes distcheck failures)

2011-07-19 15:40  zmoelnig

	* properly adding pix_artoolkit

2011-07-19 15:29  zmoelnig

	* gracefully fail when removing convenience link

2011-07-19 14:25  zmoelnig

	* removed link to Gem.dll

2011-07-19 14:15  zmoelnig

	* added README-EXTRA to the DIST files

2011-07-19 14:12  zmoelnig

	* use README-EXTRA.txt to find the SRCDIR

2011-07-19 14:11  zmoelnig

	* a README for extra

2011-07-19 13:16  zmoelnig

	* renamed Math.h to GemMath.h

2011-07-19 13:12  zmoelnig

	* renamed Math to GemMath in order to prevent problems on
	  case-insensitive filesystems

2011-07-19 12:52  zmoelnig

	* added pix_artoolkit

2011-07-19 12:43  zmoelnig

	* resolved circular dependency
	  
	  OSX is less tolerant when it comes to LIBTOOL and CXX

2011-07-19 12:37  zmoelnig

	* added headers to the Makefileadded headers to the Makefiless

2011-07-19 12:23  zmoelnig

	* forgot to include path to Gem/src

2011-07-19 12:13  zmoelnig

	* include extra/configure.ac

2011-07-19 12:10  zmoelnig

	* forgotten automakefile

2011-07-19 12:05  zmoelnig

	* include "deprecated" SUBDIR

2011-07-19 12:02  zmoelnig

	* install targets for headers

2011-07-19 11:41  zmoelnig

	* automatic check for forgotten sources

2011-07-19 11:19  zmoelnig

	* include QTML on windows if HAVE_QUICKTIME is defined

2011-07-19 11:17  zmoelnig

	* GemMan has moved

2011-07-19 11:16  zmoelnig

	* restructured sources (moved things out of Base/)

2011-07-19 11:02  zmoelnig

	* deprecated headers for compat

2011-07-19 08:27  zmoelnig

	* that's where they belong

2011-07-19 08:26  zmoelnig

	* moved deprecated headers to deprecated/
	  
	  for now, if you need to use them, add Gem/src/deprecated to your
	  INCLUDE

2011-07-19 07:20  zmoelnig

	* remove unused files
	  
	  these files are virtually empty

2011-07-19 07:16  zmoelnig

	* no more pix_filmLinux nor pix_filmNT

2011-07-19 06:56  zmoelnig

	* removed disabled include-stanzas

2011-07-18 15:58  zmoelnig

	* start to export header files

2011-07-18 15:31  zmoelnig

	* properly disable v4l2 if needed

2011-07-18 15:15  zmoelnig

	* added autogen.sh to DIST

2011-07-18 15:13  zmoelnig

	* include patt.hiro in DIST

2011-07-18 15:12  zmoelnig

	* added autoconf/README.txt to DIST

2011-07-18 15:11  zmoelnig

	* add pix_artoolkit to DIST

2011-07-18 15:09  zmoelnig

	* include README.txt and LICENSE.txt into dist-tarball

2011-07-18 14:52  zmoelnig

	* include ExportDef.h into build

2011-07-18 14:50  zmoelnig

	* include src/Output in the DIST tarball

2011-07-18 14:43  zmoelnig

	* compat layer

2011-07-18 14:34  zmoelnig

	* GemContextData migration

2011-07-18 14:32  zmoelnig

	* moved ContextData from Base/ to Gem/

2011-07-18 14:11  zmoelnig

	* include files moved to Gem/

2011-07-18 14:07  zmoelnig

	* moved Version, Setup and ExportDef from Base/ to Gem/

2011-07-18 13:47  zmoelnig

	* moved a number of (new) files from src/Base to src/Gem

2011-07-18 13:26  zmoelnig

	* moved files from Base/ to Gem/
	  
	  Base/ is really meant to be for Base-classes
	  Gem/ is where the infrastructure should go

2011-07-18 13:24  zmoelnig

	* deleted disabled code

2011-07-18 12:52  zmoelnig

	* removed old buildsystem cruft

2011-07-18 12:44  zmoelnig

	* m4/ now lives in top_srcdir

2011-07-18 12:43  zmoelnig

	* m4/ lives in top_srcdir

2011-07-18 12:40  zmoelnig

	* use top_srcdir to find m4/

2011-07-18 12:14  zmoelnig

	* more gracefully fail when doing convenience symlinks

2011-07-18 12:10  zmoelnig

	* conditionally build pix_artoolkit

2011-07-18 12:02  zmoelnig

	* cleanup

2011-07-18 12:00  zmoelnig

	* removed generated Makefile

2011-07-18 11:54  zmoelnig

	* made it compile

2011-07-18 11:39  zmoelnig

	* moved extra from Gem/src/extra to Gem/extra

2011-07-18 11:36  zmoelnig

	* fixed includes for Gem

2011-07-18 11:29  zmoelnig

	* moved src/m4/ to m4/

2011-07-18 11:26  zmoelnig

	* moved convenience-symlink snippet into new plugins/ directory

2011-07-18 11:25  zmoelnig

	* moved plugins from src/plugins/ to plugins/
	  
	  "src" is now only for the Gem-core

2011-07-18 11:09  zmoelnig

	* assign '0' to non-pointer variables rather than 'NULL'

2011-07-18 11:08  zmoelnig

	* use sys_close() on Pd>=0.43

2011-07-18 10:35  zmoelnig

	* not working at all

2011-07-18 10:28  zmoelnig

	* use top_srcdir rather than srcdir to find Gem sources
	  
	  i'd like to move the plugins from Gem/src/plugins into
	  Gem/plugins

2011-07-18 10:20  zmoelnig

	* use DISABLED rather than FALSE
	  
	  gives less warnings :-)

2011-07-18 10:18  zmoelnig

	* conditionally build V4L(2) plugins

2011-07-18 10:17  zmoelnig

	* conditionals for V4L(2)
	  
	  and dummy-conditionals ENABLED/DISABLED

2011-07-18 10:15  zmoelnig

	* removed videoGrabber from SOURCES

2011-07-16 21:16  eighthave

	* build fix for MinGW: io.h is needed on all _WIN32

2011-07-15 10:47  zmoelnig

	* updated vs2003 build project

2011-07-15 10:47  zmoelnig

	* minor build fixes for w32

2011-07-13 09:53  zmoelnig

	* adapt for ubuntu/natty

2011-07-13 09:43  zmoelnig

	* more magick to fix ImageMagick's API breakages

2011-07-12 16:15  zmoelnig

	* include PluginFactory

2011-07-12 16:11  zmoelnig

	* include PluginFactory; implement isThreadable

2011-07-12 16:09  zmoelnig

	* include PluginFactory manually

2011-07-12 16:09  zmoelnig

	* include PluginFactory manually

2011-07-12 16:07  zmoelnig

	* include <map> (in order to not be dependent on PluginFactory)

2011-07-12 09:54  zmoelnig

	* renamed videoThreaded to videoGrabber
	  
	  videoGrabber is is meant to be an interface to the
	  PluginFactory<video> that
	  automatically handles threading (if possible)

2011-07-12 09:53  zmoelnig

	* fixed typo

2011-07-11 17:16  zmoelnig

	* backport for outdated libquicktime version (<1.0.0)

2011-07-11 16:00  zmoelnig

	* fixed lqt-build version
	  
	  it seems that lqt_set_video_parameter() uses (const char*)key
	  since 1.0.2;
	  i don't know where the 3.1.0 came from...

2011-07-11 15:47  zmoelnig

	* try to make it compile with very old versions of libquicktime

2011-07-11 15:43  zmoelnig

	* depend on automake>=1.10

2011-07-11 15:42  zmoelnig

	* remove checks for PROGS not used

2011-07-11 14:04  zmoelnig

	* include FTGL/ftgl.h if available rather than the specific headers

2011-07-11 13:55  zmoelnig

	* LN_S should only be used in the currend dir
	  
	  at least according to the documentation of AC_PROG_LN_S

2011-07-11 13:53  zmoelnig

	* check for SED

2011-07-11 13:24  zmoelnig

	* moved the 'foo support' line to the plugin user

2011-07-11 13:22  zmoelnig

	* adapted to nicer backendnames

2011-07-11 13:14  zmoelnig

	* list loaded film plugins

2011-07-11 13:01  zmoelnig

	* more verbosity

2011-07-11 12:44  zmoelnig

	* more verbosity

2011-07-11 12:34  zmoelnig

	* allow stop() to (not) block

2011-07-11 12:01  zmoelnig

	* don't create instances of ImageThreadLoader when doing poll()

2011-07-11 11:40  zmoelnig

	* don't start loader thread until we know we need it
	  
	  also use sync() as fallback for async() [simplifies code]

2011-07-11 11:37  zmoelnig

	* allow child-classes to specify whether thread should start
	  automatically

2011-07-11 07:27  zmoelnig

	* include sys/time.h to make it compile

2011-07-01 18:48  zmoelnig

	* made unicap work nicely with --without-ALL

2011-07-01 14:57  zmoelnig

	* updated w32 build project

2011-07-01 14:56  zmoelnig

	* w32 build fix

2011-07-01 14:54  zmoelnig

	* w32 build fixes

2011-07-01 14:54  zmoelnig

	* replace usleep() with select()

2011-07-01 14:47  zmoelnig

	* windows fixes
	  
	  - use 'unsigned int' where appropriate
	  - when declaring "PIMPL" as 'class', it shouldn't be defined as
	  'struct'
	  - don't include <unistd.h>

2011-07-01 08:54  zmoelnig

	* only build videoDV4L if all dependencies are fullfilled

2011-07-01 08:53  zmoelnig

	* videoSGI makes sense only on IRIX

2011-06-30 18:08  zmoelnig

	* conditionally build plugins

2011-06-30 18:05  zmoelnig

	* automatically setting some AM_CONDITIONALS for frameworks and
	  libs

2011-06-30 16:06  zmoelnig

	* fixed jumping/initialization issues
	  
	  when using 'goto' one shouldn't initialize variables between the
	  goto and the label

2011-06-30 15:17  zmoelnig

	* create src/Output Makefile

2011-06-30 15:17  zmoelnig

	* iMakefile is now generated by automake

2011-06-30 15:15  zmoelnig

	* use openGL libs

2011-06-30 15:15  zmoelnig

	* use GLX if available

2011-06-30 15:13  zmoelnig

	* alternative openGL tests

2011-06-30 12:27  zmoelnig

	* automake stub for Output/

2011-06-30 12:22  zmoelnig

	* added GLX, AGL and GLEW tests
	  
	  those need more real-world testing§

2011-06-30 12:21  zmoelnig

	* fixed case/esac clause

2011-06-30 11:41  zmoelnig

	* wrapper around the GNU macros

2011-06-30 11:32  zmoelnig

	* some openGL macros from GNU's autoconf archive

2011-06-30 11:25  zmoelnig

	* check for OS (mostly stub for now)

2011-06-30 09:54  zmoelnig

	* hopefully improved convenience links
	  
	  trying to fix some trouble when building outside of srctree (e.g.
	  'distcheck')

2011-06-30 09:45  zmoelnig

	* fixed include path for main Gem includes
	  
	  and improved convenience lib handkling

2011-06-30 09:24  zmoelnig

	* fixed base include for Gem
	  
	  since we moved autotools, the top_srcdir is now .../Gem and no
	  longer
	  .../Gem/src, so we have to adjust the INCLUDE path

2011-06-30 09:11  zmoelnig

	* enable convenience symlinks for all plugins

2011-06-30 09:10  zmoelnig

	* protect against empty LTLIBRARIES

2011-06-30 09:01  zmoelnig

	* added clean target

2011-06-30 08:52  zmoelnig

	* makefile snippet to create convenience symlinks for plugins
	  
	  in order to use plugins, they need to live besides the Gem.$(EXT)
	  this snippets will create symlinks for a (binary) plugin to the
	  top build dir;
	  this allows to use the plugins without having to install Gem

2011-06-30 08:05  zmoelnig

	* install Gem.$(EXT) into $(top_builddir) rather than $(top_srcdir)

2011-06-29 18:36  zmoelnig

	* executable

2011-06-29 18:34  zmoelnig

	* stubs for compatibility

2011-06-29 18:32  zmoelnig

	* link to top_srcdir

2011-06-29 18:27  zmoelnig

	* SOURCES marker

2011-06-29 18:10  zmoelnig

	* re-enable autoreconf

2011-06-29 18:09  zmoelnig

	* moved autoconf system one level up

2011-06-29 17:46  zmoelnig

	* moved config.h out of src/Base/ into src/

2011-06-29 17:44  zmoelnig

	* a small README how to use autoconf

2011-06-29 17:36  zmoelnig

	* cleanup version.h when doing distclean

2011-06-29 17:15  zmoelnig

	* use srcdir for relative include paths

2011-06-29 16:55  zmoelnig

	* removed generated config.h from SOURCES

2011-06-29 16:40  zmoelnig

	* more pkgversion magic

2011-06-29 16:24  zmoelnig

	* don't install build system

2011-06-29 16:00  zmoelnig

	* added examples/Makefile

2011-06-29 15:50  zmoelnig

	* added build directory

2011-06-29 15:43  zmoelnig

	* EXTRA_DIST some files otherwise missing

2011-06-29 15:06  zmoelnig

	* add files to dist

2011-06-29 14:46  zmoelnig

	* add patches and license files to dist

2011-06-29 14:43  zmoelnig

	* include version hackz

2011-06-29 14:29  zmoelnig

	* return value must be positive

2011-06-29 13:33  zmoelnig

	* manually add filmTEST to DIST_SUBDIRS

2011-06-29 13:32  zmoelnig

	* fixed test for have_ieee1394

2011-06-29 13:16  zmoelnig

	* (not) include filmTEST and videoQTKit

2011-06-29 13:04  zmoelnig

	* autotoolified the entirety of Gem

2011-06-29 12:52  zmoelnig

	* fixed installation targets for proprietary video backends

2011-06-29 12:48  zmoelnig

	* automake files for documentation

2011-06-29 12:07  zmoelnig

	* forgot backslash

2011-06-29 11:55  zmoelnig

	* comments

2011-06-29 11:51  zmoelnig

	* install extras into pd/extra/ rather than pd/extra/Gem

2011-06-29 11:45  zmoelnig

	* fixed install targets: libdir vs pkglibdir
	  
	  libdir:=/path/to/pd/lib/extra
	  pkglibdir:=${libdir}/Gem
	  
	  so all Gem should install into pkglibdir
	  extras might install into libdir/${extra}

2011-06-29 11:44  zmoelnig

	* full pkgname and URL

2011-06-29 11:17  zmoelnig

	* automakefile for help-patches

2011-06-29 11:05  zmoelnig

	* fixed install targets for extra

2011-06-29 09:43  zmoelnig

	* show something for ieee1394 support

2011-06-29 08:08  zmoelnig

	* forgot to add Gem/ to SUBDIRS

2011-06-29 08:03  zmoelnig

	* removed misleaded stanza about 'ignore missing support'
	  
	  since most checks have been moved back into the main configure
	  script,
	  the output is indeed meaningful

2011-06-29 08:01  zmoelnig

	* remove linker cruft automatically handled by autotools

2011-06-28 10:08  zmoelnig

	* poll for new images

2011-06-28 10:07  zmoelnig

	* default to polling mode

2011-06-28 10:03  zmoelnig

	* indentation

2011-06-28 10:03  zmoelnig

	* polling for gem::image::load

2011-06-28 09:59  zmoelnig

	* added 'polling' mode

2011-06-28 08:49  zmoelnig

	* even nicer
	  
	  made the viewing examples more interactive;
	  fixed some typos
	  and fixed some description

2011-06-27 21:51  nusmuk

	* new help for gemwin thanks to Nicolas --Cette ligne, et les
	  suivantes
	  ci-dessous, seront ignorées--
	  
	  M gemwin-help.pd

2011-06-27 16:08  zmoelnig

	* added some more magick to get the API right

2011-06-27 14:10  zmoelnig

	* implemented cancel()ing of packages
	  
	  needs deque, since we cannot remove items from within a queue

2011-06-27 14:09  zmoelnig

	* implement cancel()ing

2011-06-27 14:09  zmoelnig

	* better verbositry

2011-06-27 14:08  zmoelnig

	* simplified RTE-callbacks

2011-06-27 14:08  zmoelnig

	* more verbose report about loading success

2011-06-27 14:08  zmoelnig

	* adapted to new (a)sync loader

2011-06-27 14:07  zmoelnig

	* threadsafe ID-retrieval
	  
	  if queue() 'return's the ID, this might be too late, as the
	  return might
	  be called after the callback is called.
	  we therefore use pass-by-reference, so we can tell the queuing
	  process the
	  ID before it is actually queued

2011-06-27 14:07  zmoelnig

	* type fixes

2011-06-27 14:06  zmoelnig

	* threaded loading is now handled centrally by the
	  GemPixImageLoader

2011-06-27 14:06  zmoelnig

	* async()-compat version of sync()

2011-06-27 14:05  zmoelnig

	* threaded image loading seems to work

2011-06-27 14:05  zmoelnig

	* less verbosity and call-by-reference for void*

2011-06-27 14:04  zmoelnig

	* image::load::callback is already a pointer

2011-06-27 14:04  zmoelnig

	* draft for threaded loading

2011-06-27 14:04  zmoelnig

	* synchronized worker thread

2011-06-27 14:03  zmoelnig

	* minor fixes

2011-06-27 14:03  zmoelnig

	* Gem/ now also holds code

2011-06-27 14:02  zmoelnig

	* added new files

2011-06-27 14:02  zmoelnig

	* simple workerthread implementation
	  
	  with queues and bells

2011-06-27 14:01  zmoelnig

	* simple semaphore implementation

2011-06-27 14:01  zmoelnig

	* moved ThreadMutex into Gem/

2011-06-27 14:00  zmoelnig

	* isThreadable is sum of all backends
	  
	  if one backend is not threadable, the meta-backend is not either

2011-06-27 14:00  zmoelnig

	* new API for image loading
	  
	  and stub implementations

2011-06-22 11:21  zmoelnig

	* some namespace magick for compat

2011-06-22 08:16  zmoelnig

	* const'ness fixes for Altivec

2011-06-21 20:48  zmoelnig

	* more const'ified

2011-06-21 16:38  zmoelnig

	* get supported mimetypes from ImageMagick
	  
	  i think these are all mime-types supported by ImageMagick, not
	  just those it can write....

2011-06-21 16:37  zmoelnig

	* fixed JPEG saving

2011-06-21 16:36  zmoelnig

	* SGI: dummy implementation of estimateSave;5D

2011-06-21 16:35  zmoelnig

	* dummy implementation for estimateSave

2011-06-21 15:39  zmoelnig

	* imageTIFF: implement estimateSave and fix save()

2011-06-21 15:39  zmoelnig

	* more const'ification

2011-06-21 15:38  zmoelnig

	* fixed crasher bug with index-out-of-range

2011-06-21 14:21  zmoelnig

	* use const where possible

2011-06-21 14:08  zmoelnig

	* use default mimetypes if none can be determined

2011-06-21 14:01  zmoelnig

	* more mimetypes

2011-06-21 13:46  zmoelnig

	* removed dupe

2011-06-21 13:15  zmoelnig

	* more mimetypes

2011-06-21 13:15  zmoelnig

	* lost dots

2011-06-21 13:01  zmoelnig

	* added more mimetypes

2011-06-21 12:46  zmoelnig

	* image mimetypes

2011-06-19 19:11  zmoelnig

	* std::string.empty() is a method no member variable

2011-06-17 12:24  zmoelnig

	* simplified property handling for imageloader

2011-06-17 12:23  zmoelnig

	* make getFrame() pure virtual

2011-06-17 12:22  zmoelnig

	* allow implentation to override the isThreadable()

2011-06-17 12:22  zmoelnig

	* only use threads is the backend supports it

2011-06-17 12:21  zmoelnig

	* changed ctor of film-plugins to indicate threading support

2011-06-17 12:20  zmoelnig

	* less verbose
	  
	  let the calling class be loud about successes/failures, rather
	  than the backends

2011-06-17 12:19  zmoelnig

	* printout successful/failing backend when verbose

2011-06-17 12:18  zmoelnig

	* adapted outdated pix_filmOS to new GemState infrastructure
	  
	  either deprecated code should be removed entirely, or it should
	  do something meaningful

2011-06-17 12:18  zmoelnig

	* moved film plugins into namespace gem::plugins

2011-06-17 12:16  zmoelnig

	* compilation fixes after switch to std::string

2011-06-17 12:15  zmoelnig

	* use std::string for filename

2011-06-17 12:14  zmoelnig

	* film: use std::string instead of char*

2011-06-16 16:20  zmoelnig

	* don't overwrite the image-format to something untrue

2011-06-16 16:13  zmoelnig

	* fall back to alternative methods of making an FSSpec from a
	  string

2011-06-15 12:00  zmoelnig

	* removed files that are generated by autogen.sh

2011-06-15 11:58  zmoelnig

	* removed Makefiles that are overwritten by automake

2011-06-14 08:19  zmoelnig

	* oops, removed leftovers from Nongeos' Makefile

2011-06-14 08:10  zmoelnig

	* GEM_TARGET checks now automatically use AC_CONFIG_FILES

2011-06-14 08:09  zmoelnig

	* automake'ified Vertex

2011-06-14 08:09  zmoelnig

	* forgot Makefile.am for pix_drum

2011-06-14 08:08  zmoelnig

	* updated template Makefile

2011-06-10 13:32  zmoelnig

	* added 'extra' (pix_mano, pix_drum) to build

2011-06-10 13:28  zmoelnig

	* switched to automake

2011-06-10 13:26  zmoelnig

	* fixed buffer overflow

2011-06-10 12:10  zmoelnig

	* no fat binaries for videoAVT/PYLON/HALCON

2011-06-10 11:38  zmoelnig

	* normalized plugin Makefiles
	  
	  added ARCH-flags; use LIBADD for dependencies

2011-06-10 11:02  zmoelnig

	* honour ARCH-FLAGS

2011-06-10 10:25  zmoelnig

	* fixed architecture-count test

2011-06-10 09:49  zmoelnig

	* when building fat binaries, make sure dependency tracking is OFF

2011-06-10 09:36  zmoelnig

	* default to using video/film plugins even on OSX

2011-06-10 09:34  zmoelnig

	* (re)allow libTIFF/libJPEG even if is ImageMagick is found
	  
	  having both libTIFF and libJPEG linked into Gem used to crash
	  when throwing
	  exceptions.
	  cf.
	  https://sourceforge.net/tracker/?func=detail&aid=2506838&group_id=64325&atid=507079
	  
	  now that all the image-loading components is in plugins, it
	  should be possible
	  to re-enable all available backends.
	  - i tried to load both plugins and couldn't trigger the crash
	  anymore
	  - the crash might be releated to libstdc++ more than to the use
	  of ImageMagick
	  AND libTIFF (which should be no problem with plugins, since the
	  plugins are
	  both loaded well after stdc++ is (loaded and) initialized by Gem
	  - if loading both plugins still makes trouble, the user can
	  disable a certain
	  backend by "not installing" (or removing it)
	  - if package management software is used, the conflicting plugins
	  could be
	  disallowed to install in parallel.

2011-06-09 17:11  zmoelnig

	* disable building on 64bit

2011-06-09 15:26  nusmuk

	* bugfix: this object now allow input!

2011-06-09 13:30  zmoelnig

	* fixed removal of old Gem.pd_linux

2011-06-09 11:30  zmoelnig

	* fixed casuality caused by the switch in the GemState
	  infrastructure

2011-06-08 18:43  zmoelnig

	* fixed typos in comments

2011-06-08 18:36  zmoelnig

	* added 'threadable' flag to ctor
	  
	  so plugins can tell, whether they can be used within threads

2011-06-08 17:49  zmoelnig

	* version-generating code

2011-06-08 17:06  zmoelnig

	* more building optional video plugins

2011-06-08 17:06  zmoelnig

	* remove HAVE_PYLON from *.h
	  
	  headers should really only be included if we have pylon anyhow

2011-06-08 17:05  zmoelnig

	* building optional video plugins

2011-06-08 17:05  zmoelnig

	* regenerated

2011-06-08 17:05  zmoelnig

	* added most of the plugins to the autotools build-system

2011-06-08 17:04  zmoelnig

	* removed all those configure.ac's: let's do it centrally

2011-06-08 17:03  zmoelnig

	* removed X_LIBS from LIBS

2011-06-08 17:02  zmoelnig

	* removed symlinked Gem.pd_linux before symlinking

2011-06-08 17:02  zmoelnig

	* use AM_CONDITIONAL to turn on/off compilation of object-groups

2011-06-08 17:01  zmoelnig

	* removed QT-image loading: this is now completely in the plugin

2011-06-08 17:01  zmoelnig

	* copied over image syving code to imageQT

2011-06-08 17:01  zmoelnig

	* added imageQT

2011-06-08 17:00  zmoelnig

	* forgot RTE flags in RTE/ and plugins/

2011-06-08 17:00  zmoelnig

	* viideoThreaded class
	  
	  LATER rethink this

2011-06-08 16:59  zmoelnig

	* made it compile on OSX

2011-06-08 16:59  zmoelnig

	* define HAVE_GEM_FRAMEWORK_...

2011-06-08 16:58  zmoelnig

	* handle X_LIBS

2011-06-08 16:58  zmoelnig

	* QuickTime image importer

2011-06-08 16:57  zmoelnig

	* figured out how to do the nodist_EXTRA_ dummy sources

2011-06-08 16:57  zmoelnig

	* remove STDCPLUSPLUS indicator

2011-06-08 16:57  zmoelnig

	* ugly hack to link Gem.$(EXT) into src-directory

2011-06-08 16:56  zmoelnig

	* prevent libtool from removing first libstdc++

2011-06-08 16:56  zmoelnig

	* don't touch LIBS,... in GEM_CHECK_LIB
	  
	  use should instead use GEM_LIB_... explicitely

2011-06-08 16:56  zmoelnig

	* link against -lstdc++ as predependency

2011-06-08 16:55  zmoelnig

	* no more dependency on libjpeg and libtiff

2011-06-08 16:55  zmoelnig

	* sgiimage loader is now in a plugin

2011-06-08 16:54  zmoelnig

	* made it compile

2011-06-08 16:54  zmoelnig

	* copied implementation of SGI image reader to plugin

2011-06-08 16:53  zmoelnig

	* enabled imageSGI

2011-06-08 16:53  zmoelnig

	* skeleton for SGi image loader

2011-06-08 16:52  zmoelnig

	* enabled libJPEG plugin

2011-06-08 16:52  zmoelnig

	* moved libJPEG code to plugin

2011-06-08 16:51  zmoelnig

	* libJPEG plugin

2011-06-08 16:51  zmoelnig

	* TIFF Image loading/saving is now in a plugin

2011-06-08 16:50  zmoelnig

	* made it compile (and work)

2011-06-08 16:50  zmoelnig

	* copied over TIFF image load/save

2011-06-08 16:49  zmoelnig

	* implemented save()
	  
	  rather copied it over from GemPixImageSave.cpp

2011-06-08 16:49  zmoelnig

	* added support for imagesave plugins

2011-06-08 16:49  zmoelnig

	* cleanup

2011-06-08 16:48  zmoelnig

	* removed Makefiles, as they are now generated with automake

2011-06-08 16:48  zmoelnig

	* added subdir makefiles

2011-06-08 16:47  zmoelnig

	* added subdirectories

2011-06-08 16:47  zmoelnig

	* generated Makefile.am

2011-06-08 16:46  zmoelnig

	* generated Makefile.am templates

2011-06-08 16:45  zmoelnig

	* updated generator script

2011-06-08 16:44  zmoelnig

	* simplistic generator for Makefile.am

2011-06-08 16:44  zmoelnig

	* adding Geos

2011-06-08 16:44  zmoelnig

	* removed FTGL-pic hacks

2011-06-08 16:43  zmoelnig

	* simplify FTL detection (LATER move FTGL-checks into m4/)

2011-06-08 16:43  zmoelnig

	* don't install convenience libraries

2011-06-08 16:42  zmoelnig

	* regenerated (with libtool enabled)

2011-06-08 16:42  zmoelnig

	* drafting further

2011-06-08 16:41  zmoelnig

	* automake start

2011-06-07 14:48  zmoelnig

	* fixed help-patch for scopeXYZ~

2011-06-04 12:55  zmoelnig

	* use imageloader plugins if available
	  
	  LATER migrate the various backends to plugins and remove them
	  from
	  GemPixImageLoad.
	  LATERLATER provide a new API for loading images (eventually using
	  a single thread, if possible)

2011-06-04 12:45  zmoelnig

	* use the right config-define

2011-06-04 12:44  zmoelnig

	* switched to gem::plugins::image

2011-06-04 12:44  zmoelnig

	* gem:plugins::image is really a helper class for imageloader and
	  imagesaver

2011-06-04 12:43  zmoelnig

	* simple example for image plugin

2011-06-04 12:43  zmoelnig

	* fully qualified namespace for imageloader/imagesaver

2011-06-01 18:06  zmoelnig

	* base-class for image load/save plugin

2011-06-01 18:06  zmoelnig

	* use namespace gem::plugins

2011-06-01 17:44  zmoelnig

	* baseclass for image saver plugins

2011-06-01 17:40  zmoelnig

	* renamed read() to load()

2011-06-01 17:37  zmoelnig

	* base class for loading images

2011-06-01 16:26  zmoelnig

	* more on the way to multicontext (missing file)

2011-06-01 16:23  zmoelnig

	* more on the way to multicontext

2011-06-01 16:06  zmoelnig

	* properly defer initialization of [gemframebuffer] to after
	  context creation

2011-06-01 15:12  zmoelnig

	* cleaned up callback code; renamed m_mode to m_rectangle

2011-06-01 14:38  zmoelnig

	* fixed bug when setModified() would bypass INIT state

2011-06-01 08:28  zmoelnig

	* made xy-pad interactive
	  
	  and fixed some spelling mistakes

2011-05-31 19:16  nusmuk

	* update this example. it use to be broken

2011-05-22 08:17  nusmuk

	* fixed a bug : line_loop and line_strip can now change glLineWidth

2011-05-21 18:52  nusmuk

	* fixed a typo

2011-05-20 22:50  nusmuk

	* adding a primitive : a bicubic curve

2011-05-16 15:55  nusmuk

	* adding read / write to dc1394 camera freatures

2011-05-06 08:48  zmoelnig

	* removed +x from 10.GPGPU_Physical_model.pd

2011-05-03 09:42  zmoelnig

	* scratches on the pad

2011-05-03 09:23  zmoelnig

	* proper m4-quoting
	  
	  trying to shut up: 'warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE
	  call detected in body'

2011-04-29 11:35  zmoelnig

	* fixed variable names and PHONYness

2011-04-29 11:34  zmoelnig

	* added pix_mano and pix_drum

2011-04-29 11:33  zmoelnig

	* simplistic makefile to build pix_mano

2011-04-29 11:33  zmoelnig

	* simplistic makefile to build pix_drum

2011-04-26 10:27  zmoelnig

	* interactive help-patch

2011-04-18 23:41  eighthave

	* support all known iemmatrix installs by changing [mtx_*] to
	  [mtx_mul]

2011-04-18 14:44  zmoelnig

	* added quality message
	  
	  but really, [pix_data] should be merged into [pix_buffer] somehow

2011-04-18 14:42  zmoelnig

	* include RTE/MessageCallback

2011-04-18 14:29  zmoelnig

	* added bilinear interpolation

2011-04-18 13:10  zmoelnig

	* use properties

2011-04-18 13:09  zmoelnig

	* remove trailing whitespace

2011-04-18 13:09  zmoelnig

	* use 'channel' rather than 'isochannel'
	  
	  likewise for 'speed' rather than 'isospeed'

2011-04-18 13:08  zmoelnig

	* check error when setting properties

2011-04-18 13:08  zmoelnig

	* use DC1394_TRYGET macro

2011-04-15 15:43  zmoelnig

	* check whether we have a camera

2011-04-15 15:43  zmoelnig

	* basic property support
	  
	  this is totally untested!
	  also we don't handle properties during open at all

2011-04-13 17:48  zmoelnig

	* blob-labels start with "0" (Closes #3284754)

2011-04-13 17:47  zmoelnig

	* explicit dependency on iemmatrix

2011-04-07 15:18  zmoelnig

	* release view so we can create a new window
	  
	  however, it seems that we cannot render to the 2nd
	  instance...hmmm

2011-04-07 14:36  zmoelnig

	* we really need to call GemWindow::render()

2011-04-07 14:25  zmoelnig

	* disabled the render() method

2011-04-07 14:25  zmoelnig

	* XIMStyle is non-pointer

2011-04-07 14:12  zmoelnig

	* m_cursor is in parent class

2011-04-07 13:56  zmoelnig

	* disable GemWinMac on 64bit systems
	  
	  this is really un ugly hack until i find out why configure
	  doesn't really help us

2011-04-07 13:54  zmoelnig

	* disable QuickTime/Carbon on OSX/64
	  
	  seems like the configure checks don't really catch that QuickTime
	  is not there

2011-04-07 12:13  zmoelnig

	* document arguments of [sphere]
	  
	  thanks to maxn

2011-04-07 12:08  zmoelnig

	* mention args in help-patch

2011-04-07 12:05  zmoelnig

	* default to 64x64+0+0

2011-04-07 11:51  zmoelnig

	* fix performance issue with multimodel
	  
	  no need to rebuild the displaylists each time the model changes -
	  all the displaylists are built at startRendering() anyhow;
	  also removed the superfluous "this->" when calling members;
	  also got the m_currentW/m_currentH right

2011-04-06 19:15  zmoelnig

	* don't fail on Magick::Warnings

2011-04-06 18:05  zmoelnig

	* default format is YUV

2011-04-06 17:31  eighthave

	* added two defaults so that it generates an image when the gemwin
	  is opened, like the rest of the patches in this tutorial

2011-04-06 17:17  eighthave

	* added ClaudiusMaximus' Gem Recursion Tutorial, on his request,
	  using a tarball receive today from him via email

2011-04-06 16:42  zmoelnig

	* hopefully fixed check for Pd headers
	  
	  LATER use pkgconfig

2011-04-05 07:15  zmoelnig

	* by default, only push/pop the MODELVIEW matrix

2011-04-04 09:32  zmoelnig

	* probably recordV4L also works with libv4l1

2011-04-04 09:30  zmoelnig

	* adapted checks for missing videodev.h

2011-04-04 09:25  zmoelnig

	* optionally include linux/videodev.h
	  
	  finally linux/videodev.h has vanished from debian;
	  unfortunately this shows that the test was a bit to lax, so
	  i had to fix it in order to compile Gem with recent linux

2011-03-30 21:34  zmoelnig

	* search for files in the Pd-path

2011-03-30 11:22  nusmuk

	* add the rectangle message to pix_movie, and depreciate the mode
	  message.
	  pix_movie help file was updated to use "rectangle" better than
	  "mode", but not pix_movie.

2011-03-29 21:57  zmoelnig

	* pevent out-of-memory access

2011-03-27 17:10  zmoelnig

	* fixed out-of-bounds memory access in GetPixel() functions

2011-03-25 21:58  zmoelnig

	* fix description in configure output
	  
	  "video-support" really meant movie decoding support

2011-03-25 21:51  zmoelnig

	* use "--with-video=plugins" if you want to use plugins

2011-03-22 08:07  zmoelnig

	* use GemState::key_t rather than key_t
	  
	  should fix compilation issues on osx/10.5

2011-03-21 21:24  eighthave

	* fixed "Unable to find file" error messages on Mac OS X, they
	  should now should the actual file name rather than gibberish

2011-03-14 12:36  zmoelnig

	* full namespace for fallback functions if no libv4l2 is present

2011-03-14 12:33  zmoelnig

	* replaced checks for v4l1 with checks for v4l2

2011-03-14 12:29  zmoelnig

	* move m_frameSize inside HAVE_VIDEO4LINUX2

2011-03-11 12:00  zmoelnig

	* prevent setModified() to force-ENABLE a disabled object

2011-03-11 11:39  zmoelnig

	* check whether captured size matches expected size
	  should detect incomplete grabs (but does it?)

2011-03-07 09:24  zmoelnig

	* hopefully fixed the color problem on little-endian

2011-03-07 09:20  zmoelnig

	* plugins target is now uniformly "PLUGINS"

2011-03-05 16:35  zmoelnig

	* endianess issues of pixes
	  
	  
	  on big-endian architectures that are not OSX, we
	  need to specially care for the reverse images.
	  
	  btw, images will still be wrong when doing X-forwarding
	  between BE and LE machines

2011-03-04 19:05  zmoelnig

	* version of pix_tIIR that uses float internally

2011-02-27 15:40  zmoelnig

	* append semi-colon to uses of CPPEXTERN... macros

2011-02-27 15:11  zmoelnig

	* in documentation talk about trailing semi-colons

2011-02-27 15:11  zmoelnig

	* allow semi-colon with no AUTO_REGISTER
	  
	  create a dummy variable

2011-02-27 15:10  zmoelnig

	* removed code now found in RTE/MessageCallbacks.h
	  
	  to avoid confusion and the new code is really better

2011-02-27 15:10  zmoelnig

	* try to avoid allocations on the stack during render cycles

2011-02-25 12:01  zmoelnig

	* fixed typo

2011-02-25 11:25  zmoelnig

	* made gemglutwindow the last object in patch

2011-02-25 11:24  zmoelnig

	* small fixes for glut

2011-02-25 11:24  zmoelnig

	* allow to specify the gemchain (experimental)

2011-02-25 11:23  zmoelnig

	* debugging printout now is agnostic of backend (and unique)

2011-02-25 11:23  zmoelnig

	* removed debugging printout

2011-02-25 11:22  zmoelnig

	* use shared GemContext's for gemglxwindow

2011-02-25 11:22  zmoelnig

	* the existance of GemContext is really bound to the
	  GemMan::windowCount

2011-02-25 11:21  zmoelnig

	* modified GemWindow-API slightly to allow better handling of
	  shared GemContexts
	  adapated Output implementations to new API

2011-02-25 11:21  zmoelnig

	* proper initialization of m_context

2011-02-25 11:20  zmoelnig

	* handle 2nd argument

2011-02-25 11:20  zmoelnig

	* protect GL_MAX_COLOR_MATRIX_STACK_DEPTH operation with
	  GLEW_ARB_imaging

2011-02-25 11:19  zmoelnig

	* prepare for 2nd argument (chainID)

2011-02-25 11:19  zmoelnig

	* fix decrement of GemMan::winCount when destroying GemWindow

2011-02-25 11:18  zmoelnig

	* properly cleanup in destructor

2011-02-25 11:18  zmoelnig

	* no more pushing/popping of currentstate (what for)
	  re-use unique IDs (is this a good idea?)

2011-02-25 11:17  zmoelnig

	* fixed huge memleak

2011-02-24 15:17  zmoelnig

	* protect

2011-02-24 15:03  zmoelnig

	* factored out GemContext from GemWindow

2011-02-24 13:18  zmoelnig

	* renamed GemContext to GemWindow

2011-02-24 13:17  zmoelnig

	* FIXXME early return

2011-02-23 18:18  zmoelnig

	* don't send startRendering() message if turned off

2011-02-23 16:58  zmoelnig

	* use integer keys rather than strings to speed up GemState again

2011-02-23 14:31  zmoelnig

	* "Output" directory within the M$VC project

2011-02-23 14:06  zmoelnig

	* remove duplicate msg-callbacks

2011-02-23 14:04  zmoelnig

	* added printMess() stub

2011-02-23 14:00  zmoelnig

	* remove messages handled by GemContext

2011-02-23 13:52  zmoelnig

	* remove duplicate msg-callbacks

2011-02-23 13:52  zmoelnig

	* remove print callback

2011-02-23 13:48  zmoelnig

	* don't redraw each cycle; remove duplicate msg-callbacks

2011-02-23 13:37  zmoelnig

	* make [gemhead] a child of [gemreceive]
	  
	  [gemhead] now listens to the global "__gem_render" (and
	  "__gem_render_osd")
	  receivers in an ordered fashion ([gemreceive] logic).
	  thus GemMan need no longer maintain it's own renderChain lists
	  and instead can
	  simply send a symbol...

2011-02-23 13:24  zmoelnig

	* fix gemreceive so classes can properly inherit from it

2011-02-23 13:13  zmoelnig

	* provide own GemCache if need be

2011-02-23 13:12  zmoelnig

	* protect against NULL cache

2011-02-23 08:08  zmoelnig

	* fontNameMess is now std::string

2011-02-22 17:45  zmoelnig

	* properly reset the modelview matrix at the beginning of
	  renderCycle

2011-02-22 17:20  zmoelnig

	* fullscreenMess; proper live offset/dimen

2011-02-22 17:18  zmoelnig

	* fullscreenMess is int rather than bool (for compat with OSX)

2011-02-22 16:14  zmoelnig

	* allow to change the title on the fly

2011-02-22 13:46  zmoelnig

	* no need to register default messages; allow window to be moved
	  programmatically (though the size is wrong after that...)

2011-02-22 13:45  zmoelnig

	* GemContext now handles the default messages on it's own (override
	  virtual if you want a different behaviour)

2011-02-22 11:26  zmoelnig

	* pimpled w32 window to allow easier creation of sharedContext

2011-02-21 17:47  zmoelnig

	* some minor fixes

2011-02-21 16:43  zmoelnig

	* made gemw32window do something under w32

2011-02-21 15:53  zmoelnig

	* properly initialize

2011-02-21 15:37  zmoelnig

	* draft for w32window

2011-02-21 15:31  zmoelnig

	* get rid of unused functions

2011-02-21 15:04  zmoelnig

	* protect with HAVE_LIBX11

2011-02-21 15:04  zmoelnig

	* hmm, unicap uses 'private' as variablename

2011-02-21 14:58  zmoelnig

	* made some more members virtual

2011-02-21 14:56  zmoelnig

	* stripped down for new GemContext members

2011-02-21 14:53  zmoelnig

	* stripped down for new GemContext members

2011-02-21 14:51  zmoelnig

	* stripped down for new GemContext members

2011-02-21 14:51  zmoelnig

	* move common attributes into GemContext (to guarantee compat

2011-02-21 14:23  zmoelnig

	* added installers for plugins

2011-02-21 14:09  zmoelnig

	* updated M$VC project

2011-02-21 14:07  zmoelnig

	* inlude GemException.h

2011-02-21 14:04  zmoelnig

	* experiments with CPPEXTERN_MSG (seems to work just fine on w32)

2011-02-21 14:03  zmoelnig

	* sys_bashfilename needs a writeable buffer

2011-02-21 14:02  zmoelnig

	* hmm, fixed typos in exception-string construction

2011-02-21 14:02  zmoelnig

	* w32 does not have types like uint8_t

2011-02-21 14:00  zmoelnig

	* minor w32 fixes (to avoid warnings)

2011-02-21 13:59  zmoelnig

	* oops, prevent recursive call

2011-02-21 13:58  zmoelnig

	* M$VC does not like "#warning"

2011-02-21 12:51  zmoelnig

	* changed encoding to UTF8

2011-02-21 12:26  zmoelnig

	* only built videoDarwin if this will succeed

2011-02-20 13:59  zmoelnig

	* fixed crasher bug with 0-lenth list

2011-02-19 10:41  zmoelnig

	* check whether GL_ATI_texture_float is supported
	  
	  to avoid loads of "invalid GLenumerant" errors on hw that does
	  not
	  support this
	  LATER: add support (and checks) for other float formats

2011-02-18 18:36  zmoelnig

	* use RGBA16 as internal type; this allows for higher precision in
	  the textures; i wonder whether it will make any problems

2011-02-18 17:46  zmoelnig

	* oops, incidentally disabled RGBA...back again

2011-02-18 17:39  zmoelnig

	* removed unused code

2011-02-18 17:35  zmoelnig

	* don't dump the content to the pdconsole

2011-02-18 17:34  zmoelnig

	* code cleanup

2011-02-18 11:53  zmoelnig

	* playing around with menus

2011-02-18 11:52  zmoelnig

	* info() now also takes vector<atom>

2011-02-18 11:52  zmoelnig

	* setDimensions() now takes uintS

2011-02-18 11:51  zmoelnig

	* removed Pd message callbacks

2011-02-18 11:51  zmoelnig

	* cleaned up; added comments; removed unsued cruft

2011-02-18 11:09  nusmuk

	* adding a new example, to create panoramique picture based on
	  multiple images

2011-02-17 22:12  zmoelnig

	* honour GemSettings for width/height

2011-02-17 22:12  zmoelnig

	* adapt to new interface of GemSettings

2011-02-17 22:11  zmoelnig

	* remove Pd traces from public interface; reduce Pd traces in
	  implementation

2011-02-17 22:11  zmoelnig

	* GemMan::m_title is now a std::string

2011-02-17 22:10  zmoelnig

	* use bool for boolean values

2011-02-17 22:09  zmoelnig

	* FreeGLUT displaylist sharing

2011-02-17 22:09  zmoelnig

	* use FREETYPE define rather than OS-specifics

2011-02-17 22:08  zmoelnig

	* cleaner code with offset/dimen

2011-02-17 22:07  zmoelnig

	* use std::containers rather than our own cruft

2011-02-17 18:54  zmoelnig

	* add hint about context sharing in glut

2011-02-17 18:44  zmoelnig

	* width/height is unsigned

2011-02-17 18:37  zmoelnig

	* getting rid of real_*

2011-02-17 18:24  zmoelnig

	* more verbosity

2011-02-17 18:19  zmoelnig

	* try to allocate the highest possible speed

2011-02-17 18:14  zmoelnig

	* sharedContext

2011-02-17 17:28  zmoelnig

	* FIXME shared context

2011-02-17 17:19  zmoelnig

	* fixed position callback

2011-02-17 16:59  zmoelnig

	* C++ forbids to enum--

2011-02-17 16:54  zmoelnig

	* finally made resizing work correctly; implement cursorMess

2011-02-17 16:28  zmoelnig

	* indentation

2011-02-17 16:18  zmoelnig

	* make print a method

2011-02-17 16:02  zmoelnig

	* argh...APPLE keeps changing types and does not provide nice
	  macros

2011-02-17 15:25  zmoelnig

	* check for glx.

2011-02-17 15:11  zmoelnig

	* removed AGL

2011-02-17 15:10  zmoelnig

	* fixed comment

2011-02-17 15:08  zmoelnig

	* removed uneeded includes and members

2011-02-17 15:05  zmoelnig

	* removed extra GL-includes

2011-02-17 14:40  zmoelnig

	* disable glew by default; check for cocoa

2011-02-17 14:39  zmoelnig

	* allow to set default argument for GEM_CHECK_LIB

2011-02-17 14:00  zmoelnig

	* tried fixing the operation-mode problem

2011-02-17 13:40  zmoelnig

	* start/stopRendering invalidates GemState and GemCache

2011-02-17 13:39  zmoelnig

	* don't postrender/render is there is no state

2011-02-17 12:43  zmoelnig

	* empty directory for QTKit video backend

2011-02-17 12:03  zmoelnig

	* argh...APPLE keeps changing types and does not provide nice
	  macros

2011-02-17 11:58  zmoelnig

	* argh...APPLE keeps changing types...

2011-02-17 11:37  zmoelnig

	* replaced NSUInteger with 'unsigned long' as the former does not
	  exist <10.5

2011-02-17 11:24  zmoelnig

	* made dimen/offset messages do what they should

2011-02-17 10:21  zmoelnig

	* applied PIMPL

2011-02-17 10:05  zmoelnig

	* callbacks for size changes

2011-02-17 09:36  zmoelnig

	* avoid double implementation

2011-02-16 18:32  zmoelnig

	* finally it renders

2011-02-16 18:14  zmoelnig

	* it doesn't render...

2011-02-16 16:47  nusmuk

	* oups, adding the image that was forgotten in the initial release.

2011-02-16 14:00  zmoelnig

	* creating windows using cocoa

2011-02-16 13:59  zmoelnig

	* have to link against Cocoa

2011-02-16 11:16  zmoelnig

	* code cleanup

2011-02-16 11:12  zmoelnig

	* renamed ::id to ::atomtype_id to keep ObjC happy

2011-02-16 10:35  zmoelnig

	* non-working cocoa code

2011-02-16 10:34  zmoelnig

	* tweaks for OSX

2011-02-15 17:26  zmoelnig

	* rendered

2011-02-15 17:21  zmoelnig

	* dispatcher clock

2011-02-15 17:09  zmoelnig

	* window creates (but doesn't do much)

2011-02-15 16:50  zmoelnig

	* adapt for new GemContext interface

2011-02-15 16:49  zmoelnig

	* simple create/destroy messages

2011-02-15 16:49  zmoelnig

	* more pure virtual functions

2011-02-15 13:50  zmoelnig

	* and now it even loads (but doesn't do anything yet)

2011-02-15 13:43  zmoelnig

	* finally it compiles

2011-02-15 13:29  zmoelnig

	* implemented some callbacks

2011-02-15 13:23  zmoelnig

	* use helper-classes for msg-callbacks

2011-02-15 13:22  zmoelnig

	* added some more template specializations

2011-02-15 13:07  zmoelnig

	* utilities for message callbacks

2011-02-15 09:40  zmoelnig

	* more conversions from event->infoMsg

2011-02-15 09:12  zmoelnig

	* started to replace the eventStuff by calls to GemContext::key()
	  and friends

2011-02-14 19:11  zmoelnig

	* optimize GemState a bit (still eats a lot of CPU)

2011-02-14 19:10  zmoelnig

	* use boolean values for boolean values

2011-02-14 19:10  zmoelnig

	* use boolean values for boolean values

2011-02-14 19:09  zmoelnig

	* use boolean values for boolean values

2011-02-14 18:59  zmoelnig

	* make bad_any_cast::what() return the type problem as a
	  std::string

2011-02-14 16:48  zmoelnig

	* still nogo

2011-02-14 16:30  zmoelnig

	* help-struct gemmacwindow::Info

2011-02-14 16:26  zmoelnig

	* still non-compiling

2011-02-14 16:03  zmoelnig

	* non-working copy of GemWinCreateMac to gemmacwindow

2011-02-14 15:34  zmoelnig

	* removed unused files

2011-02-14 15:30  zmoelnig

	* adapted to new GemContext interface

2011-02-14 15:29  zmoelnig

	* made create/destroy pure virtual

2011-02-14 14:27  zmoelnig

	* ...

2011-02-14 12:36  zmoelnig

	* less verbosity (in loader)

2011-02-14 12:35  zmoelnig

	* even less verbosity in loader

2011-02-14 12:32  zmoelnig

	* fail to instantiate if no FreeFrame plugin exists

2011-02-14 10:54  zmoelnig

	* updated frei0r.h and use t_param_string

2011-02-14 08:41  zmoelnig

	* only output shaderID on load
	  
	  LATER check whether we need to output '0' if no shader is loaded

2011-02-12 13:06  nusmuk

	* adding an example about using multiple projector to render an
	  inmage on a non flat surface

2011-02-11 21:00  zmoelnig

	* updated help

2011-02-11 20:47  zmoelnig

	* create inlets

2011-02-11 20:33  zmoelnig

	* first working pix_frei0r

2011-02-11 19:46  zmoelnig

	* more gracefule handling of (non)present extension

2011-02-11 19:29  zmoelnig

	* 1st draf of pix_frei0r implementation

2011-02-11 17:23  zmoelnig

	* added missing help

2011-02-11 17:06  zmoelnig

	* better warning

2011-02-11 17:04  zmoelnig

	* renamed maxmode to maxdepth to avoid confusion

2011-02-11 17:02  zmoelnig

	* use GLStack::push/pop() for safer pushing/popping of matrices

2011-02-11 16:40  zmoelnig

	* allow RGB and RGBA background-color for framebuffer

2011-02-11 13:45  zmoelnig

	* imageStruct::getRGB() should also return Alpha value (as should
	  [pix_data])

2011-02-10 20:01  zmoelnig

	* only manipulate GL_COLOR stack if we have ARB_imaging

2011-02-10 17:13  zmoelnig

	* don't crash when window is closed with X

2011-02-10 16:53  zmoelnig

	* make sure we really got an image at the rightInlet

2011-02-10 12:55  zmoelnig

	* push back pix after processing

2011-02-03 12:19  zmoelnig

	* made it compile again

2011-02-03 12:16  zmoelnig

	* fixed preprocessor-defines

2011-02-03 12:07  zmoelnig

	* re-ordered code

2011-02-03 10:14  zmoelnig

	* some small macros

2011-02-02 18:41  zmoelnig

	* extra rule for gemcocoawindow.pd_darwin

2011-02-02 18:41  zmoelnig

	* autorelease pool...doesn't work anyhow

2011-02-02 18:32  zmoelnig

	* fake implementations of methods

2011-02-02 18:25  zmoelnig

	* compiled again on OSX

2011-02-02 18:12  zmoelnig

	* let's try to make a window

2011-02-02 18:12  zmoelnig

	* removed more glut traces

2011-02-02 18:05  zmoelnig

	* some STL implementations lack std::vector::data()

2011-02-02 18:00  zmoelnig

	* some STL implementations don't seem to have vector::data()

2011-02-02 17:50  zmoelnig

	* made it compile on OSX

2011-02-02 17:48  zmoelnig

	* removed glut traces; gemcocoawindow decaration

2011-02-02 17:46  zmoelnig

	* another try

2011-02-02 17:00  zmoelnig

	* still far from working

2011-02-02 16:18  zmoelnig

	* skeleton for Cocoa-Window

2011-02-02 15:40  zmoelnig

	* use std::string rather than t_symbol*

2011-02-02 15:31  zmoelnig

	* made it compile on OSX

2011-02-02 15:11  zmoelnig

	* include headers for OSX

2011-02-02 12:31  zmoelnig

	* made UTF-8 keys work

2011-02-02 10:10  zmoelnig

	* indentation

2011-02-02 10:09  zmoelnig

	* renamed gemXwindow to gemglxwindow

2011-02-02 09:59  zmoelnig

	* glx implementation

2011-02-02 09:58  zmoelnig

	* GemContext::info() now needs std::string

2011-02-02 09:57  zmoelnig

	* move private data to PIMPL
	  
	  extended interface to info();
	  made it more C++ and less Pd
	  delayed output of info() (to prevent crashes)

2011-02-02 09:55  zmoelnig

	* made members/dtor virtual to allow inheritance

2011-02-01 17:24  zmoelnig

	* moved code out of GLEW_MX (hopefully this works...)

2011-02-01 17:24  zmoelnig

	* make GemContext a friend of GemMan (for now)

2011-02-01 17:23  zmoelnig

	* stub for X-window

2011-01-31 18:19  zmoelnig

	* use GemState accessors

2011-01-31 18:10  zmoelnig

	* all particle objects are now derived from partlib_base

2011-01-31 17:48  zmoelnig

	* objects that override render() have to deal with GemState
	  accessors themselves

2011-01-31 17:14  zmoelnig

	* use GemState accessors

2011-01-31 17:14  zmoelnig

	* use GemState accessors

2011-01-31 16:40  zmoelnig

	* use GemState accessors

2011-01-31 16:36  zmoelnig

	* using GemState accessors

2011-01-31 15:47  zmoelnig

	* use GemState accessors

2011-01-31 15:46  zmoelnig

	* use GemState accessors

2011-01-31 14:49  zmoelnig

	* use GemShape proxy values rather than accessing GemState members

2011-01-31 14:48  zmoelnig

	* use GemState.set/get rather than directly accessing the member
	  vars

2011-01-31 14:48  zmoelnig

	* use GemState.set/get rather than directly accessing the member
	  vars

2011-01-31 13:05  zmoelnig

	* updated to new API

2011-01-31 12:44  zmoelnig

	* removed config.h.in as this is generated by autoheader

2011-01-31 12:43  zmoelnig

	* use the first handle that opens a target

2011-01-31 12:14  zmoelnig

	* better colormodel handling

2011-01-31 11:57  zmoelnig

	* fixed framerate; prevent crashes if codec doesn't like image

2011-01-31 10:15  zmoelnig

	* removed old (unused) code

2011-01-31 10:14  zmoelnig

	* only try to set the codec if it has been define

2011-01-31 10:13  zmoelnig

	* fixed typo

2011-01-30 14:41  zmoelnig

	* added simple implementation for strnlen() if it is missing

2011-01-30 14:39  zmoelnig

	* added check for strnlen()

2011-01-27 12:22  zmoelnig

	* strnlen is defined in string.h

2011-01-26 16:48  zmoelnig

	* made loader work again

2011-01-26 16:30  zmoelnig

	* allow to set paramters by name

2011-01-26 16:07  zmoelnig

	* renamed check() to checkDimen() to keep OSX happy

2011-01-26 16:05  zmoelnig

	* updated FreeFrame.h

2011-01-24 12:17  zmoelnig

	* protect HAVE_UNICAP

2011-01-24 11:12  zmoelnig

	* fix configure.ac

2011-01-22 16:20  zmoelnig

	* tried to stabilize things (no luck)
	  
	  sometimes you have to set the device-name and/or(?) the
	  resolution of the device
	  before starting the transfer (e.g. turning rendering on), else it
	  will simply fail
	  i believe this is a bug in (my old version of) unicap.
	  e.g. my PS3-eye which definitely only supports 640x480,
	  enumerates a single
	  format (good) of 768x576 (oops!)

2011-01-22 15:41  zmoelnig

	* prevent double restarting of device

2011-01-22 14:36  zmoelnig

	* added videopipes (with URLs)

2011-01-21 16:58  zmoelnig

	* turned off debugging printout

2011-01-21 16:57  zmoelnig

	* added videoUNICAP to buildsystem

2011-01-21 16:57  zmoelnig

	* restart transfer when changing dimension
	  
	  hmm, this stops acquisition on my laptop: seems to be related to
	  the device not
	  properly starting

2011-01-21 16:56  zmoelnig

	* renamed from Lock to Mutex

2011-01-21 16:56  zmoelnig

	* copyright header

2011-01-21 16:55  zmoelnig

	* capturing seems to work (with system buffers); props too
	  
	  TODO: dimension/format setting
	  user-buffer
	  capturing seems to not start on startup

2011-01-21 16:54  zmoelnig

	* wrapper class for mutex

2011-01-21 16:54  zmoelnig

	* copyright fix

2011-01-21 16:53  zmoelnig

	* implementing unicap backend: start/stop device

2011-01-21 16:53  zmoelnig

	* stripped everythig off

2011-01-21 16:52  zmoelnig

	* V4L2 copied as templates for UNICAP

2011-01-19 18:06  zmoelnig

	* made it compile

2011-01-19 18:04  zmoelnig

	* forgot to declare types

2011-01-19 18:02  zmoelnig

	* add YUV format

2011-01-19 17:27  zmoelnig

	* made EOM work properly

2011-01-19 17:09  zmoelnig

	* fixing the EOM

2011-01-19 17:04  zmoelnig

	* removed verbose output

2011-01-19 17:00  zmoelnig

	* added some seeking functionality & removed unneeded code

2011-01-18 17:07  zmoelnig

	* correctly parse UTF-8 encoded symbols

2011-01-18 10:11  zmoelnig

	* added docs about arguments (thanks max)

2011-01-12 18:48  zmoelnig

	* turn lighting on

2011-01-12 18:45  zmoelnig

	* set the window dimension to 512x512

2011-01-12 13:27  zmoelnig

	* properly get timestamp

2011-01-12 13:04  zmoelnig

	* implement some properties

2011-01-12 12:32  zmoelnig

	* adapted videoDV4L to the new API

2011-01-11 11:28  zmoelnig

	* optional frametable support
	  
	  older versions of gmerlin-avdecoder don't have frametable support

2011-01-10 14:55  zmoelnig

	* need to get the cstring from std::string

2011-01-10 14:53  zmoelnig

	* fix lqt_set_video_parameter() version hickups
	  
	  older versions of lqt had the key as "char*" whereas modern
	  versions use "const
	  char*"

2011-01-08 14:07  zmoelnig

	* getting rid of verbose output

2011-01-06 15:41  zmoelnig

	* getting rid of unused variables
	  
	  LATER: check the uss of m_startRecord/m_stopRecord in recordQT

2011-01-06 15:40  zmoelnig

	* (partially) adapted to new gem::record API
	  
	  changed setCodec(string) and open(string);
	  
	  TODO: getCodecs() & make setCodec(string) work on all available
	  codecs

2011-01-06 15:40  zmoelnig

	* upside down

2011-01-06 15:39  zmoelnig

	* updated to new API

2011-01-06 15:38  zmoelnig

	* adapted to new API of gem::record

2011-01-06 15:37  zmoelnig

	* protect against empty images
	  
	  and some verbose output

2011-01-06 15:37  zmoelnig

	* protect against empty image

2011-01-06 15:36  zmoelnig

	* removed internal setCodec() (not needed any more)

2011-01-05 20:48  zmoelnig

	* get rid of m_recordStart/m_recordStop

2011-01-05 20:47  zmoelnig

	* changed type-names to uppercase
	  
	  "float" has problems with Pd, so let's use "Float"

2011-01-05 20:47  zmoelnig

	* getting rid of outrageous debugging output

2011-01-05 20:46  zmoelnig

	* first attempt to implement properties
	  
	  seems to work!

2011-01-05 20:45  zmoelnig

	* property enumeration

2011-01-05 20:45  zmoelnig

	* better codec-selection scheme
	  
	  immediately check whether a codec can be set in setCodec(),
	  rather than
	  deferring it to the init() phase

2011-01-05 20:44  zmoelnig

	* remember name of successfully opened codec

2011-01-05 20:43  zmoelnig

	* remove size()

2011-01-05 20:43  zmoelnig

	* use exceptions/error() where appropriate

2011-01-05 20:42  zmoelnig

	* moved m_width/m_height into implementations

2011-01-05 20:41  zmoelnig

	* setCodec() (re)implemented using std::string

2011-01-05 20:41  zmoelnig

	* new way of handling codecs
	  
	  a selected codec selects a number of handles that provide the
	  given codec

2011-01-05 20:40  zmoelnig

	* getting rid of position(), m_xoff & m_yoff

2011-01-05 20:39  zmoelnig

	* getting rid of m_minFrames and m_maxFrames
	  
	  theses variables are never used

2011-01-05 20:39  zmoelnig

	* reset frame-counter at start-recording

2011-01-05 20:38  zmoelnig

	* get rid of internal m_currentFrame
	  
	  this ought to be tracked in pix_record if needed

2011-01-05 20:37  zmoelnig

	* putFrame() now returns bool rather than int

2011-01-05 20:36  zmoelnig

	* separate internal from external gem::record API
	  
	  gem::record implementations implement open(), close() &
	  putFrame()
	  whereas pix_record access these via wrappers start(), stop() &
	  write()

2011-01-05 20:36  zmoelnig

	* started to implement new getCodecs-API

2011-01-05 20:35  zmoelnig

	* send codec-details to the outlet

2011-01-05 20:34  zmoelnig

	* slowly changing gem::record API: swich to std::string

2011-01-04 14:07  zmoelnig

	* prevent double keypress event generation

2011-01-03 12:48  zmoelnig

	* getting rid of size()/position()
	  
	  and moved some variables from record to recordQT

2011-01-01 20:13  zmoelnig

	* added property-settings help

2011-01-01 20:13  zmoelnig

	* property settings

2010-12-30 10:15  nusmuk

	* add example for using matrix of screen to create a huge display

2010-12-10 18:33  zmoelnig

	* forgot to add RTE

2010-12-09 15:43  zmoelnig

	* use RTE::Array rather than directly accessing Pd's arrays
	  
	  this hopefully fixes the problems on 64bit

2010-12-09 15:42  zmoelnig

	* rgb2gray conversion parameters fix
	  
	  if we use the Y(UV) parameters, we also need the Y_OFFSET

2010-12-09 15:41  zmoelnig

	* set-message for arrays

2010-12-08 20:30  zmoelnig

	* fixed NULL-pointer access (closes: 3078043)

2010-12-08 20:18  zmoelnig

	* mention 'set' message

2010-12-08 20:11  zmoelnig

	* fixes #3126880

2010-12-08 20:09  zmoelnig

	* fixes #3126893

2010-12-08 20:05  zmoelnig

	* fixes #3126895

2010-12-08 20:01  zmoelnig

	* font-size 10

2010-12-08 19:49  zmoelnig

	* non-random ID generation

2010-12-07 11:25  zmoelnig

	* floatarray wrapper

2010-12-01 13:47  zmoelnig

	* shaderID - atom mapping revised
	  
	  use hashmaps for GLuint<->t_float mapping;
	  some minor cleanups in verbose output

2010-11-18 12:09  zmoelnig

	* pylonified

2010-11-10 17:17  zmoelnig

	* cleaned up
	  
	  Properties stuff is now fully based on std::map;
	  reindentation...

2010-11-10 17:14  zmoelnig

	* add pylonutilities to the libs

2010-11-10 15:48  zmoelnig

	* reorganized code using loads of preprocessor magic

2010-11-10 15:40  zmoelnig

	* removed Pd's reference path

2010-11-10 15:39  zmoelnig

	* renamed continuousGrab to asynchronousGrab

2010-11-10 15:38  zmoelnig

	* renamed "continuousGrab" to "asynchronuousGrab"

2010-11-10 15:03  zmoelnig

	* use Prop-types

2010-11-10 11:38  zmoelnig

	* converter class using pylons ImageConvert routines

2010-11-09 15:09  zmoelnig

	* converter (half-working)

2010-11-09 15:08  zmoelnig

	* property-handling using std::map

2010-11-09 15:07  zmoelnig

	* check for pylonutilities...

2010-11-03 19:21  zmoelnig

	* init

2010-11-03 19:21  zmoelnig

	* fixed typo: its StreamGrabberProperties.cpp

2010-11-03 10:40  zmoelnig

	* moved the properties code into separate cxx files

2010-11-03 10:03  zmoelnig

	* indentation

2010-11-02 19:59  zmoelnig

	* simplistic protection against negative enum values

2010-11-02 19:59  zmoelnig

	* output to Pd rather than std::cerr

2010-11-02 19:11  zmoelnig

	* no debugging output

2010-11-02 19:10  zmoelnig

	* debugging output during enumeration

2010-11-02 19:07  zmoelnig

	* don't erase() props before using their values to set()

2010-11-02 18:01  zmoelnig

	* delete props when getting (to make sure to only return props
	  readable)

2010-11-02 17:45  zmoelnig

	* made it compile...

2010-11-02 17:40  zmoelnig

	* added properties to AVT (not tested at all...)

2010-11-02 08:52  zmoelnig

	* hopefully thread-safed the grabContinuous()

2010-11-01 21:17  zmoelnig

	* fixes continuous message
	  
	  TODO: setting the continuous flag in video::PIMPL is still prone
	  to
	  race-conditions

2010-11-01 19:37  zmoelnig

	* made continuous grabbing settable from outside

2010-11-01 18:45  zmoelnig

	* properly thawing/freezing

2010-11-01 16:20  zmoelnig

	* freeze() in the loop; thaw() when stopping the capture thread

2010-11-01 14:55  zmoelnig

	* thaw in frameRelease()

2010-11-01 14:54  zmoelnig

	* experiment with signalling
	  
	  to avoid unneccessary overhead when capturing

2010-10-31 22:31  zmoelnig

	* removed debugging printout

2010-10-31 21:51  zmoelnig

	* removed PDREFPATH
	  
	  no need to keep installation compatibility with outdated Pd's

2010-10-31 21:49  zmoelnig

	* more attributes for pylon

2010-10-31 21:48  zmoelnig

	* indentation

2010-10-31 21:47  zmoelnig

	* better algorithm for extracting the backends from the dll-listing

2010-10-31 14:50  zmoelnig

	* dllexport as needed

2010-10-31 14:49  zmoelnig

	* properly return in non-void functions

2010-10-31 14:47  zmoelnig

	* must not dllexport a function definition (only declarations are
	  allowed)

2010-10-31 13:52  zmoelnig

	* snprintf and M$VC fix

2010-10-31 13:49  zmoelnig

	* fixed w32 issues

2010-10-30 19:17  zmoelnig

	* adapted to new interface

2010-10-30 17:45  zmoelnig

	* clean up of the halcon code
	  
	  also allow to acces devices by number (if enumerated)

2010-10-30 12:02  zmoelnig

	* fixed typo with Hans' name

2010-10-30 12:02  zmoelnig

	* V4L2: getting rid of set... stuff as this is now handled via
	  properties

2010-10-30 12:01  zmoelnig

	* V4L1: initial support for new properties interface

2010-10-30 12:01  zmoelnig

	* initial support for new interface...
	  
	  NOTE: need to restart when channel changes

2010-10-30 12:00  zmoelnig

	* get rid of the set...() stuff, as this is now handled by
	  setProperties()

2010-10-30 12:00  zmoelnig

	* video::getProperties also reports empty properties
	  
	  i don't know whether this will ever happen.
	  but if a property is set to type==NONE when reading, it is sent
	  to the info-out

2010-10-30 11:59  zmoelnig

	* "enumerate" video-devices now reports to the infoout
	  
	  we also append the backend for a given video-device to the info

2010-10-30 11:59  zmoelnig

	* return a value in assign()
	  
	  forgot to 'return (*this);' in assignment operator (g++ is a bit
	  lax here...)

2010-10-30 11:58  zmoelnig

	* copy constructor and assignment for Properties

2010-10-28 10:58  zmoelnig

	* property getting
	  
	  ah, those enumerations...

2010-10-28 08:29  zmoelnig

	* moved expandEnv into GemFiles

2010-10-27 17:11  zmoelnig

	* adapted to new API (that requires openDevice() to be called with
	  props)

2010-10-27 17:10  zmoelnig

	* first working version

2010-10-27 09:18  zmoelnig

	* no need to link against (non-existant) libpyloncpp

2010-10-27 08:25  zmoelnig

	* enumerate backends, simple device selection
	  
	  try to enlist all known backends, by searching for files in
	  ${HALCONROOT}/lib/${HALCONARCH}
	  
	  also enumerate available devices (either of the active backend or
	  of all
	  backends) and allow the user to open this without the complicated
	  videoHALCON
	  syntax (e.g. if enumeration reports
	  "0030530f8e64_Basler_scA640120gm" for the
	  "GigEVision" backend, then using a device
	  "0030530f8e64_Basler_scA640120gm" will
	  automatically use the correct backend

2010-10-26 19:57  nusmuk

	* better help file for pix_data

2010-10-25 11:05  zmoelnig

	* get/set parameters
	  
	  sometimes this still acts weird:
	  parameters reported to be supported are not;
	  types are wrong...

2010-10-25 10:41  nusmuk

	* add a better exemple for geometry shader

2010-10-25 09:48  zmoelnig

	* updated to new interface - implemented get/enum props

2010-10-25 08:44  zmoelnig

	* openDevice() now also sets initial gem::Properties

2010-10-25 08:24  zmoelnig

	* remove unneccessary variables; initialize vars

2010-10-25 08:22  zmoelnig

	* properly initialize the v4l2_format and minimize ioctlS
	  
	  call G_FMT to initialize the v4l2_format structure (else some
	  drivers would try
	  to set the dimension of the capture image to "0,0" and returning
	  some minimal
	  framesize...)
	  
	  also avoid calling S_FMT if everything is as we expect it
	  anyhow...

2010-10-25 08:15  zmoelnig

	* make sure QUERYCTRL is called with the correct id
	  
	  some drivers modify the queryctrl.id, making the for-loop
	  virtually
	  return NEVER;
	  therefore we use a separate loop-parameter

2010-10-25 08:12  zmoelnig

	* debugging output
	  
	  this time we can separately set debugging-printout for xioctl,
	  threads and
	  normal

2010-10-24 20:13  zmoelnig

	* debugging output

2010-10-24 17:32  zmoelnig

	* properly shut down transfer in stopTransfer
	  
	  it seems like we have to cleanup the REQBUFS ioctl as well, by
	  calling
	  it and requesting "0" buffers.
	  at least this shuts down the streaming in such a way that we can
	  change the
	  format of the captured image (eg. dimension)

2010-10-24 17:32  zmoelnig

	* added comment on why we have to use G_FMT
	  
	  while S_FMT is supposed to update the fields of the format struct
	  to the
	  actually valid values, it seems to not do so (at least the
	  "uvcvideo" driver).
	  thus we have to manually call G_FMT

2010-10-24 17:31  zmoelnig

	* removed dimension-setting from startTransfer
	  
	  width/height settings should really only be applied in
	  setProperties

2010-10-24 17:30  zmoelnig

	* use xioctl rather than v4l2_ioctl
	  
	  xioctl is a wrapper for v4l2_ioctl

2010-10-24 17:30  zmoelnig

	* debugging printout
	  
	  added new define debugIOCTL for debugging v4l2_ioctlS.
	  fixed typos in debugging output.
	  removed unconditional debugging output

2010-10-24 17:29  zmoelnig

	* don't set the channel in startTransfer
	  
	  this is done in setProperties() if needed

2010-10-24 17:29  zmoelnig

	* removed "buggy driver paranoia", as it doesn't do anything
	  meaningful
	  
	  all the code sets variables that are never ever used again

2010-10-24 17:28  zmoelnig

	* moved and disabled the cropping code
	  
	  the old code tried to reset all cropping; moved this into
	  setProperties() and
	  disabled it for now (as i would like the interface to change as
	  little as
	  possible without the user explicitely requesting it)

2010-10-24 17:27  zmoelnig

	* implemented and updated to new interface of plugin/video.h
	  
	  mostly setting of properties works now (at least for PARAMs)

2010-10-24 17:27  zmoelnig

	* better debugging output
	  
	  either more readable code or more information or both

2010-10-24 17:26  zmoelnig

	* updated properties interface and Pd-interface
	  
	  properties interface is more flexible;
	  Pd interface allows to get data into patch

2010-10-22 19:03  zmoelnig

	* starting to port to new interface

2010-10-22 14:49  zmoelnig

	* get/set/enumerate properties

2010-10-22 14:47  zmoelnig

	* get/set/enumerate properties

2010-10-20 11:42  zmoelnig

	* more on properties

2010-10-16 16:08  zmoelnig

	* notes

2010-10-16 16:06  zmoelnig

	* simple string->any map

2010-10-14 15:04  zmoelnig

	* PYLONified

2010-10-14 14:50  zmoelnig

	* non-working prototype for PYLON backend

2010-10-14 14:09  zmoelnig

	* example code how to get parameters

2010-10-14 12:12  zmoelnig

	* asynchronous frame grabbing
	  
	  this seems to give us way better framerates

2010-10-14 09:30  zmoelnig

	* only re-generate font if there is none
	  
	  previous code would re-generate the entire font each time the
	  text was updated.

2010-10-12 15:40  zmoelnig

	* when opening fails, reset the grabber to NULL (and fail to
	  grabImage if so).
	  also use defaults if no values are provided in the opener strings

2010-10-12 15:38  zmoelnig

	* Status should not be defined as "int"
	  
	  ouch: Xlib.h defines "Status" as "int", but Halcon uses "Status"
	  as a variable
	  name.

2010-09-30 11:57  zmoelnig

	* removed pix_drum/pix_mano from build process until we have a
	  makefile for them

2010-09-24 09:16  zmoelnig

	* include pix_mano/pix_drum

2010-09-24 08:40  zmoelnig

	* added jaime's pix_mano/pix_drum objects

2010-09-16 15:34  eighthave

	* replaced dead pure-data.org with puredata.info

2010-09-06 13:59  zmoelnig

	* allow negative indices
	  
	  should fix #3054193

2010-09-06 10:58  zmoelnig

	* hopefully better hashing algorithm

2010-09-05 17:32  nusmuk

	* add a multitexture example, with texture of 2 diferents size.
	  thanks to JACK

2010-08-27 19:17  nusmuk

	* small bug fix about primitive size

2010-08-27 09:16  nusmuk

	* add .obj exportation exemple

2010-08-22 17:58  zmoelnig

	* glmTexture() has to be called before compiling the display lists

2010-08-17 12:44  zmoelnig

	* GEM_CHECK_LIB also defines HAVE_function

2010-08-17 09:58  zmoelnig

	* use "lqt_seek_video" is available

2010-08-17 08:43  zmoelnig

	* remove #warning

2010-08-17 08:41  zmoelnig

	* use frametable if possible

2010-08-16 13:42  zmoelnig

	* try to avoid seeking if next frame would be the requested frame
	  anyhow

2010-08-16 13:23  zmoelnig

	* added note about double-size...

2010-08-07 18:24  zmoelnig

	* implemented fromARGB()
	  
	  
	  v4l2 devices with FMT_RGB32 return ARGB -> now
	  we finally have to correct colors!

2010-08-07 17:44  zmoelnig

	* forgot to check for "-fPIC"
	  
	  "-fPIC" is needed on x86_64...

2010-08-04 11:29  zmoelnig

	* fromBGRA() is now implemented

2010-08-04 10:05  zmoelnig

	* more verbose output; comment about why RGB32 is a bad idea

2010-08-02 13:22  zmoelnig

	* include <sys/stat.h> to use fstat
	  
	  backport of ubuntu patch

2010-07-15 15:12  zmoelnig

	* added recordV4L and recordV4L2

2010-07-15 11:41  nusmuk

	* change the draw message from fill to default

2010-07-15 11:40  zmoelnig

	* less verbose output

2010-07-15 11:32  zmoelnig

	* made the V4L2 loopback device work

2010-07-15 10:23  zmoelnig

	* skeleton for recordV4L2

2010-07-14 17:56  zmoelnig

	* added (disabled) code from effectv to show how to react on ioctls
	  from the
	  client

2010-07-14 15:32  zmoelnig

	* we can now write to a v4l loopback device

2010-07-14 13:06  zmoelnig

	* more skeleton (still no functionality)

2010-07-14 12:59  zmoelnig

	* skeleton for a pix-output to v4l loopback

2010-07-14 12:45  zmoelnig

	* careful with auto_ptr and copy-assignment
	  
	  override assignment operator in order to prevent crashes.
	  fixes #3029467

2010-07-14 12:12  zmoelnig

	* moved comment to the proper place

2010-07-14 11:11  zmoelnig

	* support for non-libv4l
	  
	  "open()" and the like need to by FQND'd ("::open()") in order to
	  not interfere
	  with class methods ("videoV4L::open()")

2010-07-14 11:03  nusmuk

	* add repeat(int) and quality(int) message to pix_imageInPlace

2010-07-14 10:33  nusmuk

	* pix_imageInPlace crash if you preload images, and then click on
	  download, without creating a windows first.
	  this commit should fix this bug.

2010-07-13 07:25  zmoelnig

	* cleaned up code a bit
	  
	  changed "post" to "verbose"
	  TODO: shared memory for w32

2010-07-13 07:23  zmoelnig

	* "force install verbose" autoreconf

2010-07-09 12:20  zmoelnig

	* prevent double-binding of [pix_filmQT]
	  
	  Pd bails out if we call class_addcreator() 2 times for the same
	  name/ctor.
	  it probably should check

2010-07-09 12:10  zmoelnig

	* "open"-message is now an alias for both "startRendering()" (with
	  no args) and for "driver" (with 1 arg; for compatibility reasons)

2010-07-09 11:41  zmoelnig

	* this configure is for Gem's extras

2010-07-08 17:34  zmoelnig

	* svn-version is now handled by make rather than autoconf

2010-07-08 17:33  zmoelnig

	* optionally add objectname/object to the generic exception handler
	  
	  this allows the generic handler to display the correct
	  object-name

2010-07-08 12:22  zmoelnig

	* untested support for bayer-images

2010-07-02 19:33  zmoelnig

	* renamed gemversion.sh to pkgversion.sh

2010-07-02 19:16  zmoelnig

	* removed verbose printout

2010-07-02 19:09  zmoelnig

	* dynamic version handling
	  
	  LATER: turn "gemversion.sh" into a more generic "pkgversion.sh"

2010-07-02 11:18  zmoelnig

	* trying to workaround bugs in APPLE
	  
	  there is a bug in wordfree on OSX.
	  according to the following mail this can be worked around:
	  http://www.mail-archive.com/fink-users@lists.sourceforge.net/msg28520.html

2010-07-02 11:15  zmoelnig

	* start of an autoversion system
	  
	  
	  i'd like to have the SVN-revision number in the build

2010-07-01 16:22  zmoelnig

	* long README

2010-07-01 15:40  zmoelnig

	* print UniqueID as hex

2010-07-01 15:34  zmoelnig

	* added TODO

2010-07-01 15:32  zmoelnig

	* probably working now (who knows)

2010-07-01 15:23  zmoelnig

	* at least it compiles
	  
	  now we need a GiGE camera to test this

2010-07-01 11:21  zmoelnig

	* AVT...

2010-07-01 11:19  zmoelnig

	* link against PvApi.lib rather than Halcon.lib

2010-07-01 11:18  zmoelnig

	* adapted LICENSE for use with AVT rather than HALCON

2010-07-01 11:16  zmoelnig

	* template for AVT-backend

2010-06-28 14:04  zmoelnig

	* better formatting

2010-06-28 14:00  zmoelnig

	* a small wrapper script to detect the current Gem-version
	  
	  the script should accept the environmental variables:
	  GEM_VERSION_MAJOR, GEM_VERSION_MINOR, GEM_VERSION_BUGFIX,
	  GEM_VERSION_CODENAME
	  
	  and take one of the flags:
	  --major
	  --minor
	  --bugfix
	  --codename

2010-06-28 13:35  zmoelnig

	* micro-version and codename now handled by configure

2010-06-28 10:37  zmoelnig

	* GEM_EXTERN -> GEM_EXPORT
	  
	  even for non-w32 plugins

2010-06-28 10:23  zmoelnig

	* fixed width/height
	  
	  accidentally, width and height were swapped resulting in weird
	  images.
	  this was easier to find out on w32, where there is actually
	  support for a camera i own (through DirectShow)

2010-06-28 10:00  zmoelnig

	* signed/unsigned comparision

2010-06-28 09:49  zmoelnig

	* made videoHALCON compile on w32

2010-06-28 09:48  zmoelnig

	* renamed scopeXYZto scopeXYZ~

2010-06-28 09:27  zmoelnig

	* signed/unsigned comparision

2010-06-28 08:48  zmoelnig

	* (dummy) M$VC-project files

2010-06-28 08:06  zmoelnig

	* updated help patches (according to max) and removed dupes
	  
	  closes #3021553, #3021551, #3021470, #3021461, #3021460

2010-06-28 07:36  zmoelnig

	* hopefully fixed bug crashing [scopeXYZ~]
	  
	  very small scope-buffers in combination with long dsp-blocks
	  could lead to
	  crashes; should be fixed now

2010-06-25 14:45  zmoelnig

	* renamed file to "scopeXYZ~"

2010-06-25 14:38  zmoelnig

	* seems to work so far (closes #2955520)

2010-06-25 13:20  zmoelnig

	* scopeXYZ~: at least something going on with the texcoords

2010-06-25 06:35  zmoelnig

	* fixing scopeXYZ~
	  
	  working, though not yet with textures

2010-06-23 14:56  zmoelnig

	* added videoHALCON

2010-06-23 14:52  zmoelnig

	* added README

2010-06-23 13:58  zmoelnig

	* simple parser for the device-string (using ":" as delimiter)

2010-06-23 13:42  zmoelnig

	* seems like autoconf now works

2010-06-23 11:12  zmoelnig

	* "Halcon::"ify the verbose output; notes on TODO

2010-06-23 09:42  zmoelnig

	* first working prototype
	  
	  "File" backend works (and it's the only one i can test)
	  TODO: selection of halconbackend, cameratype and device
	  (this has to be done via a single symbol!)

2010-06-22 14:12  zmoelnig

	* fixed typo (though configure-test don't work currently anyhow)

2010-06-22 13:59  zmoelnig

	* HALCON backend (non-functional)

2010-06-22 09:14  zmoelnig

	* added float-callback to start/stop the transfer

2010-06-22 09:14  zmoelnig

	* more verbose()ity

2010-06-22 08:51  zmoelnig

	* enumeration of DV4L devices

2010-06-22 08:50  zmoelnig

	* enumeration() now does some basic tests
	  
	  do some checks to find out whether a given device is really v4l1

2010-06-21 15:42  zmoelnig

	* check for v4l2 capabilities

2010-06-21 15:26  zmoelnig

	* enumerate() for videoV4L and videlV4L2
	  
	  TODO: videoV4L1 seems to get v4l2 devices as well
	  TODO: make sure that only capture devices are listed
	  (i think currently also output devices will be listed)

2010-06-21 14:43  zmoelnig

	* fixed symbolic-device selection for dc1394

2010-06-21 14:32  zmoelnig

	* fixed bug in the setDevice(int) code;
	  notes about the state-variables

2010-06-21 14:30  zmoelnig

	* added verbose()ity

2010-06-21 14:17  zmoelnig

	* more info

2010-06-21 14:04  zmoelnig

	* hopefully more robust device-changing

2010-06-21 13:06  zmoelnig

	* video-backends have to supply their name

2010-06-21 12:21  zmoelnig

	* removed [pix_indycam]: it's no longer here

2010-06-21 11:05  zmoelnig

	* don't initialized gem::PluginFactory<>::s_factory
	  
	  g++-4.5 is picky about double definitions

2010-06-21 11:03  zmoelnig

	* use HAVE_PTHREADS; use CXX; ...

2010-06-21 11:02  zmoelnig

	* define HAVE_PTHREADS if pthreads are found

2010-06-21 10:59  zmoelnig

	* turned inside out (fixes: #3000166)

2010-06-16 16:45  zmoelnig

	* k32BGRAPixelFormat -> k32ARGBPixelFormat as suggested in #2980652

2010-06-15 09:39  zmoelnig

	* fixed typo where rgb2yuv would multiply by Y_OFFSET rather than
	  add to

2010-06-02 14:23  zmoelnig

	* updated configure.ac/Makefile to include all plugins;
	  little script to generate configure.ac

2010-06-02 14:22  zmoelnig

	* better guid handling

2010-05-26 17:10  zmoelnig

	* modify "libdir" so that it points to .../pd/extra/Gem:
	  this is where all the plugins (and Gem itself) should be
	  installed

2010-05-26 16:30  zmoelnig

	* checks for threads
	  
	  currently only pthreads are supported

2010-05-26 15:52  zmoelnig

	* allocate more memory for the target image
	  
	  gluScaleImage sometimes crashes when resizing to a a small
	  greyscale image
	  (25x25).
	  i suspect that it needs more "working" memory, so we allocate as
	  if the target
	  image where RGBA
	  
	  hopefully fixes #3007373

2010-05-26 15:48  zmoelnig

	* do not assume that greyscale-images have numpix%4=0
	  
	  fixes #3007370

2010-05-26 12:26  zmoelnig

	* use "unsigned int" where appropriate

2010-05-26 10:56  zmoelnig

	* dialogMess/enumerateMess

2010-05-26 10:37  zmoelnig

	* merged videoIndy into videoSGI
	  
	  just noticed that pix_videoindy really only provided an interface
	  to control the
	  camera of the indy; all the grabbing code has been gone long (was
	  it ever there)
	  
	  thus i moved the code over to the videoSGI plugin, but disabled
	  all the
	  functionality for now

2010-05-26 10:20  zmoelnig

	* moved pix_indycam into videoIndy
	  not working yet

2010-05-26 09:44  zmoelnig

	* fixed the OutputName

2010-05-26 09:33  zmoelnig

	* set output name to this weird convention...

2010-05-26 09:20  zmoelnig

	* OutputDir is always SolutionDir

2010-05-26 08:58  zmoelnig

	* updated M$VC project to include the videoDS and videoVFW
	  sub-projects

2010-05-26 08:55  zmoelnig

	* initialization in init-part of ctor

2010-05-26 08:51  zmoelnig

	* compiled/linked/loaded under windows
	  
	  no camera attached yet, however...

2010-05-26 08:16  zmoelnig

	* export the class rather than using GEM_EXTERN

2010-05-26 08:10  zmoelnig

	* renamed videoNT to videoVFW

2010-05-25 16:36  zmoelnig

	* catchGemException() is GEM_EXTERN

2010-05-25 16:32  zmoelnig

	* proper includes for w32

2010-05-25 13:43  zmoelnig

	* moved "close" towards canonical solution
	  
	  means: closing now works (again?)

2010-05-25 13:42  zmoelnig

	* return TRUE when stopping threads if no thread is present

2010-05-25 12:23  zmoelnig

	* use std::string rather tan "char*"; convert from YUY2
	  
	  i thought i've already done this a while ago...

2010-05-25 12:22  zmoelnig

	* M$VC projects for vfw backend

2010-05-25 12:11  zmoelnig

	* added fromABGR()

2010-05-24 18:07  zmoelnig

	* M$VC project (copied from filmDS)

2010-05-21 16:40  zmoelnig

	* normalized the "provide"d interfaces

2010-05-21 16:39  zmoelnig

	* PluginFactory interface and provides

2010-05-21 16:38  zmoelnig

	* dialog() now takes a vector of dialog-names to open;
	  if none are specified, all should be opened

2010-05-21 16:38  zmoelnig

	* this might compile now...

2010-05-21 16:37  zmoelnig

	* fixed typo in Makefile.am

2010-05-21 16:29  zmoelnig

	* cleaned up code without even trying to compile it

2010-05-21 16:29  zmoelnig

	* include the local config.h if possible

2010-05-20 16:43  zmoelnig

	* copied from pix_videoDarwin: more history!
	  
	  losing the history for the backendification...

2010-05-20 16:36  zmoelnig

	* use carbon-framework as well; frameworks not needed for CFLAGS

2010-05-20 16:35  zmoelnig

	* initial checkin (just a copy from pix_videoDS)

2010-05-20 16:16  zmoelnig

	* at least i got an image!

2010-05-20 15:49  zmoelnig

	* dialog/enumerate methods

2010-05-20 15:48  zmoelnig

	* proper initialization

2010-05-20 15:47  zmoelnig

	* ctor/dtor don't have return types...

2010-05-20 15:29  zmoelnig

	* at least it compiles...
	  
	  ZERO function tests have been made

2010-05-20 15:02  zmoelnig

	* no arguments for videoV4L2::ctor

2010-05-20 13:27  zmoelnig

	* not working at all yet...

2010-05-20 12:18  zmoelnig

	* might compile (or not; has to be tried)

2010-05-20 10:12  zmoelnig

	* videoSGI might work (or not, who can test that?)

2010-05-20 08:47  zmoelnig

	* moved pix_video{NT,SGI} into plugins
	  
	  not working at all for now; just moved files around...

2010-05-19 14:49  zmoelnig

	* fixed start/stop: should report expected status rather than
	  actual status

2010-05-19 13:49  zmoelnig

	* use the new DV4L implementation
	  
	  this implementation works for both the new juju stack and
	  the old dv1394 interface; the old implementation only worked
	  with the old dv1394 interface which is slowly vanishing from all
	  major
	  distributions...

2010-05-19 13:41  zmoelnig

	* protect against NULL-pointer to raw1394 structure

2010-05-19 13:11  zmoelnig

	* added videoDC1394 to the build

2010-05-19 13:02  zmoelnig

	* set m_width/m_height in the default setDimen() method

2010-05-19 13:01  zmoelnig

	* less verbose pluginfactory

2010-05-19 12:40  zmoelnig

	* implemented "channel" switching
	  
	  actually this is "mode" selection

2010-05-19 12:40  zmoelnig

	* removed swap/offset: no plugin implements them anyhow

2010-05-19 12:39  zmoelnig

	* removed offset/swap messages: no backend implements them anyhow

2010-05-19 09:59  zmoelnig

	* allow to query gem::video for all devices it provides
	  
	  [pix_video] can now do all the formatting itself;
	  gem::video doesn't print anything anymore when it is informed
	  that
	  it actually "provide"s something

2010-05-19 09:59  zmoelnig

	* also provide "iidc"

2010-05-19 09:58  zmoelnig

	* removed the test-exception

2010-05-19 09:58  zmoelnig

	* device-selection

2010-05-19 09:58  zmoelnig

	* handle exceptions in the plugin-ctors

2010-05-18 13:58  zmoelnig

	* frame locking (does it work?)
	  less verbose

2010-05-18 13:55  zmoelnig

	* got an image!

2010-05-18 10:24  zmoelnig

	* convenience method "usleep"

2010-05-18 09:54  zmoelnig

	* replaced "char*" by "std::string"

2010-05-18 09:26  zmoelnig

	* reverted all changes from the last few days and re-started
	  with the original code
	  
	  at least this doesn't freeze my system...

2010-05-17 12:46  zmoelnig

	* multiple locks

2010-05-17 11:58  zmoelnig

	* hopefully fixed the dimen-mess

2010-05-17 09:47  zmoelnig

	* implemented device setting...

2010-05-17 09:09  zmoelnig

	* more robust; default quality is "best"

2010-05-17 09:04  zmoelnig

	* added open/close messages

2010-05-17 08:29  zmoelnig

	* at least got an image...

2010-05-16 18:53  zmoelnig

	* use std::string instead of "char*"

2010-05-14 18:51  zmoelnig

	* cleaned up (lots of things are done in plugins/video)

2010-05-14 18:50  zmoelnig

	* debugging messages

2010-05-14 18:49  zmoelnig

	* use ::close()/::open() rather than close/open

2010-05-14 18:49  zmoelnig

	* made it compile; needs testing
	  
	  send my IIDC camera so i can do some proper tests...

2010-05-14 18:48  zmoelnig

	* only get frame if we haveVideo and are capturing

2010-05-14 18:47  zmoelnig

	* moved private data into PIMPL

2010-05-14 18:47  zmoelnig

	* open/close/start/stop methods to be called from outside;
	  
	  these automatically handle the capturing/haveVideo states and
	  start/close the threads

2010-05-14 16:36  zmoelnig

	* nono nothing yet

2010-05-14 15:38  zmoelnig

	* alternative implementation of libDV4L
	  
	  does not work yet

2010-05-13 15:03  zmoelnig

	* fixed linebreak

2010-05-13 15:02  zmoelnig

	* made it loadable by removing not-implemented methods from header

2010-05-13 15:02  zmoelnig

	* exception string is now a std::string() rather than a char*

2010-05-13 15:01  zmoelnig

	* don't include GemException.h for all objects

2010-05-13 14:59  zmoelnig

	* removed void comment

2010-05-13 14:58  zmoelnig

	* allocate memory for the error-string; could be a memleak

2010-05-13 14:57  zmoelnig

	* non-verbose output

2010-05-13 14:57  zmoelnig

	* compiles and i managed to get an image...^

2010-05-13 14:56  zmoelnig

	* upgrade to the new interface;
	  
	  seems to work; but needs more stress testing

2010-05-13 14:56  zmoelnig

	* experimental upgrade to the new interface.
	  no chance for testing yet.

2010-05-13 14:55  zmoelnig

	* cleaned up interface of gem::video
	  
	  added documentation on what a metthod is supposed to do;
	  breaks compatibility with all the implementations

2010-05-13 14:54  zmoelnig

	* cleaned up code of [pix_video] in preparation for the cleanup of
	  the
	  video-plugins

2010-05-11 18:52  zmoelnig

	* now i would like to get my hand on an IIDC camera and test it

2010-05-11 16:57  zmoelnig

	* start the transfer; frames are discarded though

2010-05-07 16:45  zmoelnig

	* build system kind of works

2010-05-07 15:04  zmoelnig

	* copied files from videoDV4L to videoDC1394
	  
	  no work has actually been done yet; so this won't work for now

2010-05-07 10:40  zmoelnig

	* refresh the buffer when requested from downstream for processing

2010-05-07 10:34  zmoelnig

	* resend the image on request
	  
	  at least set the "newimage" flag; if something downstream really
	  modifies the image, this might hav side effects; i cannot think
	  of a
	  fast implementation (without caching each frame) that would allow
	  that;
	  if people run into it, they should probably use [pix_separator]

2010-05-07 09:37  zmoelnig

	* when changing the dimension for pix_resize, this should trigger
	  setPixModified()

2010-05-07 08:49  zmoelnig

	* the triangle is really equal-sided and not equilateral
	  fixes #2979943

2010-05-06 14:15  zmoelnig

	* hopefully fixed bug when allocating sizes

2010-05-06 13:52  zmoelnig

	* updated glew to 1.5.4

2010-05-06 13:51  zmoelnig

	* updated GLEW

2010-05-02 15:58  zmoelnig

	* set the AC_CONFIG_AUX_DIR to .

2010-05-02 14:28  zmoelnig

	* hopefully fixed the pascal-strings' fprintf()ing, as pointed out
	  by matju.
	  
	  there are surely loads of other wrong printf() uses.

2010-05-02 14:25  zmoelnig

	* aclocal, autoconf, autoheader, automake
	  
	  according to http://www.seul.org/docs/autotut/, it should be this
	  order...

2010-05-02 14:18  zmoelnig

	* call autoheader before automake when running them manually
	  (hopefully fixes the w32 compilation issue)

2010-05-02 14:11  zmoelnig

	* note about where to get GLEW from

2010-04-28 09:14  zmoelnig

	* use autoheader
	  
	  additionally there's a small helper-function for debugging...

2010-04-28 08:53  zmoelnig

	* dummy implementations of pushd/popd

2010-04-28 08:32  zmoelnig

	* fixed bashisms

2010-04-28 08:08  zmoelnig

	* substitute "let" expression with "$(( ))"
	  
	  as suggested by https://wiki.ubuntu.com/DashAsBinSh

2010-04-28 08:02  zmoelnig

	* removed bashisms when defining functions()

2010-04-28 07:59  zmoelnig

	* fixed typo in define (HAVE_VIDEO4LINUX rather than
	  HAVE_VIDE4LINUX)

2010-04-27 13:14  zmoelnig

	* manual implementation of autoreconf as fallback...

2010-04-27 12:47  zmoelnig

	* plugins are now prefixed with "gem_" (e.g. "gem_filmAVI.so")

2010-04-27 10:32  zmoelnig

	* check for existing pimpl

2010-04-27 10:21  zmoelnig

	* uglified & simplified the entire plugin-engine
	  
	  the PluginFactory used to crash a lot, so this is a new attempt:
	  skipped ClassId and hardcode it to std::string;
	  skip the map<ClassId, ctor_t> and replace it by a map<string,
	  void*>
	  that is handled in the PluginBaseFactory
	  
	  i have no clue about template programming, but if this is what
	  comes out then
	  IT IS REALLY AND UGLY HACK!

2010-04-26 09:59  zmoelnig

	* i think these are not needed...

2010-04-26 09:37  zmoelnig

	* stripped down to only run autoreconf

2010-04-23 12:57  zmoelnig

	* set the AC_CONFIG_AUX_DIR to .

2010-04-23 07:14  zmoelnig

	* loadbang the [quality 0( messages to [pix_texture]

2010-04-22 15:58  zmoelnig

	* Squashed commit of the following: (fixTypo branch)
	  
	  commit c6c538094e219209265208eeb661967cc10f6821
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Thu Apr 15 19:12:48 2010 +0200
	  
	  cosmetic changes
	  
	  removed spurious "on"
	  rearranged a bit
	  
	  commit 49238287f8ef7b0c106323f12ced3e35c89f7f04
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Thu Apr 15 19:11:35 2010 +0200
	  
	  quote the "open" (it refers to a method)
	  
	  commit 6ccfd4af2030ac280cc6a808be2a938dd4ea8ad9
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Thu Apr 15 19:09:21 2010 +0200
	  
	  better use of space
	  
	  commit 881b1826cf8165cc7f4764af08f36fb93daf0e04
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Thu Apr 15 19:06:05 2010 +0200
	  
	  better use of canvas space
	  
	  commit 3ba518e5f4ba00d25a0820213b50d1cc81e1defb
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Thu Apr 15 19:05:29 2010 +0200
	  
	  the example patch is on the left side, not on the right
	  
	  commit 00b62180e9b06565007565519a860c1475807894
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Thu Apr 15 19:04:57 2010 +0200
	  
	  use "labels" of numberboxes
	  
	  commit 2e534b948824307176794afa2bb6781e9654a31a
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Thu Apr 15 19:04:17 2010 +0200
	  
	  "perspective"
	  
	  commit 5b6f06f8adb65ad6965a2ca006bfdc324e40719d
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Thu Apr 15 18:57:43 2010 +0200
	  
	  fixed some typos in the documentation
	  
	  and corrected the statement about where the initial translation 0
	  0 -4
	  comes from (it's done in [gemwin] not in [gemhead])

2010-04-21 09:21  zmoelnig

	* add notes about PLUGINs when printing the result-screen

2010-04-21 09:15  zmoelnig

	* forgot closing paranthesis in help-string

2010-04-19 09:43  zmoelnig

	* use AC_LIB_APPENDTOVAR rather than manually appending

2010-04-19 09:11  zmoelnig

	* bumped needed autoconf version to 2.60

2010-04-18 07:46  zmoelnig

	* Squashed commit of the following:
	  
	  commit 06653cbdaec3d59cbf20e04184a4114e63875291
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 17:39:48 2010 +0200
	  
	  KLUDGE: provide a dummy "install"
	  
	  commit 5465970faf4214c0a6dc19006314266061fffe7b
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 17:01:01 2010 +0200
	  
	  "clean" and "install" targets for plugins and extra
	  
	  commit cac35ffc948e731ba711c9edff8fe773ee09390d
	  Merge: 828d871 212abf6
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 16:38:36 2010 +0200
	  
	  Merge branch 'pluginfactory' of ssh://dev.iem.at/~/src/git/GemEEE
	  into pluginfactory
	  
	  commit 212abf6e3d9e2a9549fdf539ed05718c08ef9471
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 16:03:29 2010 +0200
	  
	  added "clean" and "install" targets to the plugins;
	  
	  since the Makefile.subdir also provides "clean", we have to
	  switch
	  to "::" targets
	  
	  commit 50bd1ab719e78fcc34d50903512774ca05b1e2e8
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 15:44:09 2010 +0200
	  
	  use the defaultExtension for Dylibs when globbing for libs
	  
	  commit 31053f63a4b4e03aec151620d2c980327d2ec790
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 15:43:08 2010 +0200
	  
	  function for querying the default-extension for the current
	  platform
	  
	  commit 90385753f92b9d2ad6cc17467ab46ab63a356820
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 15:42:07 2010 +0200
	  
	  use "const std::string"
	  
	  commit 934c9c77defaef214e421cefd96dbacf80a9c6d8
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 13:46:32 2010 +0200
	  
	  proper spacing for ?=
	  
	  commit 3b611d46d9f159bc0a9783dc71759a73fa629a27
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 13:46:13 2010 +0200
	  
	  regenerated
	  
	  commit 739722e69810db8466a32b5e636022614ac829ab
	  Merge: aac156a f3a51ab
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Fri Apr 16 19:39:11 2010 +0200
	  
	  Merge branch 'pluginfactory'
	  
	  commit f3a51ab4c705a1a3e01c57fbc6d220c55212c5b6
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Fri Apr 16 19:15:04 2010 +0200
	  
	  removed duplicate AC_CONFIG_FILES line
	  
	  commit d60e7980031f8b4924ae4fa9e11992bb3c230cd9
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Fri Apr 16 19:12:55 2010 +0200
	  
	  more stubs for automake
	  
	  commit d121af55d172c06134d06ec8c9d45cfe394b9ea3
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Fri Apr 16 18:42:19 2010 +0200
	  
	  keep automake happy
	  
	  in order for automake to stay happy, it needs a file referenced
	  in
	  configure.ac that can be made from a .am file.
	  we use AMakefile(.am) for this, in order to not interfere with
	  the real
	  Makefile.
	  
	  commit 5f63192662265d181a8ac21a5b08c151cb457699
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Fri Apr 16 18:30:39 2010 +0200
	  
	  a local autogen.sh
	  
	  commit 4b785beb420110e8f9c5cc46343f0bb663e9fb1c
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Fri Apr 16 18:30:05 2010 +0200
	  
	  regenerated
	  
	  commit 19bb71862dffee04fbe1e6578a97304bb93d6ca0
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Fri Apr 16 18:28:14 2010 +0200
	  
	  make automake happy

2010-04-17 14:19  zmoelnig

	* more squashed merge

2010-04-17 14:19  zmoelnig

	* Squashed commit of the following:
	  
	  commit 212abf6e3d9e2a9549fdf539ed05718c08ef9471
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 16:03:29 2010 +0200
	  
	  added "clean" and "install" targets to the plugins;
	  
	  since the Makefile.subdir also provides "clean", we have to
	  switch
	  to "::" targets
	  
	  commit 50bd1ab719e78fcc34d50903512774ca05b1e2e8
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 15:44:09 2010 +0200
	  
	  use the defaultExtension for Dylibs when globbing for libs
	  
	  commit 31053f63a4b4e03aec151620d2c980327d2ec790
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 15:43:08 2010 +0200
	  
	  function for querying the default-extension for the current
	  platform
	  
	  commit 90385753f92b9d2ad6cc17467ab46ab63a356820
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 15:42:07 2010 +0200
	  
	  use "const std::string"
	  
	  commit 934c9c77defaef214e421cefd96dbacf80a9c6d8
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 13:46:32 2010 +0200
	  
	  proper spacing for ?=
	  
	  commit 3b611d46d9f159bc0a9783dc71759a73fa629a27
	  Author: IOhannes m zmölnig <zmoelnig@umlaeute.mur.at>
	  Date: Sat Apr 17 13:46:13 2010 +0200
	  
	  regenerated config.h.in

2010-04-16 17:37  zmoelnig

	* removed duplicate AC_CONFIG_FILES line

2010-04-16 17:36  zmoelnig

	* more stubs for automake

2010-04-16 17:35  zmoelnig

	* keep automake happy
	  
	  in order for automake to stay happy, it needs a file referenced
	  in
	  configure.ac that can be made from a .am file.
	  we use AMakefile(.am) for this, in order to not interfere with
	  the real
	  Makefile.

2010-04-16 17:34  zmoelnig

	* a local autogen.sh

2010-04-16 17:33  zmoelnig

	* regenerated

2010-04-16 17:33  zmoelnig

	* make automake happy

2010-04-15 14:26  zmoelnig

	* Makefile.am for m4 include paths
	  regenerated config.h.in

2010-04-15 14:18  zmoelnig

	* stub Makefile.am for m4-includes
	  
	  on OSX (with autoreconf-2.61 as from XCode(?)) autoreconf weill
	  not pass the
	  "-I /path/to/m4" flags and instead just ignore them, which will
	  produce
	  unusable configure scripts (because macros are not expanded)
	  at least the ACLOCAL_AMFLAGS line in the automake Makefile.am is
	  respected.
	  we therefore have a Makefile.am that just make sure that the
	  m4-directory is
	  found

2010-04-15 10:11  zmoelnig

	* fixed AM_INIT_AUTOMAKE: remove the "-Wall -Werror" thingy

2010-04-13 16:34  zmoelnig

	* added GEM_RTE_CFLAGS

2010-04-13 15:45  zmoelnig

	* Merge branch 'pluginfactory' into HEAD
	  
	  Conflicts:
	  Gem/src/Pixes/pix_film.cpp
	  Gem/src/plugins/PluginFactory.cpp

2010-04-09 08:17  zmoelnig

	* Merge branch 'master' of ssh://dev.iem.at/~/src/git/GemEEE
	  
	  Conflicts:
	  Gem/src/Base/PluginFactory.cpp
	  Gem/src/Base/PluginFactory.h
	  Gem/src/Base/PluginFactoryTimple.h
	  Gem/src/Pixes/pix_film.cpp

2010-04-08 16:25  zmoelnig

	* load external "film" plugins

2010-04-08 16:25  zmoelnig

	* use "std::string" rather than "const char*"

2010-04-08 16:24  zmoelnig

	* namespace is "files" not "file"

2010-04-08 16:05  zmoelnig

	* wrapper for file operations

2010-04-08 13:47  zmoelnig

	* "better" verbosity when trying to read Gem-settings

2010-04-08 13:23  zmoelnig

	* switched from fixed array of handles to std::vector;
	  switched from (const char*) IDs to std::string

2010-04-08 13:22  zmoelnig

	* functions to query the avaiolable keys and to load more plugins

2010-04-08 13:21  zmoelnig

	* "gem.path" setting (not yet tested)

2010-04-08 13:20  zmoelnig

	* only register "AVI" if there is no "DS" handle (mimicks old
	  behaviour)

2010-04-08 13:18  zmoelnig

	* cleaned up code; actually remember handles returned from the
	  factory

2010-04-08 13:17  zmoelnig

	* first working example

2010-04-08 13:14  zmoelnig

	* less verbose

2010-04-08 13:13  zmoelnig

	* dropped the multi-constructor feature: a single ID can only have
	  a single
	  constructor!

2010-04-08 13:11  zmoelnig

	* split PluginFactory-header from implementation

2010-04-08 13:10  zmoelnig

	* stripped down pluginfactory

2010-04-07 07:55  zmoelnig

	* include pdgst target; gemdeskotheque has no autoconf

2010-04-06 17:37  zmoelnig

	* do not regenerate config.h Make.config on demand

2010-04-06 17:35  zmoelnig

	* autogenerated config.h.in from autoheader

2010-04-06 17:30  zmoelnig

	* help=recursive

2010-04-06 17:22  zmoelnig

	* automatically build extra

2010-04-06 17:18  zmoelnig

	* recursively build extra/

2010-04-06 17:16  zmoelnig

	* recursively call extra/
	  don't check for ARToolKit

2010-04-06 17:15  zmoelnig

	* added pix_artoolkit

2010-04-06 17:15  zmoelnig

	* use autoreconf if available

2010-04-06 17:02  zmoelnig

	* regenerated config.h.in with autoheader

2010-04-06 16:46  zmoelnig

	* readme explains how to compile pix_artoolkit

2010-04-06 16:37  zmoelnig

	* use GEM_CHECK_LIB

2010-04-06 16:37  zmoelnig

	* make depend on config.h

2010-04-06 16:15  zmoelnig

	* simple Makefile that calls the real one in Gem/src

2010-04-06 15:25  zmoelnig

	* updated documentation
	  
	  you should use autogen.sh, or aclocal and autoconf in order to
	  generate a valid
	  configure script.
	  just running "autoconf" is not enough

2010-04-06 15:20  zmoelnig

	* notes about juju and devices opened in parallel

2010-04-06 15:10  zmoelnig

	* use arguments to intialized [rotate] and [translate] rather than
	  loadbang

2010-04-06 15:09  zmoelnig

	* split the m4-macros into separate packages and put them into a
	  separate src/m4
	  directory

2010-04-06 14:47  zmoelnig

	* fixed output of configure--help

2010-04-06 14:43  zmoelnig

	* added generated descriptions to AC_DEFINEs

2010-04-06 14:38  zmoelnig

	* descriptions for AC_DEFINE

2010-04-06 14:30  zmoelnig

	* non-working automake project

2010-04-06 14:26  zmoelnig

	* recursive call of configure

2010-03-26 08:59  nusmuk

	* add help for the new mesh line primitive

2010-03-25 18:47  nusmuk

	* add new mesh primitive

2010-03-18 20:18  zmoelnig

	* remove the explicit mentioning of "32" in the falign-options.
	  let the system choose system specific defaults

2010-03-16 19:37  zmoelnig

	* protect CPPExtern against NO objectnames

2010-03-16 17:52  zmoelnig

	* renamed "Helpers/" to "Gem/"

2010-03-16 17:47  zmoelnig

	* renamed "Helpers/" to "Gem/"

2010-03-16 07:52  zmoelnig

	* don't include config.h

2010-03-15 18:01  zmoelnig

	* "--with-pd" no also adds the given path to INCLUDES and LIBS
	  
	  formerly, only <pdpath>/src and <pdpath>/bin were added

2010-03-15 17:58  zmoelnig

	* backported debians "no flags overwrite" patch (backported from
	  branches/0.92)

2010-03-15 17:40  zmoelnig

	* check for "s_stuff.h" needs m_pd.h included (backported from
	  branches/0.92)

2010-03-15 17:33  zmoelnig

	* fixed memleaked detected by Gerrie Roos (backported from
	  branch/0.92)

2010-03-15 17:04  zmoelnig

	* eventually use the system's "GLEW" (if available)
	  
	  backported from 0.92 branch

2010-03-10 22:42  eighthave

	* added two more examples of how to do tracking with Gem

2010-03-05 19:14  zmoelnig

	* only update in render() (keeps images more consistant)

2010-02-27 20:59  zmoelnig

	* added note about the default viewpoint

2010-02-25 17:37  zmoelnig

	* moved the push/pop of matrices from gemman back to gemhead; also
	  use it in
	  separator

2010-02-25 15:54  zmoelnig

	* added LATER

2010-02-25 15:51  zmoelnig

	* uninstaller helper from
	  http://nsis.sourceforge.net/Uninstall_only_installed_files
	  
	  i haven't yet tested this!

2010-02-25 15:18  zmoelnig

	* added new files (GLStack and friends)

2010-02-25 15:17  zmoelnig

	* GemState::reset() has to return a value

2010-02-25 15:15  zmoelnig

	* swap() has to return a value

2010-02-25 15:13  zmoelnig

	* warning about multiple texunits

2010-02-25 15:12  zmoelnig

	* fixed forgotten returns

2010-02-25 14:52  zmoelnig

	* GLstack fuzz

2010-02-25 13:06  zmoelnig

	* realtime environment header (e.g. include m_pd.h)

2010-02-25 12:29  zmoelnig

	* Gem'ified any

2010-02-25 10:30  zmoelnig

	* cdiggins's "any" implementation

2010-02-23 19:01  zmoelnig

	* don't mention "PNG" in the documentation of pix_image

2010-02-09 17:20  zmoelnig

	* reverted 06.framebuffer_and_shader.pd since the reverted
	  [pix_texture] also
	  requires the [pix_set] hack

2010-02-09 17:19  zmoelnig

	* Revert "handle rectangle and upside-down textures via the
	  GL_TEXTURE matrix"
	  
	  see whether this get's us going with all the shader stuff;
	  LATER this should be implemented again, but probably with more
	  careful thinking
	  
	  This reverts commit 79f68200fe8e265b2eeb824544693a3eb48bc57b.

2010-02-09 17:14  zmoelnig

	* only push/pop the color-matrix if ARB_imaging is supported

2010-02-03 18:05  zmoelnig

	* fixed for M$VC

2010-02-03 17:37  zmoelnig

	* define behaviour for projection/color/texture stacks

2010-02-03 17:08  zmoelnig

	* query the current matrix depth's rather than guessing

2010-02-01 16:05  zmoelnig

	* new() is now member of Obj_header; this might (nor not) resolve
	  problems with
	  flext

2010-01-29 11:25  nusmuk

	* add shader initialisation at each gem window creation

2010-01-29 08:57  zmoelnig

	* initialize m_state properly to INIT

2010-01-28 18:40  zmoelnig

	* enhanced the setModified() to call rebuildList()

2010-01-28 18:39  zmoelnig

	* if a context-variable is set out-of-context, all its instances
	  are set to the
	  given value
	  (mostly needed for setting MODIFIED flags because the user sent a
	  message)

2010-01-28 11:30  zmoelnig

	* check for apple/ia64

2010-01-28 11:30  zmoelnig

	* removed inclusion if Quicktime.h

2010-01-28 11:06  zmoelnig

	* check for ia64 in filmQT

2010-01-28 10:57  zmoelnig

	* protect filmDarwin not just by __APPLE__ but by
	  HAVE_CARBONQUICKTIME

2010-01-28 10:53  zmoelnig

	* check whether we are on Apple/ia64 before trying to compile code
	  that won't
	  work;
	  LATER use a real configure check for this

2010-01-28 10:38  zmoelnig

	* make CarbonQuicktime not disabling other image loading backends

2010-01-28 10:29  zmoelnig

	* reorganized code a little bit to migrate the OSX code to the
	  proper interface

2010-01-28 10:04  zmoelnig

	* fixed typos

2010-01-28 10:02  zmoelnig

	* allow coexistence of QuickTime code and other backends (e.g.
	  ImageMagick)

2010-01-28 09:52  zmoelnig

	* fixes for OSX

2010-01-28 09:51  zmoelnig

	* use '__attribute__ ((deprecated))' rather than
	  '__attribute_deprecated__'

2010-01-28 08:59  zmoelnig

	* don't try to initialize the ContextData if no default value is
	  given

2010-01-28 08:58  zmoelnig

	* include GemState.h

2010-01-28 08:58  zmoelnig

	* M$VC fixes (snprintf() and close())

2010-01-27 17:44  zmoelnig

	* added GemDylib.cpp to the project

2010-01-27 17:44  zmoelnig

	* fixed M$VC errors

2010-01-27 17:35  zmoelnig

	* removed GemState.h from GemBase.h; so we have to re-included
	  manually where
	  needed

2010-01-27 17:04  zmoelnig

	* a wrapper class for dylibs (loads a dynamic library and runs
	  functions therein)

2010-01-27 15:59  zmoelnig

	* removed verbosity

2010-01-27 15:54  zmoelnig

	* introduced CPPExtern::findFile() to wrap the canvas-stuff

2010-01-27 14:49  zmoelnig

	* also except std::string when creating an exception

2010-01-27 14:47  zmoelnig

	* canvas_makefilename() and friends really want a non-const
	  t_canvas*

2010-01-27 14:46  zmoelnig

	* canvas_makefilename() and friends really want a non-const
	  t_canvas*

2010-01-27 14:20  zmoelnig

	* const_cast<> because Pd needs them

2010-01-27 14:19  zmoelnig

	* const_cast<>s, because Pd declares loads of variables as
	  non-const even though
	  they really should be const

2010-01-25 16:51  zmoelnig

	* added checks for linker-flags '-bundle -mmacosx-version-min=10.3
	  -undefined dynamic_lookup'

2010-01-25 13:18  nusmuk

	* remove unused connections

2010-01-25 13:15  nusmuk

	* revert back the modification : this patch work like it use to...

2010-01-25 12:56  nusmuk

	* varius clean of the examples patchs

2010-01-25 12:37  zmoelnig

	* call setTexCoords() only once at the end of render()

2010-01-25 12:35  zmoelnig

	* use [pix_kaleidoscope] for a more interesting effect
	  ([pix_aging] is an"overlay" effect that does nothing to the
	  pixels)

2010-01-25 12:20  zmoelnig

	* use "texture ?" rather than "mode ?"

2010-01-25 12:19  zmoelnig

	* reset the texcoord matrix every single frame...

2010-01-25 10:41  zmoelnig

	* fixed deprecation define for MSVC

2010-01-22 18:51  nusmuk

	* adapting shader regarding the texture coordinate change in Gem

2010-01-21 11:22  zmoelnig

	* Merge branch 'GemState'
	  
	  Conflicts:
	  Gem/src/Base/GemState.cpp

2010-01-19 13:08  zmoelnig

	* on the way to using GemContextData<> even in "ordinary"
	  (non-multi-context) envs

2010-01-19 10:09  zmoelnig

	* added config.h to svn:ignore

2010-01-19 10:07  zmoelnig

	* setting svn:ignore externals for the source-trees

2010-01-19 10:04  zmoelnig

	* svn:ignore "*.d"

2010-01-11 17:08  zmoelnig

	* c++cast fixes for w32

2010-01-11 12:55  zmoelnig

	* more C++cast fixes for OSX

2010-01-11 12:35  zmoelnig

	* replaced 'vector_unsigned_char' by 'vector unsigned char'

2010-01-11 11:22  zmoelnig

	* better accessors for GemContextData
	  
	  accessing a contextualized variable should now be transparent:
	  e.g.
	  <code>
	  GemContextData<int>value;
	  value=12;
	  int a=3*value+7;
	  </code>
	  
	  prefix/postfix (e.g.. "value++") doesn't seem to work though

2010-01-11 11:20  zmoelnig

	* reset the active texunit to #0 in pix_texture::postRender()
	  
	  this should avoid problems with upstream objects (and objects
	  rendered LATER without any explicit [pix_texture])
	  
	  we still need a proper solution for [separator] and multiple
	  texture stacks

2010-01-11 11:18  zmoelnig

	* [separator] now takes an extra argument to only separate specific
	  domains

2010-01-11 11:17  zmoelnig

	* added warning about multiple texunits and pushing/popping texmat
	  
	  this really needs to be fixed, as people getting constant openGL
	  errors
	  (over/underflows) when using mulitple texunits and [separator]

2010-01-11 11:15  zmoelnig

	* replaced anonymous indices of state->stackDepth with an enum in
	  GemMan

2010-01-11 10:46  zmoelnig

	* c++-casts

2010-01-11 10:42  zmoelnig

	* more fixes for C++ casts on OSX

2010-01-08 14:45  zmoelnig

	* fixed C++casts for OSX

2010-01-08 13:26  zmoelnig

	* more c++casts

2010-01-08 13:23  zmoelnig

	* replaced (int)atom_getfloat() by atom_getint()

2010-01-08 13:22  zmoelnig

	* static_cast<> for Output/

2010-01-08 13:22  zmoelnig

	* static_cast<> for Nongeos/

2010-01-08 13:21  zmoelnig

	* t_float cast

2010-01-08 13:21  zmoelnig

	* static_cast<GL...>

2010-01-08 13:20  zmoelnig

	* static_cast<GL...> for Geos

2010-01-08 13:19  zmoelnig

	* static_cast<float> in Geos

2010-01-08 13:18  zmoelnig

	* drawtype of curve3d is now a local enum

2010-01-08 13:17  zmoelnig

	* static_cast<int> of Geos

2010-01-08 13:16  zmoelnig

	* cast fixes in Vertex

2010-01-08 13:14  zmoelnig

	* removed some unneeded casts

2010-01-08 13:14  zmoelnig

	* fixed some bugs where atom_getint was used to get floats

2010-01-08 13:13  zmoelnig

	* scripted conversion from ccasts to c++casts

2010-01-08 12:56  zmoelnig

	* reinterpret_cast<t_newmethod>

2010-01-08 12:54  zmoelnig

	* reinterpret_cast<t_method>
	  
	  converted all the CCASTs to C++CASTS with:
	  for i in *.cpp
	  do
	  sed -e 's|(t_method) *\([^
	  ]*\)\([,)]\)|reinterpret_cast<t_method>(\1)\2|' -i "${i}"
	  done

2010-01-08 12:13  zmoelnig

	* more casts

2010-01-08 12:10  zmoelnig

	* float priorities

2010-01-08 12:09  zmoelnig

	* fixed typo

2010-01-08 12:08  zmoelnig

	* reinterpret_casts for pointers

2010-01-08 12:07  zmoelnig

	* more C++ casts (this time in Base/)
	  
	  i guess a lot of casts in osx/w32 specific code (GemWinCreateMac)
	  will not work as it is; changes should be rather trivial

2010-01-08 12:05  zmoelnig

	* use static_cast<> and reintpret_cast<> where appropriate

2009-12-23 18:27  zmoelnig

	* works ok but ignores upsidedown
	  (looks weird when used with [pix_texture] since the image is
	  correct but the relief is not)

2009-12-23 12:50  zmoelnig

	* indentation

2009-12-23 11:41  zmoelnig

	* prefixed all member variables with "m_" (this time it works);
	  still need to understand why it does not work anymore (and why it
	  used to only work with RECTANGLE textures)

2009-12-23 09:41  zmoelnig

	* prefixed all members with m_

2009-12-23 09:31  zmoelnig

	* indentation and started to rename variables for readability

2009-12-23 09:20  zmoelnig

	* no "filename" in the QTImage2mem code (needs cleanup)

2009-12-21 15:07  zmoelnig

	* handle rectangle and upside-down textures via the GL_TEXTURE
	  matrix
	  (this way, the Geos can be totally agnostic about the texture
	  type and
	  orientation)
	  LATER: imageVert, pqtorusknots, ripple and (evtl.) rubber might
	  not behave as
	  they should
	  LATER: check whether GL_TEXTURE matrix is really to be abandoned
	  in OGL-3.0

2009-12-17 17:00  zmoelnig

	* added note about texture matrix

2009-12-17 12:56  zmoelnig

	* load all images upside down

2009-12-15 13:26  zmoelnig

	* updated config.{sub,guess}

2009-12-15 13:06  zmoelnig

	* fixed paths; now it compiles from svn

2009-12-15 12:51  zmoelnig

	* fixed path to ChangeLog

2009-12-15 12:47  zmoelnig

	* from my debian packaging efforts

2009-12-14 21:37  zmoelnig

	* don't use general namespace avm:: but use it explicitely when
	  needed (eg. for StreamInfo)

2009-12-14 10:41  zmoelnig

	* moved code into the mutexlocked parts to avoid crashes

2009-12-07 18:41  zmoelnig

	* use namespace "avm" for avifile-things

2009-12-07 11:21  zmoelnig

	* [gemwin] no longer sets the default framerate (instead this is
	  queried from
	  'window.fps' and (re)set in GemMan::resetState()

2009-12-07 11:19  zmoelnig

	* rectangle.texture and rectangle.pbo is now set via GemSettings

2009-12-07 11:17  zmoelnig

	* made framerate settable via GemSettings;
	  [print( gemwin now also prints all the GemSettings

2009-12-07 09:14  zmoelnig

	* added notes about cocoa

2009-12-01 15:02  zmoelnig

	* [separator] now also stores the projection matrix;
	  added a little doc on what is actually separated

2009-11-30 13:17  zmoelnig

	* back to not-printing the settings

2009-11-30 13:14  zmoelnig

	* oops forgot to recompile before committing...here we go

2009-11-30 13:10  zmoelnig

	* fixed typos: "treshold" no really reads "threshold" (uhah, this
	  makes patches
	  incompatible)

2009-11-30 11:34  zmoelnig

	* don't call wordfree() on OSX as this is buggy (makes endless
	  calls to memfree of non-aligned pointers)

2009-11-30 11:11  zmoelnig

	* error checks for wordexp()

2009-11-28 23:05  zmoelnig

	* fixed documentation (closes #2905446)

2009-11-27 22:23  zmoelnig

	* bashisms

2009-11-27 22:10  zmoelnig

	* removed debugging output

2009-11-27 22:08  zmoelnig

	* added glGetIntegerv();
	  fixed glGetFloatv();

2009-11-27 21:00  zmoelnig

	* added a note about dynamic lights

2009-11-27 20:58  zmoelnig

	* check whether we are rendering (that is: have a valid GLcontext)
	  before calling stopRendering() in the destructor

2009-11-27 20:56  zmoelnig

	* don't call glClearColor() without a window (might crash with some
	  drivers)

2009-11-26 17:49  zmoelnig

	* compiles on w32 again

2009-11-26 14:44  zmoelnig

	* don't print settings

2009-11-26 14:04  zmoelnig

	* more verbose

2009-11-26 13:29  zmoelnig

	* example file

2009-11-26 12:44  zmoelnig

	* settings for various aspects of the gemwindow and the
	  font-renderer

2009-11-26 12:44  zmoelnig

	* convenience methods;
	  DEFAULT_FONT

2009-11-26 10:40  zmoelnig

	* set the settings-file via environment variables GEM_SETTINGS

2009-11-26 10:24  zmoelnig

	* almost there: legacy support for env-variables; code cleanup

2009-11-26 08:49  zmoelnig

	* renamed the runtime settings to GemSettings

2009-11-25 17:55  zmoelnig

	* simple implementation of RealtTime configuration

2009-11-25 15:41  zmoelnig

	* a bit of explaining what is going on

2009-11-25 15:30  zmoelnig

	* conf

2009-11-25 14:53  zmoelnig

	* check whether QuickTime init succeeded before trying to close()

2009-11-24 17:12  zmoelnig

	* use GemCGLint instead of CGLint to handle different CGLversions

2009-11-24 10:35  zmoelnig

	* tyr handling outdated CGL-versions;
	  really people should rather upate....

2009-11-05 17:35  zmoelnig

	* strrchr() returns "const char*"

2009-10-31 16:49  zmoelnig

	* hopefully got the texenv right

2009-10-28 13:04  zmoelnig

	* less warnings...

2009-10-28 13:00  zmoelnig

	* undef HAVE_CONFIG_H after inclusion of config.h

2009-10-27 21:26  zmoelnig

	* cast filename to const char*

2009-10-27 21:16  zmoelnig

	* use "const char*" for open();
	  fixed some signed/unsigned comparisions

2009-10-22 17:09  zmoelnig

	* an experimental cubemap-texture object; this should later be
	  merged into [pix_texture]

2009-10-21 12:48  zmoelnig

	* nada

2009-10-18 13:41  zmoelnig

	* on w32 define "close" as "_close" (shouldn't this be: on MSVC
	  rather than W32?)

2009-10-15 17:03  zmoelnig

	* added GemException files to build

2009-10-15 17:02  zmoelnig

	* Release no builds with ARToolKit support, wherease ReleaseDummy
	  builds without

2009-10-15 16:43  zmoelnig

	* removed inclusion of Base/GemConfig.h as this has to be handled
	  locally

2009-10-15 16:33  zmoelnig

	* export the _setup function on w32;
	  added guard to not call the class_new() twice

2009-10-15 16:14  zmoelnig

	* added M$VC-project;
	  removed "#warning" directives, since M$VC doesn't really like
	  them

2009-10-15 16:07  zmoelnig

	* removed configDarwin.h.in: either use autoconf's config.h.in or
	  configDarwin.h

2009-10-15 16:01  zmoelnig

	* autoheaders generated stuff

2009-10-15 15:59  zmoelnig

	* config-related stuff

2009-10-15 15:58  zmoelnig

	* simplified CPPExtern.h;
	  moved GemExceptions into a separate file

2009-10-15 11:49  zmoelnig

	* this now compiles as an external for Gem

2009-10-15 11:49  zmoelnig

	* import/export handling for M$VC (on the way to provide a
	  mechanism for GEM-externals)

2009-10-15 11:35  zmoelnig

	* almost got it working (though tiny changes to Gem are needed)

2009-10-15 07:58  nusmuk

	* correct sentense about rendering order

2009-10-15 07:41  zmoelnig

	* slowly goes the night: still not really working M$VC project
	  (linker fails)

2009-10-15 07:17  zmoelnig

	* added banner when compiled as a Gem-external;
	  properly include GemConfig.h
	  (LATER this really should use its own config)

2009-10-14 08:55  zmoelnig

	* protect against NULL-canvases (e.g. when invoking the loader via
	  "-lib")

2009-10-13 15:07  zmoelnig

	* moved the installer target into a separate project

2009-10-13 14:34  zmoelnig

	* removed pix_artoolkit from Pixes and added pix_artoolkit project

2009-10-13 14:33  zmoelnig

	* added _snprintf() magic for M$VC

2009-10-13 14:32  zmoelnig

	* removed _snprintf() magic (it has nothing todo with configNT.h)

2009-10-13 14:31  zmoelnig

	* an M$VC-project for pix_artoolkit;
	  small change to pix_artoolkit.cpp to fix LNK2019 (check whether
	  this breaks something on other platforms)

2009-10-13 13:24  zmoelnig

	* fixed typo in preprocessor code

2009-10-13 13:22  zmoelnig

	* M$ needs stupid aliases for snprintf()-like functions

2009-10-07 20:36  zmoelnig

	* use "data" instead of "pdata";
	  pdata is mainly here to get the alignment of data right;
	  using pdata will be slower (not-aligned) and wrong (pixel offset)

2009-10-01 10:08  zmoelnig

	* ...

2009-10-01 10:00  zmoelnig

	* moved pix_artoolkit into src/extra/ in order to reduce
	  dependencies of core Gem

2009-10-01 09:59  zmoelnig

	* adapted to new preprocessor magic

2009-10-01 09:23  zmoelnig

	* indentation for better readability

2009-09-30 17:25  zmoelnig

	* don't ignore return value of fread()

2009-09-30 17:15  zmoelnig

	* removed traces of ???_NEW defines

2009-09-30 16:51  zmoelnig

	* by default, don't strip the binary created

2009-09-30 16:31  zmoelnig

	* include GemConfig.h when necessary and NOT in CPPExtern;
	  less dependency quirks

2009-09-30 15:12  zmoelnig

	* another cleanup of the configure stuff in order to get the
	  film/video-OS stuff right;
	  this still needs code changes on the backend side

2009-09-30 13:30  zmoelnig

	* use GL_FALSE/GL_TRUE rather than -1/0

2009-09-30 13:23  zmoelnig

	* cleanup model when re-opening or open failed

2009-09-30 11:41  zmoelnig

	* regnerated configure.ac for cleaner code (not much happened
	  though)

2009-09-30 11:40  zmoelnig

	* try to reduce warnings by not-ignoring the result of scanf/gets

2009-09-28 14:42  zmoelnig

	* added "print" message to print all the control-points to the
	  console;
	  setSpherical now uses degree rather than radians (conforming to
	  everything else in Gem)

2009-09-24 13:45  zmoelnig

	* dummy file to be included if there is no autoconf-generated
	  config.h file

2009-09-23 17:57  zmoelnig

	* renamed configLinux.h.in to config.h.in;
	  on osx the default should be to use the pix_filmOS

2009-09-23 17:15  zmoelnig

	* set "newfilm"-flag (LATER think whether this shouldn't be called
	  automatically by [pix_texture])

2009-09-23 14:31  zmoelnig

	* renamed Base/config.h to Base/GemConfig.h;
	  later we will change the file generated by autoconf from
	  config(Linux|Darwin|Generic|*).h to config.h;
	  and use HAVE_CONFIG_H to include it

2009-09-23 13:12  zmoelnig

	* configure-flags to set the default-font;
	  check for <FTGL/ftgl.h> (check still fails) and include that
	  instead if possible

2009-09-23 12:03  zmoelnig

	* fixed a lot of warnings appearing with "-Wall"

2009-09-22 16:49  zmoelnig

	* HACK: allow negative tracks for changeImage() to indicate that
	  the "next" frame should be taken and the requested frame should
	  be ignored;
	  really: negative frame# would be better (can these ever appear in
	  some weird container? more likely than negative tracks...)

2009-09-22 09:58  zmoelnig

	* merged back fixes from 0.92 branch (2876-2927)

2009-09-21 18:15  zmoelnig

	* experimental dynamic render tick: if rendering takes too long we
	  try to shorten the time till the next tick has to be
	  re-scheduled; don't know whether this really works

2009-09-21 16:09  zmoelnig

	* this code needs cleanup;
	  at least PBOs work now with rectangle textures

2009-09-21 14:40  zmoelnig

	* more todos

2009-09-18 06:54  zmoelnig

	* added notes about GemOutlet and the like

2009-09-17 11:43  zmoelnig

	* fixed bug when reducing number of iterations for YUV & Gray;
	  hopefully fixed RGBA issues on OSX/i386

2009-09-17 08:19  zmoelnig

	* removed [pix_filmNT] since on w32 we are using [pix_film] with
	  DS/QT/AVI(=NT) backend

2009-09-17 08:04  zmoelnig

	* removed [pix_filmQT]: it is not used anywhere and just makes
	  problems

2009-09-16 13:54  zmoelnig

	* changed type of GemVersion::versionString() from "const static
	  char* const" to "const static char*" (no more warnings on
	  g++-4.4)

2009-09-15 13:32  zmoelnig

	* at least find s_stuff.h if it is in a system-wide
	  include-directory

2009-09-14 13:01  zmoelnig

	* define __glx_h__ to avoid duplicate inclusion of glx.h

2009-09-13 14:02  zmoelnig

	* allow polygon/curve to have a variable number of vertices, simply
	  by not specifying them at creation time.

2009-09-13 13:59  zmoelnig

	* started todo 0.93

2009-09-12 12:24  zmoelnig

	* renamed TODO.092 to TODO.093

2009-09-12 12:23  zmoelnig

	* removed generated aclocal

2009-09-12 12:22  zmoelnig

	* added check for s_stuff.h (which doesn't find s_stuff in the path
	  specified by --with-pd yet; LATER fix this)

2009-09-10 10:01  zmoelnig

	* removed FFMPEG support (it's handled by gmerlin and it's broken
	  for ages)

2009-09-10 09:48  zmoelnig

	* changed __WIN32__ to _WIN32

2009-09-10 09:41  zmoelnig

	* less verbosity in gmerlin-backend

2009-09-09 16:22  zmoelnig

	* an extra directory for external objects

2009-09-09 15:59  zmoelnig

	* check whether we have a DivByZero when calculating the (not so
	  important) m_fps and avoid it;
	  this can happen with files recorded with Gem...

2009-09-09 14:19  zmoelnig

	* spigot to make this (still dummy) object less verbose

2009-09-09 14:18  zmoelnig

	* bumped version to 0.93cvs

2009-09-09 14:18  zmoelnig

	* put the "version" into a separate variable

2009-09-09 14:17  zmoelnig

	* merged back changes from 0.92

2009-09-09 10:30  zmoelnig

	* merged back the changes from the 0.92 branch that hopefully fixes
	  frame-wise seeking

2009-09-08 12:36  zmoelnig

	* try linking against libstdc++ in order to hopefully avoid
	  segfaults with buggy ati-drivers

2009-09-08 12:26  zmoelnig

	* added [openpanel] to example-patch to allow users to select their
	  own movies

2009-09-08 12:19  zmoelnig

	* dis/enabled rendering chains in the example

2009-09-08 11:05  zmoelnig

	* copy the entire state and not just a reference to it

2009-09-08 10:00  zmoelnig

	* disable printInfo() until glew has been initialized (should fix
	  crashes with glGetString())

2009-08-24 18:06  zmoelnig

	* reverted the fuzz of the last commit: it didn't work as expected

2009-08-24 17:47  zmoelnig

	* fixed texCoords when texture is upside down;
	  LATER: unify this and make all textures upside-down

2009-08-24 17:22  zmoelnig

	* introduced texUpsideDown flag in GemState to indicate whether we
	  have an upside down texture
	  (needed by some goes to get the image right)

2009-08-24 10:09  zmoelnig

	* added text-description of "string"

2009-08-20 13:01  zmoelnig

	* added destructor to cleanup

2009-08-18 20:33  nusmuk

	* add a string message

2009-08-18 15:34  zmoelnig

	* whitespace...

2009-08-18 15:31  zmoelnig

	* fixed typo

2009-08-10 10:49  zmoelnig

	* hopefully better to read uniform-handling

2009-08-10 10:48  zmoelnig

	* added startpost() and a bit of logic to not always show the
	  object's name

2009-08-08 18:01  zmoelnig

	* glTexImage2D

2009-08-04 14:17  zmoelnig

	* removed double class_addmethods()

2009-07-24 20:47  nusmuk

	* adding new exemple (double iterative).

2009-07-24 02:10  nusmuk

	* add a scale option, because the flag is smaller on osX than in
	  linux...

2009-07-23 19:54  nusmuk

	* add 2 new exemple of commun used GEMgl object

2009-07-23 15:48  zmoelnig

	* probably fixed upside-down issue of [pix_draw]

2009-07-22 20:30  zmoelnig

	* added a "--without-ALL" option to disable all "with"-options by
	  default (can be explicitely overridden)

2009-07-19 16:34  zmoelnig

	* more verbose when generating texture coordinates

2009-07-16 12:12  nusmuk

	* clean a bit this example : gemlist is no more banged with 0 and 1
	  gem_state message.

2009-06-24 16:33  zmoelnig

	* removed empty lines

2009-06-24 14:36  zmoelnig

	* added doc about the [thread $1( message

2009-06-23 08:29  zmoelnig

	* applied max's patch to get number of frames and finished-bang

2009-06-15 11:53  zmoelnig

	* removed the declarations for start/stopRendering() as they are
	  not implented

2009-06-09 17:18  eighthave

	* added missing - to make it the proper --export-dynamic

2009-06-03 07:42  zmoelnig

	* oops, missing ","

2009-06-02 21:15  zmoelnig

	* removed unused code; initialize member variables in the
	  initializer

2009-06-02 21:13  zmoelnig

	* removed unused code

2009-06-02 21:12  zmoelnig

	* removed unused code

2009-06-02 21:10  zmoelnig

	* removed unused code

2009-06-02 14:06  zmoelnig

	* added warning when using unnormalized values; fixed help-patch

2009-06-02 13:04  zmoelnig

	* removed methods that are present in the parent-class anyhow

2009-06-02 12:48  zmoelnig

	* removed unneeded variable(s)

2009-06-02 12:48  zmoelnig

	* reordered initialization to match header-file

2009-06-02 12:23  zmoelnig

	* added new modules to the project

2009-06-02 09:22  zmoelnig

	* mainly rearranged the order of appearance of member/variables in
	  the initializer;
	  [vertex_model] now uses glmTexture() rather than the nonexistant
	  glmLinearTexture()

2009-06-02 09:20  zmoelnig

	* removed unneded variables and commented out code

2009-06-02 09:16  nusmuk

	* add driver dv / driver v4l2 messages in the help file.

2009-06-02 08:39  zmoelnig

	* if all values are <=1 then we assume that they are "normalized"

2009-06-02 08:09  zmoelnig

	* use the "provide()" method for displaying the capabilities

2009-06-02 07:47  zmoelnig

	* added symbolic IDs for backend-identification: now we can just
	  use [driver dv( instead of [driver 2( (or was it [driver 3(?)

2009-05-28 13:21  zmoelnig

	* removed some verbosity when loading models; PBuffer nameclashes

2009-05-28 13:08  zmoelnig

	* replaced all fprintf/printf by post/error

2009-05-28 12:39  zmoelnig

	* replaced calls to fprintf(stderr,...) with calls to printf() (no
	  post() available in libs)

2009-05-28 11:36  zmoelnig

	* better regeneration script for GL-defines that does not nest 'if'
	  (problems on MSVC)

2009-05-28 11:22  zmoelnig

	* made it compile on w32 again

2009-05-28 09:20  zmoelnig

	* introduced new GEM_MULTICONTEXT define for multi-context
	  rendering;
	  implemented a first draft of the multi-context state-machine in
	  GemBase.
	  this needs some more thinking about which methods should do what:
	  e.g.:
	  - render(): get's called for each context
	  - startRendering()/stopRendering(): initialize/deinitialize
	  context-specific data (displaylists, textureIDs,...)
	  get's called for each context if "something has changed",
	  indicated by setModified() (?)
	  this could as well be a single contextModified() function
	  - stopRendering(): is really not useful in a multi-context
	  environment (should it only get called if all rendering-contexts
	  have been destroyed?)
	  - update(): multiple-contexts can render a- and synchronously, so
	  render() should not do anything time-specific (like incrementing
	  counters); updaet() should get called whenever time has moved on.
	  (e.g. update(deltatime););
	  - what to do with non-opengl specific things, e.g. pixes?
	  - ...

2009-05-28 08:03  zmoelnig

	* removed unused code (mostly: empty function calls)

2009-05-28 07:57  zmoelnig

	* moved comments around so they actually comment on the correct
	  line of code

2009-05-26 18:04  zmoelnig

	* a help-patch for [sphere3d]

2009-05-26 18:00  zmoelnig

	* fixed typo

2009-05-26 17:40  zmoelnig

	* added note about running configure

2009-05-25 15:00  zmoelnig

	* base class for context-specific data (to be used LATER)

2009-05-25 14:46  zmoelnig

	* fixed destroy

2009-05-25 14:45  zmoelnig

	* minor adjustments

2009-05-25 14:00  zmoelnig

	* hook for window deletion;
	  build [gemglutwindow] as a separate object (not part of Gem)
	  GemContext can also be queried for a numeric context id (later we
	  need this for context-dependent data, like displaylists)

2009-05-25 10:08  zmoelnig

	* make sure that the setup function is only called once

2009-05-24 19:14  zmoelnig

	* fixed bugs; implemented [gemmouse]

2009-05-24 19:13  zmoelnig

	* worrking on the glutwindow and multi-context stuff

2009-05-23 16:22  zmoelnig

	* include glxew.h rather than glx.h

2009-05-23 15:13  zmoelnig

	* renamed Region to FidSegRegion to avoid name-conflicts with
	  XEvent

2009-05-23 14:32  zmoelnig

	* provide getGlewContext() functions

2009-05-23 14:11  zmoelnig

	* use generated code (and avoid the ifdefs as we are now using lew
	  and everything is defined anyhow)

2009-05-23 12:04  zmoelnig

	* derived [gemglutwindow] from a very simple GemContext class which
	  will hopefully handle glewcontext switches

2009-05-23 11:41  zmoelnig

	* replaced client_storage_supported, texture_range_supported,
	  texture_yuv_supported, multisample_filter_hint by their GLEW
	  equivalents

2009-05-23 11:29  zmoelnig

	* directly query glew rather than caching the results in GemMan
	  (think about multiple contexts!)

2009-05-23 08:16  zmoelnig

	* some more improvements

2009-05-22 10:31  zmoelnig

	* use an abstraction wrapper around the real window-backend

2009-05-22 10:26  zmoelnig

	* [GEMglMaterialfv]

2009-05-22 10:19  zmoelnig

	* a simple implementation based on glut

2009-05-22 08:18  zmoelnig

	* revived the src/Output/ directory;
	  the [gemextwin] therein won't compile as it is highly dependent
	  on the multiwin branch (or so it seems)

2009-05-22 08:17  zmoelnig

	* dunno

2009-05-22 08:16  zmoelnig

	* comments by georg...

2009-05-20 18:42  zmoelnig

	* reordered so that .cpp file matches header

2009-05-20 18:34  zmoelnig

	* at least it loads again... (fixed all unresolved symbols)

2009-05-20 18:33  zmoelnig

	* regenerated with newer aclocal

2009-05-20 18:06  zmoelnig

	* non-functional start of [gemwindow] the window-part of GemMan as
	  a separate object

2009-05-20 14:06  zmoelnig

	* ...

2009-05-20 14:00  zmoelnig

	* made the scene a bit more interesting (less likely to create
	  black snapshots)

2009-05-20 13:55  zmoelnig

	* an abstraction implementation of [pix_write] using [pix_snap] and
	  [pix_writer]

2009-05-20 13:54  zmoelnig

	* do not create inlets for offset/dimension (meaningless in this
	  object)

2009-05-20 10:49  zmoelnig

	* an object that writes pixes to disk (no snapshotting involved!)

2009-05-20 10:20  zmoelnig

	* use glew-variables to check whether a context has been
	  established rather than calls to GemMan::windowExists() (which
	  should be removed altogether)

2009-05-20 09:16  zmoelnig

	* removed 2nd instance of [gemlist]; removed double-initialization

2009-05-20 09:14  zmoelnig

	* removed [gem_state]; use [gemlist] instead

2009-05-19 17:41  zmoelnig

	* replaced [gem_state] by [gemlist]

2009-05-19 17:35  zmoelnig

	* allow to set some default things in the non-cached GemState

2009-05-19 17:34  zmoelnig

	* more implemented

2009-05-19 16:18  zmoelnig

	* removed unneeded variable

2009-05-19 13:36  zmoelnig

	* implemented a bit of stereo and other things...

2009-05-19 10:40  zmoelnig

	* allow GEMglGetFloat() to use symbolic parameter names

2009-05-18 15:53  zmoelnig

	* uaeh, this is a lot of work to (still) do...

2009-05-18 11:59  zmoelnig

	* a not-yet replacement for [gemwin]

2009-05-18 11:56  zmoelnig

	* indentation

2009-05-16 15:23  zmoelnig

	* some defines to be set by configure for osx

2009-05-15 17:12  eighthave

	* fixed typo

2009-05-14 15:08  zmoelnig

	* when no argument (or "0") is specified, use the default
	  render-order (50)

2009-05-14 14:56  zmoelnig

	* removed the hardcoded paths to shaders: the examples do not do
	  anything anyhow

2009-05-14 14:49  zmoelnig

	* fixed wrong documentation about negative render-order: -3 is
	  REALLY renderend BEFORE -10

2009-05-09 19:56  zmoelnig

	* added sliders to set hue/sat/val

2009-05-09 19:42  zmoelnig

	* use a gop-subpatch to turn on/off rendering and handle
	  create/destroy of Gemwindo

2009-05-09 18:20  zmoelnig

	* fixed bug that crashed Gem when loading a model without an openGL
	  context

2009-04-27 20:53  zmoelnig

	* added verbose() message when mem2image fails to close a file

2009-04-27 20:47  zmoelnig

	* open image-files as binary rather than text

2009-04-27 17:57  zmoelnig

	* renamed geometry-shader to have nice little 4 character suffix

2009-04-27 17:47  zmoelnig

	* updated M$VC projects

2009-04-27 17:43  zmoelnig

	* renamed variables (M$VC did not like "near" and "far" at all)

2009-04-27 07:30  zmoelnig

	* hopefully better warnings when trying to load shaders without
	  openGL context initialized...

2009-04-27 07:10  zmoelnig

	* fxied another in/out typo

2009-04-26 18:21  nusmuk

	* add a geometry shader exemple

2009-04-26 16:24  zmoelnig

	* added calls to glProgramParameteriEXT() in LinkARB section

2009-04-26 09:18  nusmuk

	* minor change

2009-04-26 09:16  nusmuk

	* add a new axample : drawing 2 gemhead in the same frambuffer.

2009-04-25 20:46  nusmuk

	* 

2009-04-23 21:17  zmoelnig

	* tried to avoid duplicate registraction of methods and classes
	  (the former succeeded and i added a note why the latter does not)

2009-04-23 21:15  zmoelnig

	* simplified the add-gem-to-path thingie

2009-04-23 12:49  zmoelnig

	* use TRIANGLES as default for geometry shader

2009-04-23 12:39  zmoelnig

	* added help-patch for geometry-shader (doesn't do much); added
	  hints on how to set evnironment for geometry-shaders in
	  glsl_program

2009-04-23 12:19  zmoelnig

	* removed aclocal/autoconf automagic: run autogen.sh instead (or
	  manually run aclocal/autoconf)

2009-04-23 12:17  zmoelnig

	* added parameters for geomtery shaders (TODO: check whether this
	  still works on other hardware...)

2009-04-23 09:06  zmoelnig

	* simple autogen-sh script that runs aclocal and autoconf;
	  LATER these calls should be removed from the Makefile entirely

2009-04-22 03:07  eighthave

	* on help patches that have two of the same image file, I replaced
	  the second with a different image, plus I added ducks.png to
	  liven things up and provide better illustrations of some of the
	  objects

2009-04-22 00:50  eighthave

	* reduced size and moved location to fit on screens of mere mortals

2009-04-22 00:48  eighthave

	* changed path to example files to match other help patches

2009-04-22 00:46  eighthave

	* fixed to be a working example with sliders and messages boxes
	  that are in a useful range

2009-04-21 05:13  eighthave

	* made file loading a bit easier, like other help patches

2009-04-21 05:12  eighthave

	* fixed typo in example movie name

2009-04-09 11:35  zmoelnig

	* added checks to build fat binaries (needs more testing)

2009-04-06 10:32  zmoelnig

	* use reallocate() throughout

2009-04-06 10:23  zmoelnig

	* express unsureness about memleak

2009-04-06 10:22  zmoelnig

	* free rowpointers after useage...to avoid memleaks

2009-04-06 10:21  zmoelnig

	* reindentation

2009-04-06 10:20  zmoelnig

	* use reallocate() rather than reallocating by hand to minimize
	  memleaks

2009-04-06 10:12  zmoelnig

	* reindentation

2009-04-06 10:09  zmoelnig

	* use imageStruct::allocate() throughout

2009-04-02 18:59  zmoelnig

	* use allocate() to allocate image memory rather than doing it
	  manually;
	  this guarantees that the data is freed correctly
	  (fixes #2719368 & #2722316)

2009-04-02 18:15  zmoelnig

	* oops forgot to checkin the header-fiels

2009-04-02 18:14  zmoelnig

	* clamp the get/set pixel function to the dimensions of the image
	  (fixes #2716875)

2009-04-02 17:48  zmoelnig

	* note about using the available number of texunits

2009-04-02 17:46  zmoelnig

	* reset the quality-settings when using external textures (fixes
	  #2703708);
	  query the number of available texunits instead of assuming it is
	  8

2009-04-01 15:57  zmoelnig

	* documentation for "resize"-message

2009-04-01 15:40  zmoelnig

	* please do not introduce dependencies on 3rd party libs like pddp

2009-03-29 18:12  eighthave

	* made Marius' rtx_sch2.pd into a Gem-style example

2009-03-26 18:22  zmoelnig

	* osx wants a typecast to (char*) when using malloc()

2009-03-25 21:54  eighthave

	* sketch of a GEMgl help patch

2009-03-24 23:43  eighthave

	* added messages and symbols to the inlet

2009-03-23 23:54  eighthave

	* documented FSAA (Full Scene Anti-Aliasing

2009-03-23 22:31  eighthave

	* first barebones help file for a GEMgl object

2009-03-09 14:35  zmoelnig

	* refuse to create with invalid arguments rather than writing
	  unread errors to the console

2009-03-09 14:33  zmoelnig

	* add comment-hint about GL-2.1

2009-03-09 14:31  zmoelnig

	* prepend object-name when catching exceptions in the constructor

2009-03-02 13:50  zmoelnig

	* at least it compiles and loads;
	  only have to convince my gfx-card to emulate geometry-shaders...

2009-03-02 13:49  zmoelnig

	* the importGLEW script did not take into account, that Gem now
	  _always_ uses GLEW

2009-03-02 13:40  zmoelnig

	* now this was so untested, that it didn't even load...

2009-03-02 13:39  zmoelnig

	* updated GLEW

2009-03-02 13:36  zmoelnig

	* base implementation of geometry-shaders (not tested at all)

2009-03-02 12:48  zmoelnig

	* added UV-texturing support to [multimodel]

2009-02-16 19:59  nusmuk

	* add perspective message to frambuffer, thanks to Matthias
	  Neuenhofer

2009-02-16 19:59  nusmuk

	* add perspective message to frambuffer, thanks to Matthias
	  Neuenhofer

2009-02-08 14:20  zmoelnig

	* fixed 256 vs 255 confusion

2009-02-05 19:34  nusmuk

	* add a crappy workaround for buggy linux nvidia driver (version >
	  173).
	  this patch set FSAA only if it is not zero thrus allowing
	  nvidia-setting
	  to configure the desire anti-aliasing setting.

2009-01-27 17:49  zmoelnig

	* note about RGB32==BGRA confusion; LATER fix it

2009-01-27 17:31  zmoelnig

	* oops, the last change was a bit too much: accidentally flipped
	  RGB and BGR

2009-01-27 14:44  zmoelnig

	* removed verbose output of "rgba" at each frame...

2009-01-26 16:31  zmoelnig

	* added arguments as requested in #2535557

2009-01-26 15:41  zmoelnig

	* fixed syntax if gmerlin is not available

2009-01-23 08:59  zmoelnig

	* fixed converter crash when nothing is to convert

2009-01-22 17:30  zmoelnig

	* fixed copyright banner

2009-01-22 17:19  zmoelnig

	* seems to work so far

2009-01-22 17:14  zmoelnig

	* [gem_state] does the GemState/GemCache part of [gemhead]

2009-01-22 17:06  zmoelnig

	* removed unused code

2009-01-22 17:04  zmoelnig

	* do not disable libquicktime if gmerlin is found, as this is
	  needed for recording

2009-01-22 14:06  zmoelnig

	* use RGB2GRAY_ instead of constants scattered all around

2009-01-22 13:47  zmoelnig

	* 2nd inlet to the FF-object;
	  make RGBA explicit

2009-01-21 16:24  zmoelnig

	* 2 visual tests (no automation)

2009-01-20 18:20  zmoelnig

	* now that events are rescheduled, we can directly delete the
	  window again.
	  this makes messages like [destroy, border $1, create( meaningfull
	  again

2009-01-20 18:14  zmoelnig

	* events are now queued and rescheduled before they are emitted to
	  the listeners;
	  no more stack corruption (hopefully)

2009-01-20 14:07  zmoelnig

	* removed tablet leftovers

2009-01-19 17:31  zmoelnig

	* [part_draw] now accepts symbolic types (again)

2009-01-19 17:14  zmoelnig

	* replacement for [gemhead] based on [gemreceive];
	  not fully working yet (problems with caching and single-buffer
	  mode)

2009-01-19 17:02  zmoelnig

	* removed spurious post()s

2009-01-19 15:34  zmoelnig

	* disable video decoders by default if gmerlin is found

2009-01-19 15:05  zmoelnig

	* well, no need for a BUGS file anymore

2009-01-19 14:59  zmoelnig

	* updated help-patch

2009-01-19 14:56  zmoelnig

	* BUGs are now tracked at the sf-tracker

2009-01-18 15:19  zmoelnig

	* ...

2009-01-18 15:15  zmoelnig

	* check whether multitextures are supported before setting the
	  number of available units to 8

2009-01-17 14:08  zmoelnig

	* added note about "fullscreen 2" (closes: #1970264)

2009-01-17 13:35  zmoelnig

	* more fixes in the manual section

2009-01-17 13:31  zmoelnig

	* manual has moved to doc

2009-01-17 13:28  zmoelnig

	* GnuGPL.LICENSE was renamed to GnuGPL.LICENSE.txt

2009-01-17 13:13  zmoelnig

	* added new objects (and incorporated the name-change with all the
	  ...NEW vs ...OS stuff)

2009-01-17 13:11  zmoelnig

	* removed unused variables

2009-01-17 12:51  zmoelnig

	* this is a snapshot release so don't say it's 0.91.0

2009-01-17 12:43  zmoelnig

	* exclude .svn rather than CVS in the installer

2009-01-17 12:25  zmoelnig

	* connected 3rd inlet of [pix_freeframe Wave]

2009-01-17 12:04  zmoelnig

	* added [gemreceive]to the vs-project

2009-01-15 11:10  zmoelnig

	* [model] now supports UV-textures

2009-01-15 10:07  zmoelnig

	* working UV textures (but not fully included yet)

2009-01-15 09:16  zmoelnig

	* on the way to support UV-textures

2009-01-14 17:13  zmoelnig

	* set the upsidedown flag in every getFrame()

2009-01-14 16:55  zmoelnig

	* in PixDualObj fixUpDown if the 2 images are of different
	  orientation

2009-01-14 15:16  zmoelnig

	* focus in no-border mode;
	  LATER use Extended Window Manager Hints for this
	  (probably see vlc...)

2009-01-14 12:41  zmoelnig

	* check for gl.h/glu.h

2009-01-14 12:12  zmoelnig

	* disable libtiff/libjpeg when using ImageMagick

2009-01-12 14:12  zmoelnig

	* fixed the crasher when loading grayscale images on OSX

2009-01-12 11:57  zmoelnig

	* seems to work again on OSX (at least 10.5)

2009-01-12 09:38  zmoelnig

	* oops, the binaries for FF-plugins are really located in
	  <name>.frf/Contents/MacOS/<name> rather than <name>.frf/<name>;
	  but there most be a more intelligent way to open such a bundle

2009-01-07 11:18  zmoelnig

	* removed some occurences of DO_AUTO_REGISTER_CLASS

2009-01-07 11:10  zmoelnig

	* cleaned up preprocessor stuff a tiny little bit

2009-01-07 11:09  zmoelnig

	* do not override messages from parent-class; instead override
	  methods

2009-01-07 10:37  zmoelnig

	* do not override messages from parent-class; instead override
	  methods

2009-01-07 09:22  zmoelnig

	* do not overwrite the "draw" method (bad in 0.42)

2008-12-23 22:40  nusmuk

	* remove printing the error when gemlist should not be banged

2008-12-15 12:08  zmoelnig

	* force restart of transfer on "device $1" message (even if it is
	  the same!)

2008-12-15 11:20  zmoelnig

	* more using libv4l2

2008-12-15 09:59  zmoelnig

	* better support using libv4l

2008-12-15 08:36  zmoelnig

	* accidentally removed v4l&ieee1394 checks; here they are again

2008-12-14 17:14  zmoelnig

	* automatically use libv4l and the user did not force to not-use
	  V4L

2008-12-14 17:03  zmoelnig

	* fixed typos

2008-12-14 17:02  zmoelnig

	* more verbosity

2008-12-14 16:14  zmoelnig

	* added support for libv4l1 and libv4l2 (now let's see whether this
	  works...)

2008-12-14 15:39  zmoelnig

	* added checks for libv4l1 and libv4l2

2008-12-12 20:19  zmoelnig

	* handle API change in libmpeg3

2008-12-11 13:48  zmoelnig

	* removed checks for FFMPEG (LATER remove FFMPEG code);
	  hopefully better checks for libmpeg3

2008-12-11 13:47  zmoelnig

	* try all available redirectors until a valid one is found;
	  less verbosity;
	  some sanity checks

2008-12-09 10:10  zmoelnig

	* check for success on file-open to prevent crashes...

2008-12-07 19:16  zmoelnig

	* log callback

2008-12-07 18:42  zmoelnig

	* fixed crasher bug with ogg-files; frame-setting should be more
	  reliable now

2008-12-07 14:35  zmoelnig

	* working code!

2008-12-06 18:38  zmoelnig

	* added checks for gmerlin

2008-12-06 18:14  zmoelnig

	* (non-working) support for gmerlin

2008-11-21 16:38  zmoelnig

	* flip wrongly oriented images when saving with libTIFF/libJPEG

2008-11-21 16:30  zmoelnig

	* fixed comment

2008-11-21 16:29  zmoelnig

	* upsidedown fixfun

2008-11-21 15:53  zmoelnig

	* fix the "upsidedown" while flipping

2008-11-21 15:13  zmoelnig

	* proper names for FlipType: VERTICAL says more than VERT

2008-11-13 09:30  zmoelnig

	* (nonexistant) freeframe-plugins fail silently when created via
	  sys_loader

2008-11-11 14:26  zmoelnig

	* added libxxf86vm-dev to the Debian-packages

2008-11-11 14:17  zmoelnig

	* install more packages on debian (namely: libglu-dev and
	  magick++9-dev)

2008-11-08 16:27  zmoelnig

	* added help for creating windows on remote X-displays

2008-11-08 16:21  zmoelnig

	* better handling of YUVB-images
	  (either refuse to write them or convert them to RGB)

2008-11-07 09:22  zmoelnig

	* added "copy" message to copy images from one slot to another;
	  added alias "load" for "open" (to be in sync with "save")

2008-11-05 10:50  zmoelnig

	* set tifftags: xresolution, yresolution and resolutionunit when
	  using libtiff
	  to write images

2008-11-03 16:32  zmoelnig

	* updated xcode-project for olde NEW stuff

2008-10-29 15:51  zmoelnig

	* disable ffmpeg-test by default

2008-10-29 15:23  zmoelnig

	* fixed typos; added better sanity check; can be called without
	  prior initialization!

2008-10-29 14:00  zmoelnig

	* now this has been gone untested for ages...i will not start now

2008-10-29 13:48  zmoelnig

	* fix auto-registration stuff for OS<->NEW objects

2008-10-29 13:40  zmoelnig

	* some leftovers from the NEW<->OS rename action

2008-10-29 13:33  zmoelnig

	* renamed "pix_(video|movie|film)" to "pix_*OS" as these are really
	  base-classes for platform-dependent inplementations
	  otoh, renamed all "pix_*NEW" to "pix_*";
	  let's see what breaks

2008-10-29 12:36  zmoelnig

	* added 4th outlet (for texture) to pix_movieDarwin

2008-10-27 08:52  nusmuk

	* add a new exemple : physical model on the GPU

2008-10-18 17:59  nusmuk

	* 

2008-09-27 16:22  zmoelnig

	* removed the comment about "4th outlet win/lin only";
	  it's rather a matter of compilation

2008-09-27 16:03  eighthave

	* added documentation of the 4th outlet

2008-09-27 12:59  eighthave

	* updated help file, mostly by correcting tpyos, and removing
	  'client_storage' message since it doesn't work with this object

2008-09-19 11:47  zmoelnig

	* removed the NONBLOCKING flag (see
	  http://lists.puredata.info/pipermail/gem-dev/2008-09/003679.html)

2008-09-17 14:36  zmoelnig

	* GemExceptions should be thrown!

2008-09-17 14:07  zmoelnig

	* embedd GLconst->const interpreter, so now we can use directly use
	  [GEMglEnable GL_FOG] instead of quirks with [GLdefine];
	  this is done explicitely; there really should be a way to do it
	  implicetly for all GLenum types

2008-09-17 11:16  zmoelnig

	* use "const" arguments for getGLdefine() because the
	  arguments really are not changed;
	  make toupper() not crash Pd when (not) fiddling in the
	  symbol-table

2008-09-17 07:59  zmoelnig

	* all GEMgl wrapper-classes are now derived from GemGLBase

2008-09-16 15:26  zmoelnig

	* a new wrapper object (+ a base class to be used for all wrapper
	  objects)

2008-09-16 15:25  zmoelnig

	* ...

2008-09-16 15:02  zmoelnig

	* a wee wrapper script that needs a lot of work!

2008-09-16 13:42  zmoelnig

	* removed unneeded scripts

2008-09-09 13:54  zmoelnig

	* bail out when glu is missing
	  (but we really want to bail out when glu.h is missing)
	  LATER: can we remove the check for OpenGL? (should be
	  covered by glew)

2008-09-09 13:43  zmoelnig

	* check whether GL_ARB_imaging is supported before trying
	  to push/pop the GL_COLOR matrix (fixes: bug#2008988)

2008-08-19 16:51  zmoelnig

	* constified a bit

2008-07-30 17:53  zmoelnig

	* removed the explicit [pix_yuv] conversion;
	  this MUST be fixed in the object side

2008-07-30 17:40  zmoelnig

	* allow [gemreceive] to be instantiated without arguments

2008-07-30 17:22  zmoelnig

	* probably working by now...

2008-07-30 17:18  zmoelnig

	* removed more unneeded variables

2008-07-30 17:07  zmoelnig

	* since we have released Gem-0.91 some time ago, we are
	  now in 0.92.CVS

2008-07-30 16:59  zmoelnig

	* added .txt suffix to the GPL, in order to make it easier to read
	  on w32...

2008-07-30 16:55  zmoelnig

	* this is now in build/osx-xcode/Gem.xcodeproj/

2008-07-30 16:53  zmoelnig

	* cleaned up the root-folder a bit

2008-07-30 16:53  zmoelnig

	* updated a bit, but not really working yet

2008-07-30 16:52  zmoelnig

	* included missing header ... now it compiles

2008-07-30 16:42  zmoelnig

	* removed some warnings in xcode;
	  introduced a new GemVersion class (needs more work on non-osx...)

2008-07-30 14:33  zmoelnig

	* replaced the "MACOSX" macro with "__APPLE__"
	  (hopefully this is the last occurence...)

2008-07-30 12:49  zmoelnig

	* cleaned up xcode project

2008-07-24 15:02  zmoelnig

	* added a short description about what this is for

2008-07-24 14:57  zmoelnig

	* made as much private (hidden inthe implementation file) as
	  possible

2008-07-24 14:53  zmoelnig

	* cleaned up a bit

2008-07-24 14:36  zmoelnig

	* afirst step to replace [gemhead]

2008-07-23 16:28  zmoelnig

	* hmm, dunno

2008-07-23 16:11  zmoelnig

	* removed stray "config.h" files from projects

2008-07-23 16:04  zmoelnig

	* less warnings on w32 (and probably "fixed" the
	  sys_register_loader()

2008-07-23 13:49  zmoelnig

	* removed traces of wintab

2008-07-23 12:17  zmoelnig

	* created build-projects for OS-X;
	  LATER remove the leftovers Gem/GEM_darwin.*/

2008-07-23 12:13  zmoelnig

	* removed user-specific settings

2008-07-23 12:07  zmoelnig

	* moved "manual" into "doc" to have less clutter...

2008-07-23 12:05  zmoelnig

	* cleaned up a bit

2008-07-17 08:05  zmoelnig

	* on the road t a [pix_freeframe]object that can load different
	  plugins...

2008-07-17 08:00  zmoelnig

	* turned off warnings about typedef...

2008-07-14 14:34  zmoelnig

	* dynamically looking up whether we find sys_register_loader,...
	  might be cool

2008-07-14 14:33  zmoelnig

	* this should enable Hans's help-path tricks

2008-07-09 15:48  zmoelnig

	* more on loaders...

2008-07-09 15:47  zmoelnig

	* a tiny wrapper for loaders in Gem (e.g. freeframe, frei0r)

2008-07-08 16:45  zmoelnig

	* added prelaminary support for a freeframe1.0-loader, so people
	  can
	  directly use [pix_GlowVFX] instead of the clumsy [pix_freeframe
	  GlowVFX]

2008-06-16 10:38  zmoelnig

	* oops! forgot to check in a crucial part...

2008-06-16 10:23  zmoelnig

	* added error() when init() fails

2008-06-16 10:22  zmoelnig

	* proper initialization of minframes/maxframes,...

2008-06-16 10:21  zmoelnig

	* added "seed" message; faster fastrand() algorithm

2008-06-13 09:14  zmoelnig

	* unified the GemShape() subclasses a bit;
	  LATER unify the typeMess() even more

2008-06-13 07:37  zmoelnig

	* use member functions rather

2008-06-13 07:20  zmoelnig

	* simplified code a bit

2008-06-12 18:00  zmoelnig

	* mreged in changes from 0.91.1

2008-06-12 18:00  zmoelnig

	* merged in changes from 0.91.1

2008-06-12 17:50  zmoelnig

	* a simple trapezoid with correct(?) texturing

2008-06-11 11:01  zmoelnig

	* make this object useable for picking...

2008-06-02 12:17  zmoelnig

	* fixed buffer overrun

2008-06-02 10:15  zmoelnig

	* TODO is now for 0.92 rather than 0.91

2008-06-02 10:08  zmoelnig

	* made it very explicit that these project-files might not work at
	  all

2008-06-02 10:03  zmoelnig

	* moved the m$VS project-files away into build/win-vs*

2008-06-02 09:36  zmoelnig

	* fixed double definition of checkGemVersion() (illegal merge
	  operation...)

2008-06-02 08:28  zmoelnig

	* dos2unix on GEM.README

2008-06-02 08:27  zmoelnig

	* removed unused code

2008-06-02 08:26  zmoelnig

	* merged back in the changes from v0-91-0

2008-05-26 16:50  nusmuk

	* adjust somes parametters for a better looking exemple.

2008-05-26 16:17  nusmuk

	* fix bug : framebuffer change scenne perspective.

2008-05-23 08:19  zmoelnig

	* added a runtime check to find out, whether this object is
	  compiled
	  against the right version of Gem and refuse to register the class
	  otherwise

2008-05-23 08:00  zmoelnig

	* a bit of version magic for easier compatibility (so externals can
	  refer to
	  a certain version)

2008-05-22 09:38  zmoelnig

	* updated to resolve all unresolved

2008-05-22 09:37  zmoelnig

	* updated for 0.91

2008-05-22 08:39  zmoelnig

	* renamed 10.glsl-patches to match the standard naming scheme:
	  ##.name.pd
	  instead of
	  ##_name.pd

2008-05-15 20:38  zmoelnig

	* made it compile with g++-4.3 by adding some headers...

2008-05-09 19:49  zmoelnig

	* added new object [GEMglReportError] to the project

2008-05-09 19:48  zmoelnig

	* a new object: [GEMglReportError] which outputs the glError() to
	  its right outlet

2008-05-09 19:47  zmoelnig

	* only build gem.nsi (gem-binary.nsi does not exist any more)

2008-05-09 19:15  zmoelnig

	* call the installer-builder at the end of the project

2008-05-09 19:15  zmoelnig

	* a bit less verbosity

2008-05-09 18:38  zmoelnig

	* apple doesn't like the qt-deinit stuff of w32: moved it into
	  os-specific
	  section

2008-05-09 18:34  zmoelnig

	* enable [pix_freeframe] on amd64

2008-05-09 18:32  zmoelnig

	* mute the movie

2008-05-09 18:22  zmoelnig

	* removed commented-out lines;
	  concentrated platform dependent things in one place (or replaced
	  them by
	  platform-independent things)

2008-05-08 16:29  zmoelnig

	* added "bang" aliases for "snap"

2008-05-08 10:07  zmoelnig

	* mutex to prevent multiple installers running at the same time

2008-05-08 10:00  zmoelnig

	* dumped the binary vs bin-doc thing and just create a single
	  installer (we might still provide separate .zip files for those
	  who just need the binary)

2008-05-06 17:53  zmoelnig

	* more scripts for building installer

2008-05-06 16:55  zmoelnig

	* a small post-build script

2008-05-06 16:52  zmoelnig

	* more installer-script

2008-05-06 15:55  zmoelnig

	* added NSIS-installer scripts

2008-05-06 10:07  zmoelnig

	* updated install-script (not checked!)

2008-05-06 08:32  zmoelnig

	* glxew checks

2008-05-06 08:09  zmoelnig

	* prefixed PBuffer-flags with "GEM_PBUFLAG_" (i am afraid of a
	  const "FLOAT")

2008-05-06 08:03  zmoelnig

	* cleaned up a bit...

2008-05-06 07:21  zmoelnig

	* this crashes on an ati-X2300; added a #warning to indicate where

2008-05-06 07:03  zmoelnig

	* put a bug-report link into the splash screen;
	  make errors on Xcreate less verbose but added hint about
	  GEM_SINGLE_CONTEXT

2008-05-06 06:26  zmoelnig

	* try to get rid of the "no window made" error in
	  GEM_SINGLE_CONTEXT;
	  check whether this reintroduces crashes on error-prone machines!

2008-05-06 06:15  zmoelnig

	* fixed typos

2008-05-05 18:56  zmoelnig

	* removed verbosity

2008-05-05 12:16  zmoelnig

	* fixed example patch and be a bit more verbose

2008-05-05 12:07  zmoelnig

	* check whether the font-file really exists
	  (this is a HACK for buggy FTGL versions that crash when they
	  cannot find the font-file)

2008-05-05 11:50  zmoelnig

	* single-context hacks: do not force 640x480 AND allow
	  window-destruction

2008-05-05 11:23  zmoelnig

	* removed platform dependent code

2008-05-05 08:52  zmoelnig

	* expose a function to get the window-position;
	  make "m_buffer" public so that gem2pdp can access it...
	  LATER make it private again and add methods to access it

2008-05-05 07:37  eighthave

	* Addressing bug #1941962
	  
	  The colors are still off using Pd-0.40.3-extended-20080502 on Mac
	  OS X 10.4.11
	  when this patch is run without adding the [pix_yuv], so I added
	  [pix_yuv] and
	  checked the patch into CVS. I hope it works fine on Ubuntu and
	  Windows with the
	  [pix_yuv].

2008-05-04 11:37  zmoelnig

	* removed verbose output on profiling

2008-05-04 11:34  zmoelnig

	* cleaned up platform dependent stuff a bit

2008-05-04 11:14  zmoelnig

	* moved more platform specific code into GemWinCreate<OS>

2008-05-04 10:58  zmoelnig

	* made a lot of stuff in GemMan.h private; made getMethods() for
	  this

2008-05-04 10:01  zmoelnig

	* moved implementations of functions from GemMan.h to GemMan.cpp

2008-05-02 16:20  zmoelnig

	* removed the pdp-objects from the test

2008-05-02 16:11  zmoelnig

	* simplified printout a bit (and tried to use error() when
	  appropriate)

2008-05-02 14:58  zmoelnig

	* simplified output

2008-05-02 14:52  zmoelnig

	* simplified printout

2008-05-02 10:42  zmoelnig

	* fixed spelling

2008-05-02 09:34  zmoelnig

	* do something when the error-handler is called in the createWindow
	  function;
	  this should prevent the window to be created on ubuntu/hardy and
	  some
	  gfx-cards which is better than freezing the machine

2008-04-30 17:46  zmoelnig

	* use messages "dimen" instead of "dim"

2008-04-28 10:56  nusmuk

	* *** empty log message ***

2008-04-25 08:30  zmoelnig

	* added some comments

2008-04-25 07:40  zmoelnig

	* minor changes to make it possible to compile on x86_64 (though
	  this is not
	  strictly FreeFrame compatible)

2008-04-22 11:58  zmoelnig

	* argh!, another typo

2008-04-22 11:55  zmoelnig

	* added ZIPing to create packages

2008-04-22 11:09  zmoelnig

	* print "setup done" instead of "setup end" to avoid confusion

2008-04-22 10:03  zmoelnig

	* moved dialogue from setupQT() to dialog()

2008-04-22 09:51  zmoelnig

	* cache the filename before convefrting to pascal-strings;
	  allow longer filenames (still hardcoded, but now up to 256
	  characters)

2008-04-22 09:35  zmoelnig

	* coming to an end (at least on w32)

2008-04-22 08:50  zmoelnig

	* fixed typos in initialization

2008-04-22 08:42  zmoelnig

	* use initialization in constructor;
	  unified printouts a bit

2008-04-22 08:40  zmoelnig

	* more verbose when we refuse to change filename or open dialog

2008-04-21 17:22  zmoelnig

	* oops: accidentally set colorspace to BGRA everywhere instead of
	  just w32

2008-04-21 17:07  zmoelnig

	* create a date-based directory

2008-04-21 15:28  zmoelnig

	* more on codec selection

2008-04-21 14:47  zmoelnig

	* try better codec-selector

2008-04-21 14:26  zmoelnig

	* minor cleanups

2008-04-21 14:01  zmoelnig

	* check for NULL-pointers; cleaned up code a bit

2008-04-21 13:36  zmoelnig

	* safety check if getCodecName() returns NULL

2008-04-21 13:35  zmoelnig

	* don't include glext

2008-04-20 10:07  nusmuk

	* adding vertex texture fetching exemple.

2008-04-17 21:07  cclepper

	* changed OSX Intel pixel format and GL packing order. should fix
	  pix_data and other bugs.

2008-04-17 16:15  zmoelnig

	* ugly hack to make this object work on macintel

2008-04-17 14:33  zmoelnig

	* "fixed" the color-problem on macintel;
	  really this should be fixed win chRed,...

2008-04-17 14:31  zmoelnig

	* removed references to OpenGL/glext.h

2008-04-17 10:29  zmoelnig

	* use "create" as default

2008-04-17 10:23  zmoelnig

	* "create" is the default state

2008-04-17 08:33  zmoelnig

	* cleaned up configure a bit

2008-04-16 17:40  zmoelnig

	* seems to work on G5

2008-04-16 17:25  zmoelnig

	* moved the pixel-data acquisition code from [pix_data] to
	  GemPixUtil

2008-04-16 17:08  zmoelnig

	* removed [zexy] object

2008-04-16 11:54  zmoelnig

	* disable building of fat-binaries for now as this interferes
	  somehow
	  with the CPPFLAGS

2008-04-16 10:07  zmoelnig

	* try to build fat-binaries on OSX

2008-04-14 17:02  zmoelnig

	* [create( should be the default message-box

2008-04-14 16:50  zmoelnig

	* added GEM_EXTRA_CXXFLAGS and GEM_EXTRA_LDFLAGS for manually
	  adding flags

2008-04-12 11:14  zmoelnig

	* reincluded necessary header-files

2008-04-12 08:23  zmoelnig

	* use "release" as default build (and made that work too).
	  release.bat had wrong path of Gem.dll

2008-04-11 21:30  zmoelnig

	* undo MSVC-hack

2008-04-11 21:30  zmoelnig

	* finally made libfidtrack compile!

2008-04-11 20:04  zmoelnig

	* removed unneccessary includes of <iostream>

2008-04-11 19:47  zmoelnig

	* added GemPBuffer and pix_vpaint

2008-04-11 19:45  zmoelnig

	* included <wglew.h> on windows to enable the GemPBuffer on w32.
	  fixed signedness in TextBase.cpp to reduce V$ warnings

2008-04-11 19:01  zmoelnig

	* added defunct but compiling libfidtrack with objects

2008-04-11 18:47  zmoelnig

	* disabling the code that M$VC did not like - this actually makes
	  [pix_fiducialtrack] not useable on w32, but the object can be
	  created

2008-04-11 18:32  zmoelnig

	* added some libfidtrack-files (actually just
	  libfidtrack_segment.cpp);
	  libfidtrack_treeidmap() fails to link and libfidtrack_fidtrackX
	  depends on it)

2008-04-11 13:03  zmoelnig

	* moved stuff around to make it more readable

2008-04-11 12:55  zmoelnig

	* example how to read a framebuffer into a pix and then do stupid
	  things
	  with it...

2008-04-11 07:41  zmoelnig

	* slowly goes the night...

2008-04-11 07:37  zmoelnig

	* use (int) for framerate

2008-04-11 07:21  zmoelnig

	* use GEM_USE_RECORDQT4L in [pix_record] instead of more-informed
	  logic

2008-04-11 06:38  zmoelnig

	* now test for lqt_open_write instead of lqt_open_video_track

2008-04-09 14:50  zmoelnig

	* seems to be stable now

2008-04-09 10:02  zmoelnig

	* new QT4L recording implementation

2008-04-08 13:41  zmoelnig

	* made Debugthe default build-target again

2008-04-08 13:36  zmoelnig

	* be a bit more verbose about which SIMD-instructions have been
	  compiled into Gem (in addition to the info which instruction-set
	  is used)

2008-04-08 13:32  zmoelnig

	* made Release-target compile (with MMX/SSE2 optimization)

2008-04-08 13:27  zmoelnig

	* hmm, YUV-MMX didn't do anything useful: should work now

2008-04-08 12:28  zmoelnig

	* try reducing dependencies a bit

2008-04-08 10:00  zmoelnig

	* fixed crasher when instantiating the object

2008-04-08 09:31  zmoelnig

	* a small script to produce simple alpha-releases

2008-04-07 19:47  zmoelnig

	* added FTGL-support (after compiling freetype2.14 as
	  multithreaded-Debug!)

2008-04-07 19:22  zmoelnig

	* added JPEG&TIFF support (oops, this crashes...)

2008-04-07 19:06  zmoelnig

	* seems like all of DS is compiling and linking now

2008-04-07 18:58  zmoelnig

	* include headers to make it compile again

2008-04-07 18:51  zmoelnig

	* enabled DS

2008-04-07 18:45  zmoelnig

	* include headers to make it compile again

2008-04-07 18:41  zmoelnig

	* slowly approaching: 1/2 of DS-code compiles

2008-04-07 16:11  zmoelnig

	* a working draft (no FTGL, image, DirectShow yet)

2008-04-07 15:33  zmoelnig

	* added a new project for M$VC2003 (not working yet)

2008-04-07 15:26  zmoelnig

	* minor fixes for m$vc

2008-04-07 15:24  zmoelnig

	* do not exclude the entire file on non-linux (should be handled by
	  the HAVE_DV macro; LATER rename it to HAVE_DV4L)

2008-04-07 15:21  zmoelnig

	* fixed missing return in isRunnable()

2008-04-07 15:18  zmoelnig

	* moved m$vc printf weirdness into configNT.h;
	  include QuickTime into GemWinCreateNT (and make wintab optional)

2008-04-05 13:08  nusmuk

	* add format RGB32 in order to have an efficient vertex texture
	  fetching

2008-04-02 08:42  zmoelnig

	* use "rectangle" instead of "mode", use "dimen" instead of "dim"

2008-04-02 08:37  zmoelnig

	* install help-patches before examples

2008-04-02 08:32  zmoelnig

	* fixed help-patch bugs

2008-04-02 08:21  zmoelnig

	* cleared up the CPPExtern.h stuff a bit;
	  use "create_<classname>" as constructor callback rather than
	  "_class<classname>"

2008-04-02 08:18  nusmuk

	* *** empty log message ***

2008-04-02 08:13  nusmuk

	* make simplification to this example.

2008-04-02 07:42  zmoelnig

	* removed "pdp bridge" objects which were only skeletons and never
	  got any flesh

2008-04-01 18:54  nusmuk

	* *** empty log message ***

2008-04-01 17:56  nusmuk

	* *** empty log message ***

2008-03-31 16:48  nusmuk

	* adding a multi pass rendering with shader example.

2008-03-31 15:42  nusmuk

	* *** empty log message ***

2008-03-31 12:26  zmoelnig

	* use "rectangle" instead of "mode"

2008-03-31 12:15  zmoelnig

	* added a texunit message to gemframebuffer

2008-03-31 11:23  zmoelnig

	* better names for messages; full pix_texture-compatible
	  texture-message

2008-03-12 17:37  zmoelnig

	* added note on where the intel-cards like to crash on linux

2008-03-11 09:33  zmoelnig

	* fixed path

2008-03-11 09:33  zmoelnig

	* throw an error if shader cannot be loaded (instead of trying to
	  interpret
	  the "filename" as shader-program)

2008-03-11 09:16  zmoelnig

	* fixed parameters for the toon-shader

2008-03-10 16:48  zmoelnig

	* moved setup of context-sharing into GemWinCreate<OS>

2008-03-10 16:33  zmoelnig

	* moved topmostWin() into the os-specific files (removing another
	  #define)

2008-03-10 16:25  zmoelnig

	* moved the inclusion of QuickTime.h into os-specific files

2008-03-10 16:20  zmoelnig

	* fixed typo

2008-03-10 16:18  zmoelnig

	* moved platform-dependent stuff from GemMan to GemWinCreate<OS>

2008-03-10 15:55  zmoelnig

	* removed a tiny portion of #ifdef's

2008-03-10 15:49  zmoelnig

	* removed debugging output

2008-03-10 13:16  zmoelnig

	* be more specific about glew-failures (ignore glxew init-fail, but
	  not others)

2008-03-10 10:32  zmoelnig

	* added the "auto" message

2008-03-10 10:30  zmoelnig

	* display the original model too, to see a difference...

2008-03-10 10:28  zmoelnig

	* adapted help-patches to the crystel-eye stereo feature

2008-03-10 10:21  zmoelnig

	* accepted Alan Norman's Crystal-Stereo patch

2008-03-10 09:05  zmoelnig

	* ignoring the failure of glewInit() to retain chromium support.
	  LATER check why it really fails

2008-03-06 11:01  zmoelnig

	* don't try to run configure when doing "make configure"

2008-03-05 11:58  zmoelnig

	* when using imagemagick, we now enforce 8bit per channels only.
	  (we don't have any higher resolution anyhow...)

2008-03-05 10:40  zmoelnig

	* probably got it right now

2008-03-05 10:31  zmoelnig

	* reverted the texture-hack

2008-03-04 18:46  zmoelnig

	* try to catch out-of-memory exceptions when allocating images
	  (fixes #1847369)

2008-03-04 17:44  zmoelnig

	* reverted to non-configure-generated file

2008-03-04 17:39  zmoelnig

	* made it compile under OS-X (haven't tested the functionality
	  yet...)

2008-03-04 16:54  zmoelnig

	* got rid of t_GLshaderObj in favour of GLhandleARB

2008-03-04 16:53  zmoelnig

	* glewified the openGL-wrapper objects that had ifdef's

2008-03-04 15:19  zmoelnig

	* glewified most of the objects (that had ifdef's before);
	  openGL-objects still missing

2008-03-04 15:10  zmoelnig

	* make glew used always (not _really_ part of configure any more);
	  print an error at the very end of configure if openGL and/or
	  m_pd.h seem
	  to be missing

2008-03-04 14:28  zmoelnig

	* added an abstraction to read a film into a pix_buffer as fast as
	  possible.

2008-03-03 18:18  zmoelnig

	* added isRunnable()

2008-03-03 12:32  zmoelnig

	* updated to GLEW-1.5.0

2008-03-03 12:15  zmoelnig

	* added enable-flag for GLEW

2008-03-03 12:14  zmoelnig

	* prepare for GLEW support

2008-03-03 12:01  zmoelnig

	* prepared for GLEW

2008-03-03 11:58  zmoelnig

	* run initGem() _after_ the splash-screen

2008-02-23 11:33  nusmuk

	* adding gemlist_matrix, that output the transformation matrix.
	  (a light version of gemlist_info)

2008-02-20 14:59  zmoelnig

	* transmit GLuint's over t_float

2008-02-20 13:27  zmoelnig

	* added the getFramerate() requested by Georg
	  (i forgot why he couldn't derive it himself)

2008-02-19 15:53  zmoelnig

	* fixed stupid color-bug discovered by georg holzmann

2008-02-12 10:05  zmoelnig

	* when normalizing only to 1 value, anchor it at height instead of
	  width
	  (according to marius' feature-request)

2008-01-29 09:19  zmoelnig

	* fixed typos; rephrased to talk about "states" rather than
	  "pointers"

2008-01-29 09:12  zmoelnig

	* fixed typos; use init-feature of [tgl]; added 4th example

2008-01-24 14:01  nusmuk

	* new example using gemlist, the double gemhead trick, or the
	  "repeat"
	  trick...

2008-01-23 14:25  zmoelnig

	* added _mm_empty() at beginning of MMX processing; this seems to
	  fix the problem
	  with g++-4.2...

2008-01-23 14:03  zmoelnig

	* proper casts

2008-01-23 12:27  zmoelnig

	* 1. moved most platform dependent code out of this object into
	  GemPixSave;
	  2. allow filenames up to MAXPDSTRING (and not just 80)

2008-01-23 12:25  zmoelnig

	* added autoflip to QuickTime code (e.g. if imageStruct holds an
	  image that is
	  NOT upside-down, it will be flipped to become a correct QuickTime
	  image)

2008-01-22 09:06  zmoelnig

	* use imageStruct memberfunctions to handle types and reallocation:
	  removes a lot of ifdefs and thus makes the code more readable

2008-01-22 08:49  zmoelnig

	* nothing...

2008-01-21 14:44  zmoelnig

	* fixed callbacks that accept lists

2008-01-09 21:12  cclepper

	* fixed window focus on 10.5. thanks to Keith Bauer for the code
	  tip!

2008-01-09 14:52  zmoelnig

	* initialize glew if USE_GLEW

2008-01-09 14:51  zmoelnig

	* there is no "long long" type in C++

2008-01-09 14:51  zmoelnig

	* the last element of an enum must not be terminated by a comma

2008-01-09 14:50  zmoelnig

	* removed stray semicolons

2008-01-09 09:02  zmoelnig

	* added information about the "glUnform2i" problem

2008-01-06 20:19  zmoelnig

	* use m_rectangle instead of m_mode

2008-01-06 20:18  zmoelnig

	* better checks for rectangle-support

2008-01-06 20:17  zmoelnig

	* replaced "mode" by "rectangle" (more meaningful)

2008-01-06 15:53  zmoelnig

	* renamed help-file for [gemlist] to match

2008-01-05 22:03  nusmuk

	* add gemlist object

2008-01-03 17:09  zmoelnig

	* internally destroy the gemwindow when somebody closes the window
	  from outside

2008-01-03 16:14  zmoelnig

	* removed missing files

2008-01-03 16:05  zmoelnig

	* removed warnings

2008-01-03 15:14  nusmuk

	* *** empty log message ***

2008-01-02 19:58  zmoelnig

	* fixed typos and moved all (main) windows into the upper-left
	  corner.

2008-01-02 16:38  zmoelnig

	* use the best available colorspace supported by Gem...

2008-01-02 16:10  zmoelnig

	* implemented feature-request #1854593 (don't reset fps when
	  [gemwin] is
	  created without arguments)

2008-01-02 15:26  zmoelnig

	* added another outlet for various information (e.g. codecs)

2008-01-02 15:26  zmoelnig

	* hopefully fixed bug that crashed Gem when recording another movie

2007-12-23 19:10  zmoelnig

	* removed dependency on non-Gem externals

2007-12-23 12:51  nusmuk

	* *** empty log message ***

2007-12-22 12:09  nusmuk

	* newWave is now a real square.
	  
	  ----------------------------------------------------------------------
	  ----------------------------------------------------------------------

2007-12-22 12:06  nusmuk

	* adding mesh_square primitive in order to work with vertex shader.

2007-11-28 14:06  zmoelnig

	* this times it even compiles...

2007-11-28 14:06  zmoelnig

	* hopefully adapted to new avifile-API

2007-11-15 09:09  zmoelnig

	* include "infotypes.h" instead of "StreamInfo.h"; weird that on
	  ubuntu/gutsy
	  the both are not included automatically by "avifile.h"

2007-10-16 14:46  zmoelnig

	* removed MarkEx

2007-10-15 08:06  zmoelnig

	* removed dependency off Gem.$(EXT) on $(OBJECTS)

2007-10-14 16:41  cclepper

	* reset counter for each new file

2007-10-11 14:49  zmoelnig

	* make Gem.$(EXT) .PHONY again

2007-10-11 14:44  zmoelnig

	* moved the splash-screen from GemMan.cpp to GemSetup.cpp;
	  prepare GemSetup to add Gem's own path to the search-paths

2007-10-11 12:12  zmoelnig

	* cleanup objectfiles when they are in . instead of $(OBJDIR)

2007-10-11 12:09  zmoelnig

	* build objects in the "Objects" directory, just like on w32..

2007-10-11 11:33  zmoelnig

	* unmade the changes i accidentally committed to the CVS

2007-10-11 11:18  zmoelnig

	* cast c++ strings to (char*) when needed to avoid compiler
	  warnings

2007-10-11 11:07  zmoelnig

	* added typedef for GLchar on openGL<2.0

2007-10-08 12:19  zmoelnig

	* install reference patches into extra/Gem instead of
	  extra/help-Gem

2007-10-08 09:36  zmoelnig

	* renamed help-patches to "-help" to match newer versions of pd

2007-10-08 09:11  zmoelnig

	* introduce a new type GL_RGBA_GEM which depends on the platform
	  (e.g. RGBA or ARGB)

2007-10-07 09:02  zmoelnig

	* added cyrille's suggestion for actively enabling the
	  depth test

2007-10-06 11:48  zmoelnig

	* remove Gnu/

2007-10-05 13:43  zmoelnig

	* reverted cgc's changes (since they duplicated my last ones...)

2007-10-04 22:12  cclepper

	* enables the first 8 texture units for multitexturing.

2007-10-04 15:50  cclepper

	* added min and max frame message for recording. uncommented output
	  of frame number in stopRecord().

2007-10-04 14:38  zmoelnig

	* added some missing minframe&maxframe stuff chris has forgotten to
	  comit...

2007-10-03 20:26  cclepper

	* added min and max frame message for recording. uncommented output
	  of frame number in stopRecord().

2007-10-02 10:58  zmoelnig

	* - remove the "-j 4" option from the subdirectory make
	  (this should be set outside of the Makefile)
	  - make the "strip" target depend on Gem.$(EXT)
	  (to make outside "-j" work correctly)

2007-09-29 17:40  zmoelnig

	* added newline at EOF

2007-09-28 11:50  zmoelnig

	* output correct dimensions when using 3d-textures
	  (this is: 1*1 rather then m_width*m_height)

2007-09-26 16:31  zmoelnig

	* updated documentation (fixed path)

2007-09-26 15:27  zmoelnig

	* changed (long int) to GLint so compilation doesn't choke on
	  recent headers...

2007-09-26 14:30  zmoelnig

	* don't do weird casts; rather use the correct type from the
	  beginning

2007-09-25 23:23  cclepper

	* silly Nvidia headers want a cast to GLint.

2007-09-21 19:12  zmoelnig

	* added another possibility to switch between various dv devices
	  (via numeric selectors)

2007-09-21 17:26  zmoelnig

	* put "default" target into */Makefile

2007-09-21 16:17  zmoelnig

	* call the <subdir>/Makefile instead of directly referring to
	  Makefile.subdir

2007-09-21 16:02  zmoelnig

	* a separate makefile for all subdirectories;
	  this can later be used for partly building Gem as separate
	  objects

2007-09-21 15:11  zmoelnig

	* use environmental variable to specify a different default font

2007-09-21 13:29  zmoelnig

	* use symbol to store the old fontname (less crash-prone)

2007-09-13 13:42  zmoelnig

	* hopefully fixed bug reported by cyrille

2007-09-13 13:41  zmoelnig

	* cleaned up post() messages

2007-09-13 12:45  zmoelnig

	* updated documentation a bit (use the [pd gemwin])

2007-09-13 12:27  zmoelnig

	* made sure all the example-patches work

2007-09-13 11:14  zmoelnig

	* clamp the string-characters to 0..65535
	  (FTGL sometimes crashes if the wchar is >65535;
	  and in theory (wikipedia), ttf-fonts can only hold 2^16 glyphs)

2007-09-10 23:21  eighthave

	* cleaned up help patch to follow Gem standard

2007-09-10 22:43  eighthave

	* minor clean up and removed [mode( message since its not required
	  on ATI anymore

2007-09-10 22:39  eighthave

	* removed loadbang because it causes crashes on Mac OS X and is not
	  required on GNU/Linux (at least on my machine with an ATI X1600)

2007-09-10 22:38  eighthave

	* created a cleaned up, truly simple version, and testing it on
	  Ubuntu and Mac OS X

2007-09-10 21:40  eighthave

	* turned most of the help patch into functional examples instead of
	  just comments about the messages. The "viewing", "buffering" and
	  "steroscopic" sections still need examples

2007-09-10 21:39  eighthave

	* created help patch to document that t[pix_blur] is deprecated

2007-09-10 21:32  eighthave

	* added sliders to make playing with this example much easier

2007-09-10 21:18  eighthave

	* added a slider to make it easier to rotate

2007-09-10 10:44  zmoelnig

	* a unit-test framework (not yet finished)

2007-09-10 10:19  zmoelnig

	* cyrille has reported a crash with the [gemframebuffer] object;
	  this test triggers this crash

2007-09-10 10:15  zmoelnig

	* added argument to call of [pix_histo]

2007-09-03 14:18  zmoelnig

	* fixed crasher bug when [curve] was created without arguments

2007-09-02 14:54  zmoelnig

	* use "pix_video" as default help-file isntead of "pix_movie"

2007-09-02 14:40  zmoelnig

	* updated example patches a bit (according to Gijon) to use more
	  gui-elements

2007-08-29 14:54  cclepper

	* Help class should now open pix_video help file.

2007-08-25 19:47  zmoelnig

	* changed the help-symbol of the [pix_movieDarwin] to [pix_movie]

2007-08-25 19:43  zmoelnig

	* oops; removed the default number of points;
	  just assume 0, but allow creation

2007-08-25 19:42  zmoelnig

	* default to 4 inputs if none are present

2007-08-25 19:33  zmoelnig

	* accepted hans's changes to the documentation (this is: add the
	  "mode" message)

2007-08-20 21:23  cclepper

	* added input selection for devices.

2007-08-07 14:32  cclepper

	* defaults to 2D to cope with busted drivers.

2007-08-01 21:42  cclepper

	* changed GL_TEXTURE_RECTANGLE_EXT to _ARB which seems to be
	  required for DMA uploads on Intel now.

2007-08-01 21:33  cclepper

	* changed GL_TEXTURE_RECTANGLE_EXT to _ARB which seems to be
	  required for DMA uploads on Intel now.

2007-07-27 21:47  cclepper

	* OSX does 128 bit or 4k page boundary alignment automatically.
	  works pretty well on its own.

2007-07-27 21:45  cclepper

	* changed __PPC__ to __ppc__

2007-07-25 21:36  cclepper

	* passes pixBlock to state->image. works with pix_coordinate again.

2007-07-24 18:23  cclepper

	* moved Quicktime init EnterMovies() and GL checks to initGem()

2007-07-14 00:00  cclepper

	* fixed typo in sampler handling

2007-07-12 18:12  cclepper

	* added handling for changing sampler texture units

2007-07-11 15:19  zmoelnig

	* made it compile again under debian/lenny

2007-06-07 21:31  cclepper

	* added codec selection by name.

2007-06-06 08:03  zmoelnig

	* regenerated ChangeLog

2007-06-05 21:44  cclepper

	* fixed looooong first frame bug. added detection for colorspace
	  and image flipping.

2007-05-31 17:52  zmoelnig

	* make old-images tiny (almost free them) when resizing the array:
	  important when you resize large arrays;
	  TODO: do not resize buffers that already have the correct size

2007-05-31 15:18  zmoelnig

	* added "resize" message

2007-05-30 14:49  zmoelnig

	* added "resize" message

2007-04-02 15:27  zmoelnig

	* fixed v4l2-code as to set the "m_capturing"-flag whenever we
	  exit the capturing thread (not just when we power it down);
	  
	  in pix_videoNEW do not startTransfer() in the constructor phase

2007-04-02 10:24  zmoelnig

	* incidentially deleted the "using std::string;" line...now it is
	  back

2007-04-02 10:18  zmoelnig

	* updated documentation a bit

2007-04-02 07:36  zmoelnig

	* removed GLTT support;
	  added wide-character support for FTGL (at least in "string" mode)

2007-04-02 07:34  zmoelnig

	* removed GLTT support;
	  added wide character support for FTGL-font rendering (at least in
	  "string" mode)

2007-03-14 10:57  zmoelnig

	* minor issue with using fprintf() without carriage return;
	  this solution uses verbose(), though i am not sure whether this
	  is really thread safe...
	  have i really forgotten to check this in...?

2007-03-12 09:15  zmoelnig

	* added saturated logic and made it default (is the LATTER a good
	  idea?)

2007-02-20 10:13  zmoelnig

	* fixed typos in comment

2007-02-20 10:11  zmoelnig

	* fixed comment

2007-02-20 09:58  zmoelnig

	* added a configure-flag to specify the maximum openGL-version to
	  use.
	  use this information in GemGL.h to exclude certain parts of the
	  openGL-headers
	  thanks ico for the suggestion

2007-02-20 09:56  zmoelnig

	* glBlendEquation() needs openGL-1.2

2007-02-20 09:43  zmoelnig

	* glActiveTexture() is not always defined

2007-02-20 09:42  zmoelnig

	* indentation

2007-02-19 11:29  zmoelnig

	* applied ico's patches in order to stabilize dv4l
	  (note: use delete[] on ~pix_videoNEW)

2007-02-13 13:11  zmoelnig

	* fixed cases for os-x includes (fixes bug#1613373)

2007-02-12 22:33  tigital

	* small changes to get correct colors on intel macs

2007-02-12 21:43  tigital

	* small change to get correct colors on intel macs

2007-01-07 22:32  tigital

	* added GL_VERSION_2_0 compile path for non-ARB glsl functions

2007-01-07 19:52  zmoelnig

	* proper calling of CPPExtern::error() in the static member
	  functions

2006-12-07 18:19  cclepper

	* quick fix for YUV 3x3 on x86. for now it just does the generic
	  loop.

2006-12-06 20:08  cclepper

	* added an ifdef to make sure this is not compiled on OSX.
	  pix_filmDarwin is used instead

2006-12-06 19:56  cclepper

	* added an ifdef to make sure this is not compiled on OSX.
	  pix_movieDarwin is used instead

2006-12-06 19:44  cclepper

	* added another ifdef to make sure this is not compiled on OSX

2006-12-04 15:35  zmoelnig

	* sped things up a bit; cleaned up post()

2006-12-04 09:11  zmoelnig

	* added comment about initial state and a note, that you now can
	  set this
	  initial state via arguments

2006-12-04 09:09  zmoelnig

	* add an optional argument to the object, so the initial state can
	  be given at object creation (thanks cyrille for the request)

2006-11-25 20:04  zmoelnig

	* added "saturate" message to turn saturation on/off;
	  fixed bug in MMX code with gains>1;
	  added initial arguments

2006-11-21 12:10  zmoelnig

	* less warnings when compiling

2006-11-21 12:00  zmoelnig

	* nobody uses this and if they do, it wouldn't work anyhow

2006-11-21 11:58  zmoelnig

	* updated documentation a tiny bit...

2006-11-21 11:57  zmoelnig

	* minor code cleanup

2006-11-21 10:10  zmoelnig

	* bail out when using wrong messages

2006-11-15 11:12  zmoelnig

	* fixed typo (it is __GNUC__ and not __GNUC___)

2006-11-15 11:08  zmoelnig

	* more verbosity when disabling the culprit altivec stuff (since
	  the code
	  does not seem to work and i don't know why...watch out for the
	  autobuild
	  logs tomorrow...)

2006-11-14 10:58  zmoelnig

	* disable YUV422_to_YV12_altivec() for gcc<4.0 via the
	  NO_VECTORINT_TO_VECTORUNSIGNEDINT define (the fix yesterday
	  coukdn't have worked);
	  btw YUV422_to_YV12_altivec() is really _unused_ in the current
	  sources!!

2006-11-14 10:34  zmoelnig

	* can't use methods with "float, symbol" type; have to use A_GIMME
	  instead

2006-11-13 15:49  zmoelnig

	* disabling __VEC__ for older gcc's (<4); LATER fix the code

2006-11-12 15:20  zmoelnig

	* print credits on first object creation

2006-11-12 15:14  zmoelnig

	* removed the default "HAVE_ARTOOLKIT"; this is checked by
	  configure

2006-11-12 15:05  zmoelnig

	* added shigeyuki's [pix_artoolkit]

2006-11-12 15:04  zmoelnig

	* checks for artoolkit

2006-11-08 20:30  zmoelnig

	* added example file for the use of [gemframebuffer]; note that i
	  use
	  [pix_texture] instead of [pix_multitexture]

2006-11-08 19:24  zmoelnig

	* removed the [pix_coordinate] stuff, since it is now unneccessary
	  (i thought i removed this already...)

2006-11-06 17:39  zmoelnig

	* fail to load movie when fps get's weird... (LATER fix the ffmpeg
	  code)

2006-11-06 16:48  zmoelnig

	* made film::m_auto protected; from outside it can now only be set
	  via setAuto(); this should make it easier to make optimized
	  decoding
	  paths for sequential reading (e.g. non-random-access)

2006-11-06 16:40  zmoelnig

	* better handling of decoding errors...

2006-11-03 16:50  zmoelnig

	* fixed calls to post()

2006-11-03 08:37  zmoelnig

	* fixed calls to ::error() and ::post()

2006-11-03 08:32  zmoelnig

	* added post() method to CPPExtern.cpp which automatically prepends
	  the
	  object's name (if available);
	  accordingly had to change a lot of uses uses of post() where
	  either the
	  object's name was hard- or softcoded or ::post() was used (in the
	  callback functions)

2006-11-03 08:26  zmoelnig

	* extended the texture-sharing message to: textureID, texCoords,
	  type, flags

2006-11-03 08:25  zmoelnig

	* fixed v4l-1 to work with my usb-2u-cam; v4l-2 starts to work
	  too...

2006-11-03 08:24  zmoelnig

	* updated info-files

2006-11-01 22:33  tigital

	* [pix_multitexture] now works as expected!
	  - new [dimen x y< message needed so that it can determine
	  texcoords
	  - GemShape's SetVertex() has been modified to loop thru
	  glMultiTexCoord2f, when needed
	  - GemState has new variable: state->multiTexCoords, which is 0 by
	  default, but set in pix_multitexture based on the # of texUnits
	  requested

2006-10-30 20:57  tigital

	* more attempts at fixes for bad type-ing of vec's on 10.3

2006-10-30 18:51  zmoelnig

	* added option to disable "-fPIC"

2006-10-30 18:45  zmoelnig

	* make "-Os" the default on Darwin

2006-10-30 18:37  zmoelnig

	* added more tests for compiler-flags as suggested by tigital
	  (-mpowerpc-gfxopt is turned OFF by default; LATER think about the
	  "-Os" flag on os-x)

2006-10-30 18:24  zmoelnig

	* reverted the type changes (while this still breaks compilation
	  with older gcc's, at least it is functional)

2006-10-30 08:47  zmoelnig

	* oops, fixed typo

2006-10-30 08:46  zmoelnig

	* added check for "-fpascal-strings" which allows us to use
	  pascal-strings (containing '\p') on os-x

2006-10-30 08:26  zmoelnig

	* tried to fix another error with types; NEEDS TESTING

2006-10-26 20:04  tigital

	* fixes for bad type comparisons in some vec_sl()/vec_add and loop
	  comparisons

2006-10-26 20:00  tigital

	* fix for gcc4 warning "'GemException' has virtual functions but
	  non-virtual destructor"

2006-10-22 19:51  zmoelnig

	* finally removed "configure" since it really should be generated
	  (and therefore happens to get out of sync with configure.ac too
	  often)

2006-10-20 17:48  zmoelnig

	* only call glUseProgramObjectARB() in postrender() when we have
	  a linked module (less crashy on systems that don't really support
	  shaders...)

2006-10-20 17:40  zmoelnig

	* changed type of for-loop variable from (size_t) to (singed long
	  long), since unsigned numbers never get negative!

2006-10-18 13:49  zmoelnig

	* store the CONFIGUREFLAGS in Make.config, so that automatic calls
	  to "configure" produce the same results;
	  additionally this should make it possible to just call:
	  'CONFIGUREFLAGS="--with-pd=/bi/ba/bo" make"
	  in a distclean environment and it will build everything;
	  LATER remove configure/aclocal.m4

2006-10-18 11:06  zmoelnig

	* setNorm() now has an effect even if capturing is currently not
	  running;
	  LATER think about making the "mode <norm> <channel>" message work
	  again (it seems like this is some threading problem)

2006-10-18 11:05  zmoelnig

	* fixed if/else at the "mode" message

2006-10-18 10:53  zmoelnig

	* hmm...

2006-10-18 10:52  zmoelnig

	* made it a tiny bit more readable; added accumbuffer-bits to
	  window-creation

2006-10-18 10:50  zmoelnig

	* example for texture-sharing

2006-10-18 10:46  zmoelnig

	* dont use markEx-objects anymore;
	  LATER remove this example altogether

2006-10-18 10:44  zmoelnig

	* dont use markEx-objects anymore

2006-10-18 10:43  zmoelnig

	* updated to use vera.ttf instead of arial.ttf and to not use
	  markEx-objects anymore

2006-10-06 14:53  cclepper

	* updated RGBA pixel packings for Mac Intel

2006-10-06 14:50  cclepper

	* update for proper Mac Intel pixel packing

2006-10-04 11:38  zmoelnig

	* proper initialization (memset(0)) for fidtrackerx (used to crash
	  on my x64_64)

2006-10-03 15:13  zmoelnig

	* hopefully fixed the check whether OpenGL-framework is used

2006-10-03 15:08  zmoelnig

	* disable checks for libGL and libGLU if we use the
	  OpenGL-framework

2006-10-03 11:51  zmoelnig

	* disable checks for lqt and libquicktime if QuickTime-framework is
	  being used

2006-09-27 12:55  zmoelnig

	* deleted obsoleted objects from this list

2006-09-27 12:53  zmoelnig

	* make pd-binary settable via the PD variable

2006-09-27 10:11  zmoelnig

	* removed the test for AC_PROG_GCC_TRADITIONAL since we use c++
	  instead of cc

2006-09-27 09:53  zmoelnig

	* hopefully fixed the FFMPEG-thing (the AVCodecContext-check was
	  broken
	  since i changed the language from "C" to "C++")

2006-09-27 09:04  zmoelnig

	* added some magic for FTGL and ffmpeg

2006-09-26 09:56  zmoelnig

	* use our own glew.h (if so)

2006-09-26 09:55  zmoelnig

	* glProgramEnvParameter4fvARB() can only be used if
	  GL_ARB_vertex_program is defined
	  (GL_NV_vertex_program doesn't matter)

2006-09-26 09:27  zmoelnig

	* removed check for "-no-builtin" gcc-flags, since this prevents us
	  from building with older gcc-version

2006-09-25 13:28  zmoelnig

	* regenerated glew from 1.3.4 sources;
	  fixed importGLEW.sh so that it automatically adds the "#ifdef
	  USE_GLEW"
	  clauses around the code

2006-09-21 19:36  zmoelnig

	* added checks for the not-deprecated linking flags on OSX;
	  disabled altivec on x86_64 machines

2006-09-21 14:38  zmoelnig

	* added newline at end of file

2006-09-21 14:32  zmoelnig

	* add generic inlets for each textureunit

2006-09-21 14:31  zmoelnig

	* added PDerror() which calls pd_error() without having to worry
	  about the object ("ourselves")

2006-09-20 15:57  zmoelnig

	* disabled Vertex by default (since it is very experimental)
	  disabled SSE2 by default (since most processors do not yet
	  support it)

2006-09-20 15:56  cclepper

	* added glfrustum call with GEM default setting. Uncommented some
	  of the matirx calls which get closer to correct rendering.

2006-09-20 15:51  zmoelnig

	* indentation of preprocessor-directives, so i can read them

2006-09-20 07:55  zmoelnig

	* removed the legacy HaveValidContext() function call (since it
	  does no longer exist)

2006-09-19 20:48  cclepper

	* init m_FBOcolor not m_color

2006-09-19 20:43  cclepper

	* added a color message to set the background color.

2006-09-18 11:09  zmoelnig

	* another check for illegal filenames

2006-09-18 10:39  zmoelnig

	* removed MarkEx from Gem

2006-09-18 10:39  zmoelnig

	* removed dependency on [v+] and friends (which are no longer part
	  of Gem)

2006-09-17 15:41  zmoelnig

	* put "float seconds;" in the platform-independent section, since
	  it is used by both __APPLE__ and __WIN32__

2006-09-15 18:15  tigital

	* [OSX] small fix for close() definition

2006-09-14 09:44  zmoelnig

	* hopefully made this work with older openGL-headers

2006-09-14 09:20  zmoelnig

	* put the authors into GemVersion.h and removed the OS-information
	  (since this is blurry)

2006-09-14 09:00  zmoelnig

	* w32 batch file for testing;
	  LATER make this via make

2006-09-12 22:38  cclepper

	* updated to include timers and matrix flipping on windows

2006-09-12 19:58  cclepper

	* adds a timer for the movie framerate on windows. also flips the
	  image around when a directshow source is used.

2006-09-12 19:44  cclepper

	* added header for GLEW

2006-09-12 19:43  cclepper

	* Quicktime init on first launch for Windows. This could possibly
	  go in GemWinCreateNT, but it works fine here.

2006-09-12 19:40  cclepper

	* GLEW init code for Windows

2006-09-12 19:37  cclepper

	* added a working SIMD feature check for Windows.

2006-09-11 21:56  cclepper

	* m_auto is passed to the handle. useful for DirectShow and
	  Quicktime which are more efficient handling auto play than just
	  incrementing a frame counter.

2006-09-11 21:55  cclepper

	* moved m_auto to public member variable

2006-09-11 21:53  cclepper

	* added right inlet frame handling and auto now sets rate

2006-09-07 21:28  cclepper

	* fixed error in SetVertex that made everything square

2006-09-05 15:27  tigital

	* added more informative output when changing mode

2006-09-03 16:50  zmoelnig

	* removed inheritance of GemException from std::exception to not
	  set up M$VC; hope this works

2006-09-02 18:37  zmoelnig

	* use "-path" for searching images

2006-09-02 18:37  zmoelnig

	* added installabs target for installing abstractions;
	  install Gem.${EXT} into pd/extra/Gem/

2006-08-31 19:45  cclepper

	* added a message apative to set the threshold for deinterlacing.
	  also attempted to make the deinterlacing a little nicer looking
	  for RGBA.

2006-08-31 19:36  cclepper

	* changed drawing to use SetVertex() which allows for texturing
	  from texture units other than 0

2006-08-31 18:48  cclepper

	* added texunit message and handling of multiple texture units

2006-08-29 15:34  zmoelnig

	* added "cvs" to the version string

2006-08-29 14:46  zmoelnig

	* removed the tailing slash from BUILDDIR (avoid double-slashes in
	  paths)

2006-08-29 07:35  zmoelnig

	* fixed compilation issue on systems without HAVE_DIRECTSHOW

2006-08-24 21:20  cclepper

	* added HAVE_DIRECTSHOW define to select filmDS or filmAVI

2006-08-24 21:15  cclepper

	* changed defines to add HAVE_DIRECTSHOW

2006-08-24 20:55  cclepper

	* DirectShow class for pix_film on Windows.

2006-08-22 12:05  zmoelnig

	* replaced [v+] and friends with pd-objects

2006-08-22 12:03  zmoelnig

	* dummy objects that print an error when being instantiated,
	  telling the user that the real objects ceased to exist

2006-08-22 11:52  zmoelnig

	* cyrille's stencil buffer patch

2006-08-22 07:52  zmoelnig

	* newline at end of file (after all, C++ MUST have a newline at the
	  EOF)

2006-08-22 07:40  zmoelnig

	* put the DirectShow code into #ifdef's to prevent it from bulding
	  on other platforms;
	  dos2unix

2006-08-21 21:21  cclepper

	* Changed callback to GetCurrentBuffer. Added method to record
	  video to disk in native format (useful for DV capture).

2006-08-21 21:16  cclepper

	* Object for loading DirectShow files on Windows

2006-08-21 18:48  cclepper

	* fixed cast to GLclampd for depth flag

2006-08-17 11:08  zmoelnig

	* remove the 2nd inlet inherited from [pix_texture] since this
	  object always has its own texture

2006-08-17 11:07  zmoelnig

	* added a second inlet for setting a "remote" texture, which is
	  used optionally if no image is present

2006-08-17 09:13  zmoelnig

	* deleted commented out leftovers;
	  use window-dimensions when given dimensions <=0 (instead of <0)

2006-08-17 08:22  zmoelnig

	* an example on how to use full-screen motion-bluring with
	  feedback-textures

2006-08-16 12:40  zmoelnig

	* autoconf working on OSX

2006-08-16 12:39  zmoelnig

	* deleted [gemorb] and [gemtablet]

2006-08-16 12:31  zmoelnig

	* removed MarkEx from Gem; added Vertex-branch to configure

2006-08-16 12:27  zmoelnig

	* removed MarkEx from Gem

2006-08-16 10:03  zmoelnig

	* better(?) declarations of exceptions...

2006-08-14 15:32  zmoelnig

	* removed debugging printout

2006-08-14 15:31  zmoelnig

	* initialization of treeidmap

2006-08-14 15:07  zmoelnig

	* more arguments to objects that need it

2006-08-14 14:58  zmoelnig

	* allow arguments to objects

2006-08-14 14:37  zmoelnig

	* changed this object to A_GIMME,
	  since default args do not like symbols to come after floats...
	  LATER: this object should refuse from being created, if the
	  arguments do not match what we expect
	  LATER: there are other objects who also suffer from this...

2006-08-09 17:15  zmoelnig

	* rearranged a bit, so that it is possible to find the "--with-pd"
	  flag in the help...

2006-08-09 17:08  zmoelnig

	* this might work on os-x!
	  changed the behaviour of "--with-pd" so that it's argument should
	  direct to the base-path of pd, where we can find both headers
	  (<pdpath>/src) and libraries (<pdpath>/bin)

2006-08-09 16:44  zmoelnig

	* use "0" instead of NULL for setting characters

2006-08-09 16:40  zmoelnig

	* protect the inclusion of <colormodels.h> with
	  HAVE_QUICKTIME4LINUX

2006-07-27 16:00  zmoelnig

	* use "vera.ttf" as default font (whoa, this could break things!)

2006-07-27 15:59  zmoelnig

	* use GemState->reset() instead of resetting things manually

2006-07-27 15:58  zmoelnig

	* removed the "stereo" membervariable: this is handled by
	  "tickTime";
	  added a "reset()" method (to be used in [gemhead] instead of
	  resetting things manually)

2006-07-27 15:56  zmoelnig

	* replaced setting GemState->stereo by setting GemState->tickTime;

2006-07-27 12:12  zmoelnig

	* removed an unconditional exception thrown in the constructor

2006-07-25 16:37  zmoelnig

	* use "state->tickTime" instead of "state->stereo" for (not)
	  updating movements

2006-07-25 14:47  zmoelnig

	* made the warning go away. a bit more text...

2006-07-20 18:45  tigital

	* removed "GL_FRAMEBUFFER_INCOMPLETE_DUPLICATE_ATTACHMENT_EXT" from
	  fbo status checking because it has been removed from the spec

2006-07-20 17:09  tigital

	* add info about compat message

2006-07-12 04:47  tigital

	* replaced "colorspace" with separate "type" and "format" messages
	  (also can affect creation args): default type=GL_UNSIGNED_BYTE
	  and format=GL_RGB; more informative (and more gem-like) error
	  reporting; better setup of fbo's; switchable textureType
	  (default=GL_TEXTURE_2D); better cleanup

2006-07-12 04:26  tigital

	* [osx] "type = ..._REV" or not: compile-time check for
	  __BIG_ENDIAN__, to help support intel-macs

2006-07-12 04:22  tigital

	* [osx] start of code to detect altivec at runtime

2006-07-12 04:21  tigital

	* [osx] possibility of using generic float (software) renderer:
	  should come up with a way to switch between renderer's at runtime

2006-07-12 04:19  tigital

	* [osx] check for resource's existence before releasing them

2006-07-12 04:17  tigital

	* added glTexParameteri()'s; removed auto texcoord generation (for
	  now...); better support for older GL's; seems to work (atm) with
	  geo's

2006-07-12 04:04  tigital

	* starting to merge in vertex_array stuff (finally)
	  - accepts tables in this order atm: vertex, color, normal,
	  texcoord

2006-07-12 04:00  tigital

	* starting to merge in vertex_array stuff (finally)

2006-07-12 02:58  tigital

	* starting to merge in vertex_array stuff (finally)

2006-07-04 14:48  zmoelnig

	* use setCSizeByFormat()

2006-07-04 14:47  zmoelnig

	* use a define for the debug-printout at decoder-instantiation:
	  makes code much more readable

2006-07-04 14:46  zmoelnig

	* the convert(To|From) routines now also work without an explicit
	  colorspace; if none is given, the already set cs of the
	  destination is taken; if this is unset, the default cs is used

2006-07-03 09:06  zmoelnig

	* replaced sprintf() by snprintf(); replaced printf() by
	  post()/error()

2006-07-03 08:45  zmoelnig

	* lowered the threshold of insecurity by replacing usleep() with
	  select()

2006-07-03 08:44  zmoelnig

	* lowered the threshold of insecurity with snprintf(), select(),...

2006-06-26 02:28  tigital

	* xcode 2.3 project file, makes dynamiclib

2006-06-20 09:03  zmoelnig

	* forgot to remove the debugging "read"s...

2006-06-14 10:20  zmoelnig

	* generated from configure.ac

2006-06-14 10:20  zmoelnig

	* the SIMD-tests are only done if required explicitely by the user
	  (e.g. --enable-mmx) or the compiling hardware seems to support it
	  (naive test: if ARCH="i686" we want "sse2" and "mmx" but not
	  "altivec" and the like); LATER make better tests (query processor
	  capabilities)

2006-06-14 10:17  zmoelnig

	* generated from acinclude.m4 (with automake-1.9)

2006-06-14 10:16  zmoelnig

	* the GEM_ARG_WITH macro family now doesn't explicitely set the
	  default value, unless a 3rd argument is given and a non-empty
	  string (like "force")

2006-06-14 09:25  zmoelnig

	* why...these files should have been deleted a long time ago...

2006-06-14 09:02  zmoelnig

	* removed non-free fonts and added one free replacement; added a
	  COPYING.txt which discusses licensing.
	  LATER think about changing the default font to "vera.ttf"

2006-06-14 08:56  zmoelnig

	* oops, forgot to check in the changes for fain-grained control
	  over SIMD-optimization

2006-06-13 22:45  cclepper

	* commented out the fps post() on the Mac since that goes out the
	  outlet

2006-06-13 22:41  cclepper

	* used #if 0 to remove the object from the build process. need to
	  use some proper defines until the new version works as well as
	  the old

2006-06-13 22:31  cclepper

	* should work for Mac/Win now

2006-06-13 22:30  cclepper

	* moved m_recordStart and m_recordStop to the base class. commented
	  out the not implemented getCodecName and getCodecDescription

2006-06-13 22:28  cclepper

	* moved m_recordStart and m_recordStop to the base class

2006-06-13 22:25  cclepper

	* Used one #ifdef to keep from crashing on Mac/Win. m_automatic is
	  now true by default.

2006-06-13 21:31  cclepper

	* Added a very clever #if 0 to remove this file from compilation.

2006-06-13 21:29  cclepper

	* updated header file for volume function

2006-06-09 19:07  cclepper

	* changed maxStackDepth declarations to match. both are GLint

2006-06-09 19:05  cclepper

	* updated header file for quality function

2006-06-09 19:04  cclepper

	* updated header file for volume function

2006-06-09 13:06  zmoelnig

	* cleaned up setCSizeByFormat() to only one big (#ifdef __APPLE__
	  #else) instead of 6 of them: should be more readable

2006-06-08 15:36  zmoelnig

	* clean up shared memory needed when the segment already exists but
	  is smaller than what we requested

2006-06-08 11:55  zmoelnig

	* removed freeShm() from the destructor since the parent's
	  destructor already handles this: the joys of inheritance

2006-06-01 13:58  zmoelnig

	* prefixed V4L2-specific defines with V42L_; added loads of
	  debugging stuff but still couldn't make it work...

2006-06-01 13:55  zmoelnig

	* prefixed V4L-specific defines with V4L_; better checks on
	  stopTransfer()

2006-06-01 13:52  zmoelnig

	* added some more tests for defines when we are on w32

2006-05-31 14:05  zmoelnig

	* reschedule a rendering-cycle when changing the framerate from 0.0
	  to something valid (normally the framerate change only takes
	  effect at the next render-cycle; with framerate==0.0 this can
	  take a long time)

2006-05-31 14:05  zmoelnig

	* cancel pending destroy-requests on "create"

2006-05-31 13:54  zmoelnig

	* reschedule a rendering-cycle when changing the framerate from 0.0
	  to something valid (normally the framerate change only takes
	  effect at the next render-cycle; with framerate==0.0 this can
	  take a long time)

2006-05-24 17:18  cclepper

	* added defines for Intel.

2006-05-24 17:17  cclepper

	* added defines for Intel. fixed stupid looping bug.

2006-05-16 12:00  zmoelnig

	* changed the return type of string.find() from (size_t) to
	  (unsigned long) in order to make a valid test for (pos<0): this
	  prevents hanging...

2006-05-07 10:04  zmoelnig

	* use (size_t) where appropriate

2006-05-07 10:03  zmoelnig

	* made m_size of type (size_t) instead of just (int)

2006-05-07 10:03  zmoelnig

	* include <stdio.h>

2006-05-07 10:00  zmoelnig

	* explicit casts to (float) to shut up warnings

2006-05-04 19:04  zmoelnig

	* respect m_size (via glScale() and glPush/glPop)

2006-05-04 18:54  zmoelnig

	* use GemMan::destroyWindowSoon() for window destruction: this
	  allows to directly connect [gemmouse] to [destroy( without
	  crashing (previously a [del 0] was needed to decouple the
	  window-event-grabbing from the window-destruction)

2006-05-04 18:52  zmoelnig

	* added a destroyWindowSoon() function that issues a delayed
	  windows destruction (destruction is done at the beginning of the
	  next render cycle which is rescheduled to be within 0.0 ms); this
	  is useful when the destruction is initiated via window-events
	  which would otherwise crash pd

2006-05-04 17:53  zmoelnig

	* the slice-input now also accepts a pair of numbers for different
	  numSlices and numStacks; currently only used by [sphere3d]

2006-05-04 17:43  zmoelnig

	* added a spherical object for deformation (similar to [curve3d],
	  but only control-points for now

2006-05-03 13:34  zmoelnig

	* fixed memory-leak

2006-05-03 04:24  tigital

	* now we correctly get the location of uniform variables: how it
	  worked before, I have no idea...

2006-04-28 14:34  zmoelnig

	* use memset() instead of bzero();
	  use __WIN32__ instead of WIN32; include config.h for this to work

2006-04-28 14:33  zmoelnig

	* inlcude config.h for __WIN32__

2006-04-28 14:18  zmoelnig

	* include <io.h> instead of <unistd.h> on w32

2006-04-28 14:16  zmoelnig

	* just include CPPExtern.h: this will include m_pd.h, so we don't
	  need to do it here

2006-04-28 14:13  zmoelnig

	* include GemExportDef before m_pd.h: this way we only have to
	  pragma-disable the vc-warnings once: less code cluttering!

2006-04-28 14:12  zmoelnig

	* use _MSC_VER instead of __WIN32__ for w32-specific things (the
	  used pragmas are vc-only; i am not that sure about the
	  declspec()-things)

2006-04-28 13:57  zmoelnig

	* moved all includes to top of the file;
	  use GemGL.h to include the gl-headers

2006-04-28 13:51  zmoelnig

	* added wglext.h for w32;
	  shouldn't the agl-headers be included here too?

2006-04-28 13:35  zmoelnig

	* automatically define __WIN32__ if _MSC_VER is defined

2006-04-28 13:33  zmoelnig

	* removed test for GL_WIN32_MEAN_AND_LEAN (there is no such thing)

2006-04-28 13:32  zmoelnig

	* use "#ifdef __WIN32__" instead of "#if __WIN32__"

2006-04-28 13:30  zmoelnig

	* protected the use of defines via #ifdef;
	  better bracketing;

2006-04-28 13:29  zmoelnig

	* don't use freeShm() on __WIN32__

2006-04-28 13:29  zmoelnig

	* protected the use of defines via #ifdef

2006-04-28 13:27  zmoelnig

	* use HAVE_QUICKTIME (and added a not about where it should be
	  defined properly)

2006-04-28 13:26  zmoelnig

	* use double for sqrt()

2006-04-28 13:24  zmoelnig

	* on w32 include <io.h> instead of <unistd.h>

2006-04-28 13:22  zmoelnig

	* check if GL_TEXTURE0_ARB is defined before using it

2006-04-27 12:35  zmoelnig

	* it has been a long time since i compiled that...fixed some minor
	  typos...

2006-04-27 12:07  zmoelnig

	* added checks for video4linux-2; this is disabled by default
	  (enable it with
	  "--with-v4l2")

2006-04-27 11:21  zmoelnig

	* added the bug reported by cyrille regarding pix_video and philips
	  webcams

2006-04-26 15:37  zmoelnig

	* fixed the [vertex_program]-bug; opened the freeframe-64bit issue

2006-04-26 15:34  zmoelnig

	* made "param" an alias for "parameter", since this is the keyword
	  most objects use...

2006-04-26 15:33  zmoelnig

	* fixed a bug where m_envNum was not properly initialized when
	  [vertex_program] was called with an argument; moved "parameter"
	  to vertex_program.cpp, so both objects can set the parameter;
	  LATER think about multiple parameters...

2006-04-26 12:22  zmoelnig

	* proper initialization prevents crashes in destructor...

2006-04-26 09:35  zmoelnig

	* did some proper initializing of pointers to prevent crashes
	  (why has nobody thought about that in the generation process!??)

2006-04-26 08:30  zmoelnig

	* trigger the quitting from outside (that is: the script)

2006-04-26 08:20  zmoelnig

	* a simple test that tests for all Gem objects (as listed in
	  objects.txt);
	  no tests are performed on vertex/-objects and on markEx/-objects

2006-04-26 07:47  zmoelnig

	* fixed the [separator] bug;
	  found other ways to trigger the [vertex_program] bug

2006-04-26 07:41  zmoelnig

	* before pushing to the stacks, check whether the stacks are
	  already full;
	  this leads to less errors when chaining more than 1 [separator]

2006-04-26 07:40  zmoelnig

	* added a variable for the current depth of the matrix-stacks

2006-04-26 07:39  zmoelnig

	* query the number of supported stacks for the various matrix-modes
	  (important
	  for [separator];
	  text whether GL_NV_multisample_texture_hint is supported before
	  setting the hint;

2006-04-25 17:18  zmoelnig

	* normalized input and output values; still no clamping

2006-04-25 16:58  zmoelnig

	* yuv2rgb and vice versa conversion abstractions

2006-04-24 19:16  zmoelnig

	* use "size_t" for alignment-magic, since
	  sizeof(int)!=sizeof(unsigned char*) on x86_64;
	  btw, this should be used in pd's m_simd.h and in the freeframe
	  specs too...

2006-04-11 09:33  zmoelnig

	* moved the window-destruction in render() before the m_windowState
	  check: this fixes issues with lights when destroying the windows
	  from "outside"

2006-04-07 15:12  tigital

	* [osx] uyvy/bgra/yv12 conversions altivec'd (DONE)

2006-04-07 03:49  tigital

	* yuv422_to_bgra_altivec() now works; fixed some typos;
	  re-corrected #include's

2006-04-05 11:29  zmoelnig

	* removed this pseudo-configure script since it is totally
	  outdated;
	  the (pseudo) Makefile in here should call configure in src/ if
	  needed

2006-04-05 11:27  zmoelnig

	* removed the call to glClearColor() in the reset()-routine since
	  it might crash pd/Gem when no valid context is available (LATER:
	  think what will happen when someone clicks on "reset" while
	  rendering)

2006-03-28 09:40  zmoelnig

	* reverted the include-change by jamie.
	  this should really be handled by configure and NOT in here since
	  we don't
	  know whether the quicktime-headers are in lqt/ or quicktime/
	  or...

2006-03-28 03:20  tigital

	* fixed header inclusion

2006-03-27 16:46  tigital

	* CLAMP() is inlined from GemFuncUtil.h

2006-03-27 14:48  zmoelnig

	* replaced "nil" by "null64" in MMX routines, since this makes
	  problems with QuickTime-framework (on macintel)

2006-03-27 14:47  zmoelnig

	* added SSE2 processing for YUV (but most of the time is spent in
	  memory-fetching anyhow, so not much of a speed gain)

2006-03-27 07:52  zmoelnig

	* updated TODO-list: opened new bugs for [separator], missing
	  objects on w32, and the shader-objects

2006-03-24 15:16  zmoelnig

	* initialize (and modify) m_simd via GemSIMD and select optimized
	  algorithms at runtime.

2006-03-24 15:12  zmoelnig

	* instantiate a GemSIMD class in order to query the CPU only once.

2006-03-24 15:10  zmoelnig

	* implemented a small static class GemSIMD which is used to query
	  the SIMD-capabilities of the current CPUs: this should bring us
	  away from (not) using SIMD via preprocessors.

2006-03-23 23:08  zmoelnig

	* weird: compiling with SSE2 (on a system that doesn't support
	  it!), yields
	  to crashes when casting "double" to "int"; using "float" works
	  fine, so i
	  enforced floats here...

2006-03-23 22:51  zmoelnig

	* removed "done..." printout in destructor

2006-03-23 17:07  zmoelnig

	* added check for sse2

2006-03-23 17:05  zmoelnig

	* added YUV->RGB24 routine (its not really faster than YUV->RGB32)

2006-03-23 17:03  zmoelnig

	* put GEM_VECTORALIGNMENT in here

2006-03-23 14:25  zmoelnig

	* further improved the SSE2-code: less shuffling done (in YUV2RGBA)
	  and cache optimization on writing

2006-03-23 14:07  zmoelnig

	* use macros for the timing code: this makes things much more
	  readable (no more ifdef's within the actual code to time)

2006-03-22 23:07  tigital

	* typo with no effect

2006-03-22 23:06  tigital

	* var initializing re-ordering

2006-03-22 22:50  tigital

	* added "#ifdef GL_ARB_shader_objects" to linkCallback()

2006-03-22 22:47  tigital

	* added YUV422_to_YV12_altivec(); changed function var's to
	  YV12_to_YUV422_altivec() so it works in the new file; started
	  YUV422_to_BGRA_altivec(), but non-functioning atm

2006-03-22 22:43  tigital

	* re-ordering

2006-03-22 22:40  tigital

	* GemPixConvert.h switcheroo

2006-03-22 17:41  zmoelnig

	* use the YUV2RGBA routines;
	  on reallocate() make sure that a pointer to the aligned memory is
	  returned

2006-03-22 17:35  zmoelnig

	* initial SSE2-optimized YUV2RGBA conversion: there is still a lot
	  to be done here (e.g. get a real grip on SIMD-programming!)

2006-03-22 12:59  zmoelnig

	* added SSE2-optimized RGBA2YUV conversion;
	  since GemPixUtil.cpp has grownso huge, i have outsourced the
	  optimized color conversion routines into separate files
	  GemPixConvertAltivec.cpp, GemPixConvertSSE2.cpp; obviously this
	  has only been tested on linux and mightwork (or not) on osx

2006-03-20 21:32  zmoelnig

	* did i check this in already?

2006-03-20 20:53  zmoelnig

	* a toon-shader done with glsl

2006-03-20 15:02  tigital

	* "#ifdef GL_ARB_shader_objects" added to createArrays()

2006-03-19 18:25  zmoelnig

	* i think the separator-issue is almost fixed

2006-03-19 18:25  tigital

	* remembered to member variables (masses, springs), so now we have
	  actual object autonomy

2006-03-18 20:36  tigital

	* fixed typo, now compiles

2006-03-18 14:21  zmoelnig

	* in theory these changes should fix the memleak problem with the
	  [separator]: while i was extra careful, i hope that my changes
	  will be compiling and (what's more) be functional on other
	  platforms!

2006-03-16 09:34  zmoelnig

	* updated help-patches (mostly xchanged the [destroy( message with
	  [create()

2006-03-16 08:55  zmoelnig

	* FIXED: not using client-storage on machines that do not support
	  it led to a "invalid enumerant" GL-error (due to setting
	  GL_UNPACK_CLIENT_STORAGE_APPLE via glPixelStore to _some_ value);

2006-03-15 19:49  tigital

	* updated based on what was committed yesterday, plus some other
	  things

2006-03-15 17:09  zmoelnig

	* updated since a help-patch for [pix_record] is now available

2006-03-15 16:51  zmoelnig

	* new implementation that allows switching of the attached
	  shm-segment via a "set" message.

2006-03-15 15:42  zmoelnig

	* things removed for osX needed to be removed on linux too

2006-03-15 10:37  zmoelnig

	* a help-patch

2006-03-15 10:35  zmoelnig

	* cleaned up a bit (less verbosity; local variables should not be
	  called m_...; ...)

2006-03-14 20:04  tigital

	* [osx]: removed HaveValidContext() checks, because we now have a
	  master context created via GemMan::initGem()...also initial code
	  (not fully working) intended to allow auto-texcoord generation
	  and setTexCoords()

2006-03-14 19:59  tigital

	* [osx]: removed HaveValidContext() checks, because we now have a
	  master context created via GemMan::initGem()...also changed to
	  GL_NEAREST filtering to prevent fallback to software
	  renderer...and initial (not fully working) code to allow
	  colorspace request (ie. FLOAT, RGB, RGBA)

2006-03-14 19:53  tigital

	* [osx]: removed HaveValidContext() checks, because we now have a
	  master context created via GemMan::initGem()

2006-03-14 19:25  tigital

	* [osx]: removed HaveValidContext() checks, because we now have a
	  master context created via GemMan::initGem()

2006-03-14 19:18  tigital

	* [osx]: removed HaveValidContext() checks, because we now have a
	  master context created via GemMan::initGem()

2006-03-14 18:23  tigital

	* corrected path to initial image

2006-03-14 15:35  zmoelnig

	* glsl_vertex and glsl_fragment now respect pd's search path;
	  updated TODO since some help-patches are now done

2006-03-14 15:32  zmoelnig

	* updated and new help-patches for shaders

2006-03-14 14:25  tigital

	* [size $1< works, and it's centered; removed CLIP_* limitations,
	  so now it's like a normal gem object; some cleanup

2006-03-14 14:20  tigital

	* added setModified() to parmMess: where is this really necessary
	  (and not)?

2006-03-14 14:19  zmoelnig

	* link now optionally takes a list of module-id's: [link 3 2( is
	  the same as [shader 3 2, link(

2006-03-14 14:17  zmoelnig

	* repsect pd's search path when opening shaders;
	  fewer openGL errors;

2006-03-14 14:17  tigital

	* cleanup: removed unused function bindTexture()

2006-03-14 13:20  zmoelnig

	* removed printout of plugin address; made param# larger and end
	  the param-string with \0

2006-03-14 13:18  zmoelnig

	* added help-files for ARB shaders; made the [pix_freeframe] object
	  theoretically
	  functional

2006-03-14 12:33  zmoelnig

	* empty(!still!) class for a splash screen;
	  this object is aliased "Gem", so that when people create a [Gem]
	  object, it doesn't fail

2006-03-14 10:40  zmoelnig

	* mark shm-segment for deletion when object is destroyed;
	  [TODO]: marked pix_share_* as done

2006-03-14 10:38  zmoelnig

	* added help patches

2006-03-14 10:14  zmoelnig

	* made it work on linux (even without crashes!);
	  now you can also specify the 4th argument (color) as symbolic
	  name like "RGBA" or "YUV":

2006-03-14 08:58  zmoelnig

	* updated status

2006-03-14 08:53  zmoelnig

	* what we still have to-do to make the gem-0.91 release

2006-03-13 20:27  zmoelnig

	* added a handle for Destroy-Event on linux; whenever the window is
	  closed (by clicking on the "x") the gem-context will be
	  destroyed;
	  this needs to be done outside of the event-loop to avoid crashes

2006-03-13 19:38  zmoelnig

	* convert from cs other than RGBA

2006-03-13 17:47  zmoelnig

	* registered the WM_DELETE_WINDOW protocol in order to disable the
	  user-closing of the Window: LATER think about closing the window,
	  when the user requests it.

2006-03-13 17:20  zmoelnig

	* respect the upside-down flag when in mem2jpegImage(): however on
	  my machine
	  the images written seem to be correct anyhow...

2006-03-13 16:56  zmoelnig

	* do not instantiate recordQT4L when HAVE_LQT_ADD_VIDEO_TRACK is
	  not defined

2006-03-12 20:37  zmoelnig

	* added help-patches for the hsv2rgb (and vice versa) abstraction:
	  these are just copies from Gem/help/

2006-03-12 20:34  zmoelnig

	* new abstractions in case we get rid of MarkEx

2006-03-12 19:33  zmoelnig

	* added new help-file

2006-03-12 19:07  zmoelnig

	* new help-files

2006-03-06 11:23  zmoelnig

	* added stencil-buffer for glx (tested) and wgl (NOT tested)

2006-03-04 00:52  tigital

	* added stencil buffer on creation

2006-03-03 20:42  tigital

	* added env message; cleanups in setUpTextureState()

2006-03-02 14:55  zmoelnig

	* set "upsidedown" to false: while this is the default on most
	  systems, it is not on OSX (where quicktime makes flipped images);
	  however pix_snap will always make "upright" images, so we have to
	  make sure this is set here; this should close #1096651 at the
	  sf-tracker (but i haven't tested it on OSX)
	  additionally use setCsizeByFormat();
	  additionally enable the __APPLE__'ed code for all platforms (its
	  nothing apple-specific in there)

2006-02-28 17:40  zmoelnig

	* who need m_name and m_length ? not me...

2006-02-28 17:39  zmoelnig

	* whoa! finally found the bug that made Gem crash on re-loading a
	  shader (or loading another one...); lots of cleanups, like using
	  C++ "new" instead of "malloc" and more terse output and and ...

2006-02-27 16:00  tigital

	* free arrays in getVariables() before getting the new
	  m_uniformCount

2006-02-27 15:09  zmoelnig

	* finally found the type that made a) the object crash and b) it
	  look weird;
	  only regenerate the vertices,... when needed (e.g. something has
	  changed)

2006-02-27 14:25  zmoelnig

	* added better (probably working) tests for ARB and NV extensions

2006-02-27 14:09  zmoelnig

	* added a better (probably working) test for "lqt_add_video_track"

2006-02-27 13:36  zmoelnig

	* added missing curly bracket

2006-02-27 13:35  zmoelnig

	* initialized the index-array to "0": this keeps us from crashing!

2006-02-24 15:14  tigital

	* added messages: "drag"(default 0.5) and "spring" (default 0.3);
	  some cleanup

2006-02-23 17:34  zmoelnig

	* added support for writing specified slots to disk (not very well
	  tested)

2006-02-23 17:33  zmoelnig

	* support for other colorspaces than RGB when writing with
	  imagemagick (YUV not yet supported; libtiff and libjpeg not
	  tested at all!)

2006-02-23 15:33  zmoelnig

	* only compile if HAVE_LQT_ADD_VIDEO_TRACKS is defined (which
	  should be defined by configure)

2006-02-23 15:29  zmoelnig

	* removed the inlet

2006-02-23 15:29  zmoelnig

	* allow to set the class-flags by defining GEM_CLASSFLAGS

2006-02-21 14:01  zmoelnig

	* define HAVE_CONFIG_GENERIC_H if we don't have another
	  config*.h.in file

2006-02-21 14:00  zmoelnig

	* include configGeneric.h instead of os-specific config-file if
	  HAVE_CONFIG_GENERIC_H is defined (at the command line)

2006-02-21 13:27  zmoelnig

	* a generic fallback (a la long we can replace all the os-specific
	  config.h.in files)

2006-02-21 13:25  zmoelnig

	* added a test for lqt_add_video_track()

2006-02-21 13:01  zmoelnig

	* added HAVE_LQT_ADD_VIDEO_TRACK, since older versions of
	  libquicktime don't have this...

2006-02-21 11:05  zmoelnig

	* tried to make it more stable;
	  it is till crashing when: a) switching from non-texture to
	  texture (it works when the texture is present when rendering is
	  started); b) switching the lighting-state

2006-02-21 11:02  zmoelnig

	* #ifdef'ed everything with USE_GLEW (currently glew is not used,
	  so try to avoid any interference)

2006-02-17 05:22  tigital

	* removed an unused outlet

2006-02-16 19:53  tigital

	* useful for automatic texture-coordinate generation

2006-02-15 23:05  tigital

	* [osx] one last hack to make it work like the other platforms

2006-02-15 20:54  zmoelnig

	* oops! for testing i used __linux__ instead of __APPLE__ and
	  forgot to revert it...

2006-02-15 20:34  zmoelnig

	* some string magic to get the correct name of the plugin within an
	  osX-bundle

2006-02-15 18:32  zmoelnig

	* fixed use of DONT_HAVE_GLBLENDEQUATION (it was used as
	  HAVE_GLBLENDEQUATION)

2006-02-13 21:49  zmoelnig

	* removed the 2nd inlet (why was it there at all?)

2006-02-13 16:58  tigital

	* corrected all.trees path to work from help

2006-02-10 15:20  zmoelnig

	* use MAKECMDGOALS when calling the Makefile in src/

2006-02-10 13:32  zmoelnig

	* added inlets for contrast and saturation

2006-02-10 13:26  zmoelnig

	* added Grayscale processing
	  avoid processing in [pix_contrast] if both m_contrast and
	  m_saturate are 1.f (in greyscale ignore m_saturate)

2006-02-09 00:32  tigital

	* [osx] new loader code that works with freeframe 1.0 SDK; note
	  that the plugin will be looked for in the same directory as the
	  patch, and currently you must append ".frf" to the end of the
	  plugin's name

2006-02-08 22:39  tigital

	* cleaned up imageStruct::setCsizeByFormat() so that it no longer
	  does "default" switch before hitting the various case's

2006-02-08 22:27  cclepper

	* Added RGBA version and tested on Windows.

2006-02-08 22:26  cclepper

	* Added RGBA version and tested on Windows. Works except for
	  negative contrasrt and saturarion values.

2006-02-07 16:16  zmoelnig

	* renamed processYUV_Altivec() to processYUVAltivec() so it gets
	  automatically called by GemPixObj's render();
	  put initializing of class-variables into the constructor-header

2006-02-07 03:34  cclepper

	* added #ifdef __VEC__

2006-02-06 21:47  cclepper

	* initial YUV version with Altivec

2006-02-06 17:20  cclepper

	* brings the old pix_record up to date

2006-02-06 14:14  zmoelnig

	* implemented the setCodec(int) as a no-op

2006-02-06 13:41  zmoelnig

	* better indentation to see what is included when

2006-02-06 10:15  zmoelnig

	* this is the original pix_record, now renamed to pix_recordQT
	  while we have the two concurrent objects, how should we make this
	  compatible? create an abstraction?? make hacks like in
	  [pix_filmNT]???

2006-02-06 09:58  zmoelnig

	* at least made it compile on os-x

2006-02-05 19:23  zmoelnig

	* made "record"-message work again

2006-02-05 19:22  zmoelnig

	* now it produces something...

2006-02-05 18:51  zmoelnig

	* updated to use lqt-api instead of old quicktime4linux api.
	  although it somehow produces just noise right now (but hey - it
	  did work 10 minutes ago)

2006-02-05 18:49  zmoelnig

	* removed the dummy implementation of putFrame(): it is pure
	  virtual in record.cpp and should not be filled with dummies

2006-02-04 18:16  tigital

	* update

2006-02-04 12:47  zmoelnig

	* define HAVE_QUICKTIME for __APPLE__
	  (later think about using autoconf for this)

2006-02-04 12:44  zmoelnig

	* added convertTo() and convertFrom() functions to the
	  imageStruct-class for generic cs-conversion.

2006-02-03 21:53  zmoelnig

	* pix_record which is independent of the used API (like
	  pix_filmNEW,...)

2006-02-03 21:52  zmoelnig

	* blind fixes to match record.h

2006-02-03 21:40  zmoelnig

	* implementation classes for pix-record APIs.
	  so far the recordQT4L (quicktime-for-linux) is tested, but not
	  totally stable
	  the recordQT (Apple's QuickTime API) has been copy'n'pasted from
	  the original pix_record.cpp code - i am pretty sure i introduced
	  some problems: at least the codec-querying and (more important)
	  setting has certainly been broken.

2006-02-03 15:33  tigital

	* [osx]: shutup gcc warning in initGem()

2006-02-01 18:38  zmoelnig

	* replaced printf() by error() (it's more pdish and doesn't throw
	  an error)

2006-02-01 18:37  zmoelnig

	* at least it compiles here on linux...

2006-02-01 18:21  zmoelnig

	* probably a new-line at EOF

2006-02-01 18:21  zmoelnig

	* cleaned up code a bit (so i can read it :-))
	  should perform a bit faster as well
	  fixed a crash on my machine
	  added type message
	  
	  still very crashy
	  i _think_ there is a bug (most likely: a memory leak) in here

2006-02-01 16:53  tigital

	* forgot header change to other platforms: this'll be cleaned and
	  put in the correct spot (ie. the top of the file) sometime

2006-02-01 15:43  tigital

	* initial commit: novel mathematical structure

2006-02-01 15:42  tigital

	* initial commit: takes an image and creates a "voronoi region"
	  painting out of it...works on OSX, but relies on GemPBuffer code,
	  so other platforms can use this to test that code...

2006-02-01 15:39  tigital

	* initial commit: works on OSX (still needs some serious cleanup!),
	  but untested on other platforms: code is there, but is it really
	  equivalently functional?

2006-02-01 15:37  tigital

	* added check for a loaded program to the paramMess code; prevents
	  crashing when sending parameters to the object but no program is
	  actually loaded!

2006-02-01 15:36  tigital

	* error code reporting cleanup

2006-02-01 15:34  tigital

	* [OSX] changed NULL to 0 to shutup gcc

2006-02-01 15:33  tigital

	* added header for glReportError(); [OSX] added "masterContext"

2006-02-01 15:31  tigital

	* cleanup; added setModified();

2006-02-01 15:04  zmoelnig

	* changed "#define unix" to "#define __unix__"

2006-02-01 15:03  zmoelnig

	* changed "#define unix" to "#define __unix__"
	  removed unneccessary headers from inclusion

2006-02-01 15:00  zmoelnig

	* changed "#define unix" to "#define __unix__"
	  moved the check for glx-support to GemWinCreateXWin.h

2006-02-01 14:58  tigital

	* [OSX] added "masterContext", which gets rid of need for
	  HaveValidContext()...needs non-jamie testing ;-)

2006-02-01 14:53  tigital

	* cleanups; added TODO questions; [OSX] added "masterContext",
	  which gets rid of need for HaveValidContext()...needs non-jamie
	  testing ;-)

2006-02-01 13:24  zmoelnig

	* only create constContext when its not already created

2006-02-01 13:23  zmoelnig

	* applied patch from cesare to avoid crashes on closing the window

2006-01-30 13:12  zmoelnig

	* added constructor for pixBlock-class (which properly initalizes
	  newfilm and newimage to "false")
	  moved constructor/destructor of imageStruct and pixBlock from
	  header into the cpp-files to avoid unneccessary recompilation on
	  changes)

2006-01-26 14:47  zmoelnig

	* made a script (which will hopefully hardly ever be needed) to
	  import glew
	  mention it in the README.glew

2006-01-26 14:07  zmoelnig

	* added glew-files (+ a readme how i got them)

2006-01-23 11:08  zmoelnig

	* changed [part_velsphere] to [part_velocity sphere]

2006-01-23 11:07  zmoelnig

	* define DONT_HAVE_GLBLENDQUATION
	  
	  i think, this file should be used only for M$VC;
	  LATER we can put #pragma's in here to enable linking with special
	  libraries based on the configuration (or should we rather do it
	  in the files that need these libraries??)

2006-01-23 11:05  zmoelnig

	* use a DONT_HAVE_GLBLENDQUATION rather than __WIN32__ to determine
	  whether this objects needs to be disabled

2006-01-22 21:43  zmoelnig

	* added alternative dependencies for magick++6 and avifile-0.7

2006-01-22 21:41  zmoelnig

	* added newly added files

2006-01-22 21:40  zmoelnig

	* minor changes (line.breaks)

2006-01-22 21:37  zmoelnig

	* on w32 we have to include <io.h> to be able to use "close(int)"

2006-01-22 21:32  zmoelnig

	* fixed string-template issues with vc6

2006-01-22 21:29  zmoelnig

	* changed 0.5 to 0.5f to make floats instead of doubles (amd thus
	  reduce warnings about conversion)

2006-01-22 21:27  zmoelnig

	* disabled if GL_TEXTURE0_ARB is undefined
	  (another candidate for GLEW)

2006-01-22 21:26  zmoelnig

	* removed definition of DEBUG=0 since it is not needed anyhow

2006-01-22 21:25  zmoelnig

	* turn glBlendEquation OFF on w32 (stupid restriction, but faster
	  than finding anything more sophisticated)

2006-01-22 21:23  zmoelnig

	* only set glParameterEnvArg if vertexprograms are supported by the
	  headers

2006-01-22 21:17  zmoelnig

	* disable more warnings (here: switch-statement without case (only
	  default); this is possible is all cases are turned off by
	  #ifdefs)
	  
	  NOTE: these pragmas should be within __MSC_VER_ instead of
	  __WIN32__

2006-01-18 12:11  zmoelnig

	* found this lying around on my harddisk

2006-01-18 11:22  zmoelnig

	* made circle::NUM_PTS a define rather than a const static variable

2006-01-18 11:13  zmoelnig

	* removed unused variables
	  made circle::NUM_PTS a define rather than a const static variable

2006-01-18 10:54  zmoelnig

	* set a variable when an apple-framework is found
	  use it in the status-report (so apple-users don't get confused
	  about no QuickTime even if the framework is installed)
	  in "configure" the removal of "local"/"locale" is also applied

2006-01-18 10:52  zmoelnig

	* fixed typo "locale" should read "local"; however, since the tests
	  are not expanded into functions, this does not work
	  so i removed the "locale" entirely and replaced it by a
	  pseudo-localized variable (appending stuff derived from the
	  arguments)

2006-01-18 10:24  zmoelnig

	* properly ifdef the usage of "kDVCPROHD720pCodecType"

2006-01-18 10:18  zmoelnig

	* declare getFPS() (inherited from film.h)

2006-01-18 10:15  zmoelnig

	* include <fcntl.h> for open()

2006-01-18 10:02  zmoelnig

	* disable more code, if GL_ARB_shader_objects is not defined
	  (mostly cosmetic)

2006-01-18 10:00  zmoelnig

	* disable most of the code if "GL_ARB_shader_objects" is not
	  defined

2006-01-18 09:13  zmoelnig

	* avoid using m_program if "GL_ARB_shader_objects" is not defined

2006-01-17 11:01  zmoelnig

	* prevent ARB-GLSL

2005-12-27 19:03  tigital

	* initial helpfile

2005-12-15 17:45  zmoelnig

	* removed loading/saving
	  removed "point" area-type
	  changed (float) to (unsigned char) where possible (at least where
	  it was obvious to do)

2005-12-15 13:09  zmoelnig

	* updated a bit so we can build a debian-package

2005-12-15 12:17  zmoelnig

	* added davide's hit-object

2005-12-15 10:54  zmoelnig

	* initialized more variables
	  moved initialization (from body of constructor) into
	  initialization-block of constructor

2005-12-15 00:43  tigital

	* clean up in render loop

2005-12-14 23:19  cclepper

	* works on windows. sorta. only a few changes needed from the mac
	  code.

2005-12-14 15:53  tigital

	* string buffer is now member variable; more detailed reporting
	  when program is outside hardware limits

2005-12-14 13:34  zmoelnig

	* TreeIdMap for reacTable*'s fiducials

2005-12-14 13:29  zmoelnig

	* dont build depend-files when doing "make clean" or "make
	  distclean"

2005-12-14 13:29  zmoelnig

	* don't try to generate configure, Make.config and the like when
	  doing a "make clean" or "make distclean"

2005-12-14 13:28  zmoelnig

	* newline at end of file...

2005-12-14 13:26  zmoelnig

	* fixed header-inclusion-prevention-defines (ye, my mother-tongue
	  is German)

2005-12-14 13:24  zmoelnig

	* included Ross and Martin for the reacTIVision system
	  replaced "@" by "[AT]"

2005-12-14 13:15  zmoelnig

	* help-patches for the fiducial-tracker (and the binarizing
	  thresholder)

2005-12-14 13:14  zmoelnig

	* fiducial-tracking as used in reacTIVision
	  thanks to martin kaltenbrunner and ross bencina (and the mtg@upf)
	  for releasing their code under (L)GPL

2005-12-14 13:13  zmoelnig

	* binarizing adaptive tiled thresholder

2005-12-14 13:07  zmoelnig

	* better check whether switching to another driver succeeds

2005-12-10 19:45  tigital

	* added glReportError() for helping debug

2005-12-10 18:40  zmoelnig

	* moved GLdefine's from GemPixUtil to GemGL

2005-12-10 16:01  tigital

	* corrected spotlight direction initialization; placed limits on
	  light parameters (as supported by GL)

2005-12-10 00:20  tigital

	* removed spurious glEnd() called in createSphere: it was causing a
	  glError...

2005-12-09 22:52  cclepper

	* added parameter message

2005-12-07 16:40  cclepper

	* fixed QT crashing on Windows, but the fix introduces a small
	  memory leak when loading new movies. Also, removed a redundant
	  memcpy() in getFrame.

2005-12-07 16:17  tigital

	* - added mode & repeat messages (like [pix_texture], same
	  defaults)
	  - added outlet for texture info: ID, width, height, type

2005-12-06 06:40  tigital

	* initial commit:
	  - allows offscreen rendering on a per [gemhead] basis
	  - defaults to 256x256, but can be set with [dimen x y<
	  - float RGB only, atm
	  - right outlet outputs list: texID, width, height, type
	  - type can be switched with [mode 0/1< (ie. TEXTURE_2D or
	  TEXTURE_RECTANGLE)

2005-12-06 05:56  tigital

	* renamed inlet for some unknown reason

2005-12-06 04:01  tigital

	* don't need to enable/disable shader_arb; added check and better
	  clean up for re-loaded shaders

2005-12-04 22:45  tigital

	* added outlet for programID

2005-12-04 16:15  tigital

	* useful glWrapper which allows one to use a glsl_program that was
	  linked in an earlier chain in a later chain; but don't forget to
	  frame it's usage with an ending call with value zero, or the
	  program affects all later chains

2005-12-04 01:17  tigital

	* individual shader objects are now responsible for cleaning up
	  after themselves; also, made initialized length=0

2005-12-04 01:13  tigital

	* object is now responsible for cleaning up after itself; also
	  discovered that we don't need to glEnable the *_SHADER_ARB's

2005-11-30 06:55  tigital

	* auto-magic uniform variable discovery working; shaderMess()
	  fixes; lotsa cleanup in general (& stuff)

2005-11-30 00:12  tigital

	* clean-up, & better initialization

2005-11-29 23:55  tigital

	* corrected shaderMess behavior; added OSX check for
	  hardware/software execution

2005-11-29 04:52  tigital

	* miscellaneous fixes of warnings, misspellings, and debug messages

2005-11-28 23:29  cclepper

	* added SequenceGrabber recording

2005-11-27 14:30  zmoelnig

	* thread fixes:
	  + better initializing
	  + more freeing
	  + filenames given as argument are now opened via thread too

2005-11-27 10:24  zmoelnig

	* reduced verbosity a bit
	  made rest of error messages a bit more findable ("error:
	  GemImageLoad" instead of just "erro: GEM")

2005-11-26 21:17  zmoelnig

	* added dynamic methods for uniform parameters

2005-11-26 19:13  cclepper

	* Added the first check for HD format clips to deal with their
	  trickster frame sizes. Also, a fix for sound continuing after
	  rendering stops.

2005-11-26 16:19  zmoelnig

	* use a #define for defining the max number of shaders
	  fixed some typos and minor bugs

2005-11-26 15:36  zmoelnig

	* on creating the child-thread wait until it has set the
	  m_thread_running (so we can use that in openMess())

2005-11-26 13:12  zmoelnig

	* reduced verbosity

2005-11-26 12:48  zmoelnig

	* hmm: define "t_GLshaderObj" to whatever type the shaderobj should
	  be;
	  made it compile on linux (and not crash)

2005-11-26 12:45  zmoelnig

	* include stdlib (for malloc, free)
	  replace printf() by post()

2005-11-26 05:08  cclepper

	* Added the first check for HD format clips to deal with their
	  trickster frame sizes. Also, a fix for sound continuing after
	  rendering stops.

2005-11-26 00:50  tigital

	* initial wrapper support for GLSL support (ARB based):
	  - there should be a whole host of these, but right now I'm only
	  up to writing the one, for input of one indexed float ;-)

2005-11-25 22:56  tigital

	* initial GLSL support (ARB based):
	  - load individual shaders via glsl_vertex or glsl_fragment
	  - combine multiple shader's right output into a [shader $1 $2...<
	  and send into [glsl_program]
	  - send [link< to [glsl_program] to actually link the objects:
	  this was done because we don't want to re-link objects every
	  render-timeslice...
	  - each object accepts a [print< to give info, , and
	  [glsl_program] will also report linked program's uniform
	  variables, names, indices...
	  - uniform variable indices can be used with [GEMglUniform...] to
	  change variables (but maybe there should be more auto-discovery
	  in [glsl_program]?)
	  - object's will also report a shader's compile-time error log (if
	  any) to console (not pd's tk console): need to figure out how to
	  parse infolog into post()-friendly format...

2005-11-23 13:08  zmoelnig

	* added check for GLsizeiptrARB

2005-11-23 13:07  zmoelnig

	* die at the end of configure if no openGL has been found
	  check for typedef of GLsizeiptrARB

2005-11-21 14:31  zmoelnig

	* threaded image loading

2005-11-15 14:24  zmoelnig

	* updated help-files

2005-11-15 14:22  zmoelnig

	* show how to load an image into the buffer

2005-11-15 14:21  zmoelnig

	* added some more wrappers (thanks to cyrille)

2005-11-10 14:50  zmoelnig

	* initialize m_devicename to NULL in order to not produce random
	  crashes.
	  fixed printf() security-hole

2005-11-09 03:08  tigital

	* cleaned up headers, initialization; also added code to pad
	  rowbytes for dimensions not multitples of 16 or 32 (helps
	  GL_STORAGE_SHARED_APPLE)

2005-11-08 23:01  cclepper

	* added a little hack to bang when film reaches the end in auto
	  mode

2005-10-31 16:04  tigital

	* update

2005-10-28 08:59  zmoelnig

	* use proper inheritance for the altivec function

2005-10-27 22:13  tigital

	* added imageStruct.fromGray( short*) version, so now we can import
	  luminance images from pdp2gem...

2005-10-27 21:31  cclepper

	* added Altivec YUV function

2005-10-26 13:54  zmoelnig

	* fixed path and case of images to load

2005-10-25 20:37  cclepper

	* commented out lines in postrender which removes memory leak in
	  [separator]

2005-10-25 10:01  zmoelnig

	* throw an exception when no texture-units are defined at startup
	  time (prevents object-creation)
	  enforce 2 arguments in the texUnit-message

2005-10-25 09:54  zmoelnig

	* bugfix: added A_NULL as terminating argument to the
	  texUnit-callback

2005-10-22 20:50  tigital

	* GL_VERSION_1_1 check only (there's no GL_VERSION_1_0_ on osx!)

2005-10-21 12:49  zmoelnig

	* improved threaded movie-player:
	  use select() instead of usleep() (should be more portable)
	  when the grabThread returns no frame (NULL), a "bang" is emitted
	  at render-time. the user gets a chance to immediately react on
	  that and reset the frame# to something valid.
	  when threaded, this will force the changed frame to be read in
	  the main-thread (luckily the grabthread is locked by the mutex)

2005-10-21 08:55  zmoelnig

	* changes in configure.ac

2005-10-21 08:55  zmoelnig

	* check whether ffmpeg's (AVStream)->codec is of type
	  "AVCodecContext" or "*AVCodecContext"

2005-10-21 08:03  zmoelnig

	* removed contents of src/Gnu (since people keep building Gem from
	  there)

2005-10-20 16:03  zmoelnig

	* check for posix-threads
	  removed HAVE_SIMD things (as we should rather use the __MMX__,...
	  that are autodefined by the compiler)

2005-10-20 16:02  zmoelnig

	* check for posixthreads (as in pd)

2005-10-20 13:41  zmoelnig

	* (optional) threaded reading of movies

2005-10-20 13:38  zmoelnig

	* shut up compiler warnings; explicit casts from t_float to GLint

2005-10-20 10:03  zmoelnig

	* added method for "device" with symbolic device-names

2005-10-20 09:59  zmoelnig

	* 2 lines of comment...

2005-10-20 09:53  zmoelnig

	* fixed docu-bug that led people to try to compile Gem from src/Gnu
	  instead of src/

2005-10-19 12:48  tigital

	* initial commit:
	  - accepts a creation arg to set # of texture units to deal with,
	  or it defaults to the maximum # on the card
	  - [texUnit 1 $2< assigns to texture Unit 1 the texID input via $2
	  - [mode 0/1< switches between TEXTURE_RECTANGLE and TEXTURE_2D

2005-10-19 04:17  tigital

	* initial commit:
	  - accepts a creation arg to set # of texture units to deal with,
	  or it defaults to the maximum # on the card
	  - [texUnit 1 $2< assigns to texture Unit 1 the texID input via $2
	  - [mode 0/1< switches between TEXTURE_RECTANGLE and TEXTURE_2D

2005-10-18 23:59  tigital

	* more GLdefine's for multitexture and combiners...

2005-10-14 07:54  zmoelnig

	* disabled warnings on __WIN32__

2005-10-08 16:24  zmoelnig

	* wow! this file has been unused for quite a long time now; since i
	  cannot find any reference to it anywhere (except in the 1.1.1.1
	  or so revision of papi.h) i delete it.

2005-10-07 17:03  zmoelnig

	* removed the disabling of the entire code when FILM_NEW is defined
	  (oh this is really ugly)

2005-10-07 17:02  zmoelnig

	* enabled the weird hack i made for a current CVS snapshot of
	  ffmpeg, since the debian/sid package now uses the new API

2005-10-07 16:53  zmoelnig

	* remove "-f" (less errors if files are already removed)

2005-10-07 16:52  zmoelnig

	* updated w32 compile environment

2005-10-07 16:51  zmoelnig

	* fixed typo

2005-10-07 16:50  zmoelnig

	* only cimpileif we don't want FILM_NEW (i got an error when
	  compiling in the vfw.h file and i didn't want to fix it in a
	  deprecated file); LATER remove these files

2005-10-07 16:49  zmoelnig

	* no shared memory (via shm) on w32; disabled on that platform

2005-10-07 16:47  zmoelnig

	* defined pragmas to make compiler a bit less verbose

2005-10-07 16:47  zmoelnig

	* hacked together a version of drand48(); how comes drand48() does
	  not exist on w32 even though these files are in here for years ?
	  (LATER)

2005-10-07 16:44  zmoelnig

	* defined pragmas (on w32) to shut up compiler warnings (e.g.
	  because of unknown pragmas)

2005-10-07 16:43  zmoelnig

	* on w32 GL_ARB_fragment_program mightbe defined even if there is
	  no ARB-program support...(we really should switch to glew)

2005-10-07 16:42  zmoelnig

	* include <iostream> instead of <iostream.h> even on w32 (to use
	  the "new" stdlib)

2005-10-06 09:25  zmoelnig

	* merged with SIMD:
	  don't copy the "datasize" with copy2imageStruct - as it should
	  only be used internally for pdata;
	  (there is a captialized warning about breaking things in the
	  SIMD-branch log about this; however, i don't believe that it is
	  that dangerous)

2005-10-05 16:38  zmoelnig

	* fixed typo

2005-10-05 16:24  zmoelnig

	* merged with SIMD-branch

2005-10-05 16:14  zmoelnig

	* merged with SIMD

2005-10-05 16:02  zmoelnig

	* merged in changes from SIMD-branch

2005-10-05 15:42  zmoelnig

	* updated

2005-10-05 15:35  zmoelnig

	* changes from configure.ac

2005-10-05 15:22  zmoelnig

	* remove depend-files when "clean"

2005-10-05 15:14  zmoelnig

	* propery escaped test-string

2005-10-05 14:45  zmoelnig

	* use the CXX provided by configure

2005-10-05 14:38  zmoelnig

	* use AC_CHECK_FUNC rather than AC_CHECK_LIB to check for
	  glBindProgram{NV,ARB} since on osX we don't have a library libGL
	  but rather use the OpenGL-framework
	  
	  NOTE: the test for glBindProgramNV fails to detect the
	  nvidia-extensions on osX
	  why ? because you have to explicitely request them by defining
	  GL_NV_vertex_program before including the glext.h file on osX
	  on linux (mesaGL,...) it is different: the extensions are only
	  included, if GL_NV_vertex_program is NOT already defined

2005-10-05 14:14  zmoelnig

	* a compile on osX revealed that somewhere MIN and MAX are defined
	  as preprocessor directives; this stopped compiling the inline
	  functions with the same name; FIXED

2005-10-03 20:20  cclepper

	* initial commit. object for reading shared pixel memory between
	  processes.

2005-10-03 20:18  cclepper

	* initial commit. object for creating shared pixel memory between
	  processes.

2005-10-03 12:17  zmoelnig

	* added support for devicenames given as strings (like
	  "/dev/video")

2005-10-03 10:38  zmoelnig

	* removed the caching mechanism;
	  if you want to load a set of images and access from RAM, use
	  [pix_buffer] instead

2005-10-02 16:41  zmoelnig

	* made checking for changes in Base/config`uname -s`.h.in a bit
	  better

2005-10-02 13:52  zmoelnig

	* moved inclusion of openGL-headers to Base/GemGL.h

2005-10-02 13:48  zmoelnig

	* removed boolean-hack for buggy nvidia-headers (should get fixed
	  upstream)

2005-10-01 19:31  zmoelnig

	* checking for nvidia-extensions (can be disabled with
	  "--disable-NV")

2005-10-01 19:30  zmoelnig

	* checking for nvidia-extensions (can be disabled with
	  "--disable-NV")
	  added the system-specific config-file to the dependencies to do a
	  ./configure

2005-10-01 19:15  zmoelnig

	* test for definition of GL_{ARB,NV}_{vertex,fragment}_program
	  before using extensions.

2005-10-01 19:14  zmoelnig

	* moved the openGL-magic into Base/GemGL.h

2005-10-01 19:13  zmoelnig

	* moved the inclusion of openGL-headers and the openGL-magic into a
	  separate file GemGL.h (this should be included instead of the
	  system-specific openGL-header files)

2005-09-30 19:25  zmoelnig

	* now we can give the filename as argument and it gets loaded on
	  startRendering()
	  reordered everything a bit (and made fragment_program a child of
	  vertex_program: there's loads of similar code)

2005-09-28 04:29  cclepper

	* made sure glTexSubImage2D is called instead of the power of two
	  texturing

2005-09-27 17:56  zmoelnig

	* a fragment-shader demo that adds some b/w-noise...

2005-09-27 17:55  zmoelnig

	* a fragment shader that produces noise...

2005-09-27 17:04  zmoelnig

	* added vertex_program demo

2005-09-27 17:04  zmoelnig

	* added toon-shader for the vertex_program demo

2005-09-27 17:02  zmoelnig

	* added texture for the vertex_program demo

2005-09-27 16:34  zmoelnig

	* removed the "64 64" arguments to [pix_video] as this makes the
	  patches under windows unusable (pix_videoDS thinks the first
	  argument is the deviceID, not the dimension)

2005-09-27 15:44  zmoelnig

	* leftovers from pre pix_filmNEW aera.
	  deleted because i don't (want to) maintain this code any more

2005-09-27 15:42  zmoelnig

	* disable if FILM_NEW is defined in Base/config.h (then pix_filmNEW
	  and friends are used)

2005-09-27 05:17  tigital

	* added check for GL_VERSION_1_1, which is the lowest GL_VERSION
	  osx defines

2005-09-27 05:12  tigital

	* added define for GL_TEXTURE_RECTANGLE_EXT, duh

2005-09-26 17:47  zmoelnig

	* [pix_filmFFMPEG] is covered by [pix_filmNEW]+filmFFMPEG

2005-09-26 17:43  zmoelnig

	* made it _compile_ against the current CVS-version of ffmpeg (not
	  really tested whether it works though)
	  you have to actually change an ifdef at the beginning of
	  filmFFMPEG.cpp in order to make it compatible with the CVS-ffmpeg
	  (haven't found out yet, how to do this in a more generic way
	  (apart from hacking configure again)
	  btw, configure would need a lot of tweaking to recognize a
	  current ffmpeg (and link against all the needed libraries)
	  ffmpeg sucks

2005-09-22 17:41  zmoelnig

	* added fix to be able to display floats as numbers again (instead
	  of "float")

2005-09-22 08:32  zmoelnig

	* added moocows changes (+ linebreaking)
	  fixed the bug that prevented TextBase.cpp to build if you were
	  not using FTGL (gltt or no-font)

2005-09-21 18:41  tigital

	* cleanup apple headers

2005-09-21 18:37  tigital

	* reordering to shut up gcc4 warnings

2005-09-21 17:45  tigital

	* #ifdef'ed GLTTPixmapFont *m_afont like in text2d.cpp

2005-09-21 14:56  zmoelnig

	* committed tim's fix to prevent escaping of pd-special characters
	  (like ",")

2005-09-15 10:25  zmoelnig

	* removed the pre-defined maximum of control/grid-points: now we
